# [Versions](https://mui.com/versions/)

## 5.18.0



_Jun 26, 2025_

A big thanks to the 2 contributors who made this release possible.

CSS layers make it easier to override styles by splitting a single style sheet into multiple layers.
To learn more, check out the [CSS layers documentation](https://v5.mui.com/material-ui/customization/css-layers/).

### `@mui/system@5.18.0`

- Backport CSS layers from v7 (#46320) @siriwatknp

### `@mui/material-nextjs@5.18.0`

- Backport CSS layers from v7 (#46320) @siriwatknp

### Docs

- Ease migration to v5 (#45991) @oliviertassinari
- Add AccordionSummary to the breaking change migration (@siriwatknp) (#45972) @siriwatknp

All contributors of this release in alphabetical order: @oliviertassinari, @siriwatknp

## v5.17.1



_Mar 18, 2025_

This release fixes the `@mui/types` dependencies in all packages to fix a package layout bug (#45612) @DiegoAndai

## v5.17.0

_Mar 18, 2025_

A big thanks to the 2 contributors who made this release possible.

### `@mui/material@5.17.0`

- [TextareaAutosize] Temporarily disconnect ResizeObserver to avoid loop error (#44540) (#45238) @DiegoAndai
- Support nested theme when upper theme is CSS vars theme (#45604) @siriwatknp

All contributors of this release in alphabetical order: @DiegoAndai, @siriwatknp

## v5.16.14



_Jan 6, 2025_

A big thanks to the 1 contributor who made this release possible.

### `@mui/material@5.16.14`

- [Autocomplete] Revert: Fix options list rendering in freeSolo mode (#44857) @ZeeshanTamboli

All contributors of this release in alphabetical order: @ZeeshanTamboli

## v5.16.13



_Dec 24, 2024_

A big thanks to the 2 contributors who made this release possible.

### `@mui/material-nextjs@5.16.13`

- Support Next 15.0.0 in v5 (#44853) @DiegoAndai

### Docs

- [material-ui] Fix crashing of DraggableDialog demo (#44811) @sai6855

### Core

- Use React 18's JSX runtime for v5.x UMD builds (#44815) @DiegoAndai

All contributors of this release in alphabetical order: @DiegoAndai, @sai6855

## v5.16.12



_Dec 16, 2024_

Material UI v5 is now compatible with React 19 (#44720) @DiegoAndai

### Core

- Bump react 19 in v5 (#44720) @DiegoAndai
- Add `latest-v5` tag to v5 releases (#44757) @DiegoAndai

All contributors of this release in alphabetical order: @DiegoAndai

## 5.16.11



_Dec 11, 2024_

A big thanks to the contributor who made this release possible.

### Core

- Bump pnpm to 9.14.4 in v5 (#44705) @DiegoAndai
- Fix UMD examples (#44706) @DiegoAndai
- [typescript] Rescue missing backports v5 (#44712) @DiegoAndai

All contributors of this release in alphabetical order: @DiegoAndai

## 5.16.9



_Dec 3, 2024_

A big thanks to the 2 contributors who made this release possible.

### `@mui/material@5.16.9`

- [Tabs] Cherry pick `ScrollbarSize` ref being overridden fix (#44595) @DiegoAndai

### Core

- Ignore browserslist and remove tag latest (#44589) @siriwatknp

All contributors of this release in alphabetical order: @DiegoAndai, @siriwatknp

## 5.16.8



_Nov 26, 2024_

A big thanks to the 8 contributors who made this release possible.

### `@mui/material@5.16.8`

- Cherry pick ref accessing PRs (#44543) @DiegoAndai

### `@mui/utils@5.16.8`

- Skip deep clone React element (v5.x) (#44494) @jukkatupamaki

### Docs

- Keep sponsors up to date @oliviertassinari
- Fix MUI Treasury Layout broken links (#43753) @oliviertassinari
- Strengthen CSP rule @oliviertassinari
- Give up on restoring search @oliviertassinari
- Normalize next major message @oliviertassinari
- Fix versions URL @oliviertassinari
- Fix use of absolute URLs (#43567) @oliviertassinari
- Restore search on v5 (#43566) @oliviertassinari
- Fix link from v5 to v6 (#43585) @alexfauquette
- Updated mui-x roadmap links with the new project URL (@michelengelen) (#43446) @michelengelen
- Fix broken link to Next.js docs @oliviertassinari

### Core

- [blog] Polish Upcoming changes to MUI X pricing in 2024 (#43438) @oliviertassinari
- [blog] Add video to the Pigment CSS blog post (#42500) @oliviertassinari
- [blog] Announcing pricing changes Sep 2024 (#43272) @cherniavskii
- Prepare for moving to v5.x branch (#43447) @siriwatknp
- [core] Cherry pick #42346 to v5 (#44475) @DiegoAndai
- [core] Fix CI on v5.x branch (#44487) @DiegoAndai
- [core] Fix CI on v5.x branch (#43564) @oliviertassinari
- [examples] Fix v5 clone example instructions (#43755) @oliviertassinari
- [examples] Fix CLI download instructions @oliviertassinari
- [examples] Fix CDN live preview example @oliviertassinari
- [examples] Fix more examples to work with v5 @oliviertassinari
- [examples] Freeze examples dependency range (#43435) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @cherniavskii, @DiegoAndai, @jukkatupamaki, @michelengelen, @oliviertassinari, @rluzists1, @siriwatknp

## 5.16.7



_Aug 9, 2024_

A big thanks to the 3 contributors who made this release possible.

### `@mui/material@5.16.7`

- ​[material-ui][mui-system] Add support for version runtime checks (#43233) @DiegoAndai

### Docs

- ​[docs] Fix 301 @oliviertassinari

### Core

- ​[website] Fix wrong link in pricing table (@zanivan) (#43143) @zanivan
- ​[website] Add blog link to pricing table (@zanivan) (#43140) @zanivan

All contributors of this release in alphabetical order: @DiegoAndai, @oliviertassinari, @zanivan

## 5.16.6



_Jul 30, 2024_

A big thanks to the 5 contributors who made this release possible.

### `@mui/material@5.16.6`

- [Divider] Enable borderStyle enhancement in divider with children (#43059) @anuujj

### Docs

- [material-ui][Card] Update CardMedia description (#43121) @shahzaibdev1
- [material-ui] Replace deprecated `<ListItem button/>` with `ListItemButton` component in routing libraries list example (#43114) @aliharis99
- [material-ui][Snackbar] Improve close `reason` type in demos (#43105) @sai6855

### Core

- [code-infra] Use the same CI names on master & next (#43064) @mnajdova

All contributors of this release in alphabetical order: @aliharis99, @anuujj, @mnajdova, @sai6855, @shahzaibdev1

## 5.16.5



_Jul 25, 2024_

A big thanks to the 4 contributors who made this release possible.

### `@mui/utils@5.16.5`

- ​[utils] Add dependency to @mui/types (@mnajdova) (#43047) @mnajdova

### Docs

- ​[material-ui][joy-ui][Autocomplete] Fix `Hint` demo (@ManthanGajjar) (#43039) @ManthanGajjar
- ​Fix CHANGELOG convention @oliviertassinari
- ​[material-ui] Fix broken image links in blog template on master branch (#42969) @navedqb

All contributors of this release in alphabetical order: @ManthanGajjar, @mnajdova, @navedqb, @oliviertassinari

## 5.16.4



_Jul 16, 2024_

A big thanks to the 1 contributor who made this release possible.

### `@mui/material@5.16.4`

- ​Fix wrong import in Popover types (#42967) @mnajdova

All contributors of this release in alphabetical order: @mnajdova

## 5.16.3



_Jul 16, 2024_

A big thanks to the 3 contributors who made this release possible.

### `@mui/material@5.16.3`

- ​[material] Add missing dependency (#42959) @mnajdova

### Docs

- ​[material-ui][Autocomplete] Add instructions about `autosuggest-highlight` dependency (#42953) @HoFa1997
- ​Move feedback from Canny to GitHub @oliviertassinari

All contributors of this release in alphabetical order: @HoFa1997, @mnajdova, @oliviertassinari

## 5.16.2



_Jul 16, 2024_

A big thanks to the 2 contributors who made this release possible.

### `@mui/material@5.16.2`

- ​[material] Remove dependency to @mui/base (@mnajdova) (#42917) @mnajdova

### Core

- ​[website] Sync /about page @oliviertassinari

All contributors of this release in alphabetical order: @mnajdova, @oliviertassinari

## 5.16.1

_Jul 11, 2024_

A big thanks to the 4 contributors who made this release possible. Here are some highlights ✨:

- ⚛️ All packages, including Material UI, are now compatible with React 18.3.1

### `@mui/material@5.16.1`

- [AppBar] Fix inherit color is inconsistent between ThemeProvider and CssVarsProvider (#42713) @ZeeshanTamboli

### `@mui/joy@5.0.0-beta.48`

- [Autocomplete] Fix React spread key warning (#42856) @aarongarciah

### Docs

- [material-ui] Fix React 18.3 key spread warnings in Autocomplete demos (#42854) @aarongarciah
- [material-ui] Fix type error in virtualized table demo (#42852) @aarongarciah
- Fix typos (@omahs) (#42888) @omahs
- Fix 301 @oliviertassinari

### Core

- [core] Bump React to 18.3.1 (#42846) @aarongarciah
- [core] Remove react-test-renderer (#42853) @aarongarciah
- [core] Replace enzyme in describeConformance (#42847) @aarongarciah
- [test] Remove enzyme (#42850) @aarongarciah
- [test] Remove createMount test util (#42849) @aarongarciah
- [base-ui] Fix React spread key warning in test (#42855) @aarongarciah
- [styles][withStyles] Expect React defaultProps warning in test (#42752) (#42851) @aarongarciah

All contributors of this release in alphabetical order: @aarongarciah, @oliviertassinari, @omahs, @ZeeshanTamboli

## 5.16.0



_Jul 5, 2024_

A big thanks to the 5 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added `InitColorSchemeScript` for Next.js App Router (#42829) @siriwatknp

### `@mui/material@5.16.0`

- [Alert] Add ability to override slot props (@alexey-kozlenkov) (#42808) @alexey-kozlenkov
- Add `InitColorSchemeScript` for Next.js App Router (#42829) @siriwatknp
- Add `DefaultPropsProvider` (#42820) @siriwatknp
- Support `CssVarsTheme` in `responsiveFontSizes` return type (@jxdp) (#42806) @jxdp
- Remove warning from `getInitColorSchemeScript` (#42838) @siriwatknp

### Docs

- [docs] Fix 301 MDN redirections @oliviertassinari

### Core

- [mui-utils][test] Remove usages of deprecated react-dom APIs (@aarongarciah) (#42813) @aarongarciah

All contributors of this release in alphabetical order: @aarongarciah, @alexey-kozlenkov, @jxdp, @oliviertassinari, @siriwatknp

## 5.15.21



_Jun 28, 2024_

A big thanks to the 7 contributors who made this release possible.

### `@mui/material@5.15.21`

- [Autocomplete] Fix renderOption props type (@DiegoAndai) (#42709) @DiegoAndai
- [Stepper] Generate class for `nonLinear` prop (@alexismo) (#42677) @alexismo

### Docs

- Use new email for sponsoring @oliviertassinari
- Fix 301 links (@alexfauquette) (#42700) @alexfauquette
- [material-ui][Select] Fix the `SelectAutoWidth` demo menu item value (@Danielkhakbaz) (#42696) @Danielkhakbaz
- [material-ui][Autocomplete] Fix more React 18.3 key spread warnings in demos (#42766) @wbt
- [material-ui] Fix sign in side image (#42708) @zanivan
- [website] Add Ale to team (#42769) @alelthomas

### Core

- [core] Cherry pick pnpm updates (#42763) @DiegoAndai
- [website] Add Armin to the team members (@arminmeh) (#42681) @arminmeh
- [website] Open Staff Engineer role for Pigment CSS (@mnajdova) (#42669) @mnajdova

All contributors of this release in alphabetical order: @alexfauquette, @alexismo, @arminmeh, @Danielkhakbaz, @DiegoAndai, @mnajdova, @oliviertassinari

## 5.15.20



_Jun 12, 2024_

A big thanks to the 9 contributors who made this release possible.

### `@mui/material@5.15.20`

- ​[Autocomplete] Shouldn't resize when hovering (@ZeeshanTamboli) (#42535) @ZeeshanTamboli
- ​[Tab] Fix applying `iconWrapper` styles from theme and update its description (@sai6855) (#42570) @sai6855

### `@mui/utils@5.15.15`

- ​Allow passing `NaN` as `defaultValue` to `useControlled` (@iammminzzy) (#42571) @iammminzzy
- ​Fix GitHub-reported prototype pollution vulnerability in `deepmerge` (#41652) (#42608) @DiegoAndai

### Docs

- ​[docs] Add Pigment CSS and Base UI logos SVGs (#42513) @danilo-leal
- ​[docs] Update twitter.com to x.com @oliviertassinari
- ​[docs] Simplify Example projects page @oliviertassinari
- ​[material-ui] Add docs for complementary stepper components (@anle9650) (#42613) @anle9650
- ​[docs] Add changelog section to the design kits page (@danilo-leal) (#42463) @danilo-leal
- ​[material-ui] Fix sentence in the All components page (@danilo-leal) (#42462) @danilo-leal
- ​[material-ui] Update Figma design kit doc redirect link (@danilo-leal) (#42456) @danilo-leal
- ​[system] Add "dynamic values" section to sx prop page (@aarongarciah) (#42453) @aarongarciah

### Core

- ​[website] Move the `React Engineer - X` role to future roles (#42532) @DanailH
- ​[examples] Remove Pigment CSS examples (#42538) @sai6855
- ​[website] Close Developer Advocate / Content Engineer role @oliviertassinari
- ​[website] Update DoiT description and link in Sponsors section (@erezstmn-doit) (#42511) @erezstmn-doit
- ​[website] Clean up the docs-infra job ad (@danilo-leal) (#42509) @danilo-leal
- ​[website] Open the Docs-infra engineer role (@danilo-leal) (#42496) @danilo-leal
- ​[website] Fix locationCountry in about page @oliviertassinari

All contributors of this release in alphabetical order: @aarongarciah, @anle9650, @DanailH, @danilo-leal, @erezstmn-doit, @iammminzzy, @oliviertassinari, @sai6855, @ZeeshanTamboli

## 5.15.19



_May 29, 2024_

A big thanks to the 12 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.19`

- ​[AlertTitle] Enable extending Typography props (@lucasgmelo) (#42334) @github-actions[bot]
- ​[responsiveFontSizes] Handled undefined variants (@brijeshb42) (#42419) @github-actions[bot]
- ​[Slider] Fix wrong CSS value (@mnajdova) (#42373) @github-actions[bot]

### Docs

- ​Link to pnpm installation docs (#42420) @aarongarciah
- ​Remove LocalMonero (@oliviertassinari) (#42315) @github-actions[bot]
- ​[material-ui] Fix typo in style interoperability with Tailwind CSS docs (@ZeeshanTamboli) (#42312) @github-actions[bot]
- ​[material-ui][Pagination] Clarify pagination `page` prop API (@Mandar-Pandya) (#42265) @github-actions[bot]
- ​[material-ui][Tabs] Improve the Basic Tabs demo (@MatheusEli) (#42426) @github-actions[bot]
- ​[pigment-css] Fix duplication of content (#42410) @oliviertassinari

### Core

- ​[blog] Add the "Product" tag to the Pigment CSS post (@danilo-leal) (#42366) @github-actions[bot]
- ​[blog] Update blog post OG image (@danilo-leal) (#42306) @github-actions[bot]
- ​[blog] Update Pigment CSS post (@danilo-leal) (#42267) @github-actions[bot]
- ​[core] Fix React 18.3 warnings about spreading keys in the Material UI `Autocomplete` component (#42099) (#42241) @DiegoAndai
- ​[core] Fix a few more key spread issues (@oliviertassinari) (#42318) @github-actions[bot]
- ​[docs-infra] Allow JSDoc tags (#42327) @aarongarciah
- ​[website] Add Nikita to the about page (@nikitaa24) (#42421) @github-actions[bot]
- ​[website] Fix hero spacing changes applying at the wrong breakpoint (@KenanYusuf) (#42357) @github-actions[bot]
- ​[website] Adds Kenan Yusuf to about page (@KenanYusuf) (#42330) @github-actions[bot]
- ​[website] Improve about page @oliviertassinari

All contributors of this release in alphabetical order: @aarongarciah, @brijeshb42, @danilo-leal, @DiegoAndai, @KenanYusuf, @lucasgmelo, @Mandar-Pandya, @MatheusEli, @mnajdova, @nikitaa24, @oliviertassinari, @ZeeshanTamboli

## 5.15.18



_May 14, 2024_

A big thanks to the 5 contributors who made this release possible. Here are some highlights ✨:

### `@mui/material@5.15.18`

- ​[Autocomplete] Improve design when there's a start adornment for small autocomplete (@TahaRhidouani) (#42176) @github-actions[bot]
- ​[ToggleButtonGroup] Add missing `selected` class in ToggleButtonGroupClasses type (@tarunrajput) (#42250) @github-actions[bot]

### Docs

- ​[docs] Fix 301 to Figma @oliviertassinari

### Core

- ​[blog] Introducing Pigment CSS blog post (#42198) (#42255) @samuelsycamore
- ​[website] Add redirection for talk @oliviertassinari
- ​[website] Adds Arthur Balduini team info (@arthurbalduini) (#42226) @github-actions[bot]

All contributors of this release in alphabetical order: @arthurbalduini, @oliviertassinari, @samuelsycamore, @TahaRhidouani, @tarunrajput

## 5.15.17



_May 8, 2024_

A big thanks to the 4 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.17`

- [Slider] Move palette styles to the bottom (#41676) @siriwatknp

### Docs

- Fix SEO redirection issues @oliviertassinari
- [material-ui] Fix broken link (@aarongarciah) (#42143) @github-actions[bot]
- [material-ui] Fix link on the Sync page (@danilo-leal) (#42089) @github-actions[bot]

### Core

- [blog] Shorten title to fit @oliviertassinari
- [blog] Update Sync post OG image (@danilo-leal) (#42117) @github-actions[bot]
- [blog] A few tweaks in introducing-sync-plugin (@oliviertassinari) (#42094) @github-actions[bot]
- [docs-infra] Fix code block layout shift (#41917) @oliviertassinari
- [website] Fix home page slider's track position (@aarongarciah) (#42144) @github-actions[bot]
- [website] Closing the survey @oliviertassinari
- [website] Remove Survey banner from website and Core docs (#42104) @joserodolfofreitas

All contributors of this release in alphabetical order: @github-actions[bot], @joserodolfofreitas, @oliviertassinari, @siriwatknp

## 5.15.16



_May 1, 2024_

A big thanks to the 8 contributors who made this release possible. Here are some highlights ✨:
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.16`

- [material-ui][Dialog] Prevent onClick on the root element from being overwritten (@ryanburr) (#41914) @github-actions[bot]
- [material-ui][Select] Fix `muiName` property TypeScript error (@EyaOuenniche) (#41786) @github-actions[bot]
- —>[material-ui][l10n] Fix typo in is-IS locale (@magnimarels) (#41815) @github-actions[bot]

### Docs

- Fix small SEO issues @oliviertassinari
- Fix 301 Toolpad links @oliviertassinari
- Fix 301 Toolpad links @oliviertassinari
- Fix 301 image redirections @oliviertassinari
- Fix small SEO issues @oliviertassinari
- Fix 301 redirection @oliviertassinari
- Fix format git diff regression (#41882) @oliviertassinari
- Fix 301 links @oliviertassinari
- [material-ui] Fix import statement in migration guide (@sai6855) (#41864) @github-actions[bot]
- [material-ui] Update Figma plugin name (@danilo-leal) (#42057) @github-actions[bot]
- [material-ui] Fix minor spelling error in the "About the lab" page (@ryanhartwig) (#42075) @github-actions[bot]
- [material-ui] Add missing backticks to HTML tag in the installation page (@Miguelrom) (#42009) @github-actions[bot]
- [material-ui] Add Connect-related content (@danilo-leal) (#41924) @DiegoAndai
- [material-ui] Fix Material 3 message typo (@aarongarciah) (#41822) @github-actions[bot]
- [material-ui] Remove Data Grid v7 beta callout (@cherniavskii) (#41842) @github-actions[bot]
- [material-ui][templates] Fix input props attributes in Landing Page template (@5-tom) (#42034) @github-actions[bot]
- [system] Update typo on the sx prop page (@bricker) (#42078) @github-actions[bot]

### Core

- [blog] Add post to introduce the Connect plugin (@danilo-leal) (#41929) @DiegoAndai
- [core] Automate cherry-pick of PRs from `next` -> `master` (#41742) @aarongarciah
- [docs-infra] Improve Twitter OG:image (#41860) @oliviertassinari
- [docs-infra] Use edge function for card generation (#41188) @alexfauquette
- [docs-infra] Fix drawer performances (#41807) (#41820) @alexfauquette
- [docs-infra] Fix analytics about inline ads (#41474) @alexfauquette
- [website] Sync career roles (@oliviertassinari) (#42059) @github-actions[bot]
- [website] Add content about the Sync plugin in the Material UI page (@danilo-leal) (#42074) @github-actions[bot]
- [website] Add Nadja on the about page (#42054) @mnajdova
- [website] Close the `Design Engineer - X` role (#42014) @DanailH
- [website] Remove customer support agent role from website (@rluzists1) (#41996) @github-actions[bot]
- [website] Add Jose to About Us (#41759) @JCQuintas

All contributors of this release in alphabetical order: @aarongarciah, @alexfauquette, @DanailH, @DiegoAndai, @github-actions[bot], @JCQuintas, @mnajdova, @oliviertassinari

## 5.15.15



_Apr 4, 2024_

A big thanks to the 7 contributors who made this release possible. Here are some highlights ✨:
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.15`

- [Autocomplete] Display options provided to the `options` prop even if loading is true (#41677) @ZeeshanTamboli
- [RadioGroup] Apply classnames (#41681) @ZeeshanTamboli

### `@mui/system@5.15.15`

- Fix typo to avoid infinite recursion in function call (#41678) @ZeeshanTamboli

### Docs

- [material-ui][Slider] Remove `valueLabelFormat` from restricted values demo so that the tooltip thumb label displays the same as the value text (#41679) @ZeeshanTamboli
- [material-ui] Remove deleted page from the sidenav (#41594) @danilo-leal
- [material-ui] Fix typo in CSS theme variables customization (#41680) @ZeeshanTamboli
- Continue migration of Base UI to sperate repository @oliviertassinari
- Add notification for MUI X v7 blog post (#41587) (#41605) @cherniavskii
- Update the versions dropdown to show v6 (#41557) @mnajdova

### Core

- [blog] Link to Romain's blog post in MUI X v7 announcement post (#41641) @cherniavskii
- [blog] Blog post with MUI X v7.0.0 annoucement (#41563) (#41604) @cherniavskii
- [blog] Add post about remote (#41565) @danilo-leal
- [core] Continue rename of Toolpad @oliviertassinari
- [docs-infra] Add Toolpad product/category IDs to types (#41551) @bharatkashyap
- [website] Add Aarón to About Us (#41747) @aarongarciah
- [website] Add stray design adjustments throughout the site (#41642) @mnajdova
- [website] Update pricing table (#41606) @cherniavskii

All contributors of this release in alphabetical order: @aarongarciah, @bharatkashyap, @cherniavskii, @danilo-leal, @mnajdova, @oliviertassinari, @ZeeshanTamboli

## 5.15.14



_Mar 18, 2024_

A big thanks to the 15 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.13`

- [Accordion] Convert to support CSS extraction (#41221) @mnajdova
- ​[Autocomplete] Convert to support CSS extraction (#40330) @mnajdova
- ​[Slider] Convert to support CSS extraction (#41201) @mnajdova
- ​[Select] Fix variant type (#41405) @sai6855
- ​[typescript] Use interface instead of type for props (#41500) @siriwatknp

### `@pigment-css/react@0.0.3`

- ​Add Box component (#41451) @brijeshb42

### `pigment-css/nextjs-plugin@0.0.3`

- ​Fix alias resolver (#41494) @brijeshb42
- ​Follow-up to #41494 (#41502) @brijeshb42

### Docs

- ​[joy-ui] Add UI improvements to the side navigation demo (#41461) @cipherlogs
- ​[pigment-css] Add media query guide (#41473) @siriwatknp
- ​[pigment-css] Fixing location of the ExtendTheme type in the docs (#41499) @jherr
- ​[material-ui][Progress] Add Circular progress gradient demo from Github comment (#40559) @DiegoAndai

### Core

- ​[blog] Bringing consistency to Material UI customization APIs (#41040) @DiegoAndai
- ​[code-infra] Rename @mui-internal/docs-utils to @mui/internal-docs-utils (#41498) @michaldudak
- ​[code-infra] Copy translations.json to @mui/docs build folder (#41472) @Janpot
- ​[core] Use Circle CI context (#41532) @oliviertassinari
- ​[core] Fix CHANGELOG format and update date (#41481) @DiegoAndai
- ​[docs] Fix useStorageState regressions (#41223) @Janpot
- ​[docs] Fix some Vale errors (#41516) @oliviertassinari
- ​[material-ui][docs] Fix landing page template's h1 size (#41543) @zanivan
- ​[material-ui][docs] Apply new code header docs feature (#41508) @danilo-leal
- ​[material-next] Drop the package (#41544) @mnajdova
- ​[docs-infra] Fail CI on Vale error (#40944) @oliviertassinari
- ​[docs-infra] Improve Vale config @oliviertassinari
- ​[docs-infra] Add a feature list "component" (#41484) @danilo-leal
- ​[docs-infra] Add code block header classes (#41487) @danilo-leal
- ​[docs-infra] Make the Algolia search input label invisible (#41542) @danilo-leal
- ​[website] Improve navbar's items hover state (#41535) @EyaOuenniche
- ​[website] Split Toolpad documentation (#41316) @bharatkashyap
- ​[website] Use MUI X Data Grid v7-beta (#41276) @cherniavskii

All contributors of this release in alphabetical order: @bharatkashyap, @brijeshb42, @cherniavskii, @cipherlogs, @danilo-leal, @DiegoAndai, @EyaOuenniche, @Janpot, @jherr, @michaldudak, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @zanivan

## 5.15.13



_Mar 13, 2024_

A big thanks to the 18 contributors who made this release possible. Here are some highights ✨

- The Material UI free Checkout template got a design uplift (#41447) @zanivan

### `@mui/material@5.15.13`

- [Alert] Add `slots` and `slotProps` type to theme (#41324) @sai6855
- [Autocomplete] Fix the options list being added to the DOM in `freeSolo` mode even when there are no options, causing style problems (#41300) @rakeshmusturi
- Add `paperChannel` token (#41447) @siriwatknp
- [Switch] Convert to support CSS extraction (#41367) @alexfauquette
- [Tooltip] Support event handlers with extra parameters (#41320) @LukasTy

### `@mui/system@5.15.13`

- [RtlProvider] Add component & hook (#41241) @mnajdova

### `@mui/utils@5.15.13`

- [utils] Fix visually hidden styles' margin unit (#41477) @michaldudak

### `@mui/codemod@5.15.13`

- Fix merging of slotProps and componentProps (#41323) @sai6855

### `@mui/base@5.0.0-beta.39`

- [material-ui][joy-ui][Autocomplete] Keep in sync highlighted index when the option still exists (#41306) @CGNonofr
- [FormControl] Export `FormControlOwnerState` type from index (#41287) @michaeldfoley
- [material-ui][TextareaAutosize] Fix inline style not getting applied (#41369) @ZeeshanTamboli

### `@pigment-css/react@0.0.2`

- Handle more scenarios while transforming sx prop (#41372) @brijeshb42
- Improve testing of fixtures (#41389) @brijeshb42
- Fix `keyframes` serialize styles error (#41395) @siriwatknp
- Use class selector instead of class value (#41442) @brijeshb42
- [next] Warn about unsupported turbo mode in Next.js (#41445) @brijeshb42

### Docs

- [material-ui] Refine checkout template (#40967) @zanivan
- [material-ui] Add docs for complementary List components (#41329) @anle9650
- [material-ui] Add docs for complementary Dialog components (#41313) @jwithington
- [material-ui] Fix Templates live preview link (#41467) @danilo-leal
- [material-ui] Polish out the templates page (#41468) @zanivan
- [material-ui] Adjust the Templates card design (#41450) @danilo-leal
- [joy-ui] Remove unnecessary styles in color inversion footer demo (#41419) @cipherlogs
- [joy-ui] Update case studies chip background color (#41413) @cipherlogs
- [joy-ui] Remove wrong CSS prop from the Sign-in-side template (#41383) @cipherlogs
- [joy-ui] Fix broken link on the Color Inversion page (#41407) @cipherlogs
- [pigment] Add example and guide section (#41249) @siriwatknp
- [pigment-css] Brand name nonbreaking space (#41438) @oliviertassinari
- [pigment-css] Fix import on the README (#41411) @danilo-leal
- [pigment-css] Edit starter template links on README (#41409) @danilo-leal
- [pigment-css] Tweak the examples and edit READMEs (#41408) @danilo-leal
- [pigment-css] Adjust the bit about CSS vars on the README (#41463) @danilo-leal
- Finish brand name fixes #41438 @oliviertassinari
- Remove noreferrer @oliviertassinari
- Fix v4 docs `<b>` appearing in notifications (#41390) @peterwangsc
- Update GitHub project links (#41370) @danilo-leal

### Core

- [pigment] Make all Pigment CSS packages public (#41404) @brijeshb42
- [pigment] Rename directories to match package names (#41453) @brijeshb42
- [pigment-css] Example fix leading spaces (#41439) @oliviertassinari
- [code-infra] Add short note about e2e-website workflow schedule (#41355) @Janpot
- [code-infra] Add alias for icon types (#41248) @Janpot
- [code-infra] Reduce concurrency of typescript:ci further (#41392) @Janpot
- [code-infra] Reduce concurrency for test_types ci job (#41385) @Janpot
- [code-infra] Adapt API code generator to Base UI repo needs (#41475) @michaldudak
- [docs-infra] Don't generate preview files for the templates (#41379) @mnajdova
- [docs-infra] Fix Pigment CSS apps path in the render mui demos script (#41476) @mnajdova
- [docs-infra] move feedback to ESM (#41381) @alexfauquette
- [docs-infra] Improve color contrast throughout (#41387) @danilo-leal
- [docs-infra] Simplify Algolia crawler config (#41312) @oliviertassinari
- [docs-infra] Adjust the tabs and layout selection design (#41084) @danilo-leal
- [blog] Update the Base UI post with links to dedicated repo (#41358) @danilo-leal
- [website] Update the Careers page role (#41384) @danilo-leal
- [website] Compress about images @oliviertassinari
- [website] Improve color contrast on the homepage (#41465) @danilo-leal
- [examples] Add pigment-css-vite-ts starter example (#41196) @siriwatknp
- [examples] Add pigment-css-nextjs-ts starter project (#41105) @siriwatknp

All contributors of this release in alphabetical order: @alexfauquette, @anle9650, @brijeshb42, @CGNonofr, @cipherlogs, @danilo-leal, @jwithington, @Janpot, @michaeldfoley, @michaldudak, @mnajdova, @oliviertassinari, @peterwangsc, @rakeshmusturi, @sai6855, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.15.12



_Mar 5, 2024_

A big thanks to the 21 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@pigment-css/react@0.0.1`, `@pigment-css/nextjs-plugin@0.0.1`, `@pigment-css/vite-plugin@0.0.1`, & `@pigment-css/unplugin@0.0.1`

- This is the first public release of our new zero-runtime CSS-in-JS library, Pigment CSS.

### `@mui/material@5.15.12`

- ​Support props callback type in theme variants (#40946) @ZeeshanTamboli
- ​[Alert] Convert to support zero runtime (#41230) @siriwatknp
- ​[Alert] Deprecate composed classes (#40688) @DiegoAndai
- ​[Button] Deprecate classes for v6 (#40675) @sai6855
- ​[Checkbox] `large` size added in type (#34909) @smox
- ​[Chip] Deprecate composed classes (#41235) @sai6855
- ​[Chip] Correct `deleteIconColorPrimary` and `deleteIconColorSecondary` class descriptions (#41231) @sai6855
- ​Remove unused dev dependency on @mui/lab (#41198) @brijeshb42
- ​[Slider] Deprecate components and componentProps props for v6 (#40777) @lhilgert9

### `@mui/system@5.15.12`

- ​[pigment-css][material-ui] Render badge demos (#41353) @siriwatknp
- ​[pigment-css] Update to latest wyw version (#41363) @brijeshb42
- ​[pigment-css] Rename scope to @pigment-css (#41354) @brijeshb42
- ​[pigment-css] Rename zero-runtime to pigmentcss (#41317) @brijeshb42
- ​Fix createSpacing return type (#41318) @matystroia
- ​[zero] Add support for styled tagged-template literals (#41268) @brijeshb42
- ​[zero] Set up Material UI migration demos (#41267) @siriwatknp
- ​[zero] Move extendTheme to already existing @mui/zero-runtime/utils (#41254) @brijeshb42
- ​[zero] Remove `object` intersection from CSS Fallback (#41271) @siriwatknp
- ​[zero] Minor wording changes in README (#41253) @brijeshb42
- ​[zero] Prepare zero-runtime packages for public release (#41226) @brijeshb42

### `@mui/joy@5.0.0-beta.30`

- ​[joy-ui][Autocomplete] Fix text overflow in Chip (#40229) @PunitSoniME

### Docs

- ​[base-ui] Update the docs post repo separation (#41328) @danilo-leal
- ​Fix missing partner link @oliviertassinari
- ​Update links to GitHub projects (#41297) @danilo-leal
- ​Standardize WAI-ARIA referencest @oliviertassinari
- ​Fix image layout shift when loading @oliviertassinari
- ​[joy-ui] Add stray adjustments throughout the docs (#41211) @danilo-leal
- ​[material-ui] Remove duplicated text at FAQ page (#41326) @zanivan
- ​[material-ui] Fix color mode toggle of the landing page template (#41293) @zanivan
- ​[system] Tweak the Usage demos (#41242) @danilo-leal
- ​[zero] Add a Why section on the README (#41284) @danilo-leal

### Core

- ​Revert "[utils] Port `useLocalStorageState` hook from Toolpad (#41096)" @oliviertassinari
- ​[blog] Add post about how MUI uses Toolpad (#40172) @prakhargupta1
- ​[blog] No bundled demos in blog posts @oliviertassinari
- ​[code-infra] Embed translations in the @mui/docs package (#41246) @Janpot
- ​[code-infra] Prepare the markdown package for publishing (#41240) @michaldudak
- ​[code-infra] Unpin the version of docs-utils in scripts (#41232) @michaldudak
- ​[core] Use runtime agnostic setTimeout type @oliviertassinari
- ​[core] Remove window. reference for common globals @oliviertassinari
- ​[core] Add a script to build all packages (#40631) @michaldudak
- ​[docs-infra] Fix missing non breaking spaces @oliviertassinari
- ​[docs-infra] Add design customizations to the disclosure element (#41285) @danilo-leal
- ​[docs-infra] Adjust headings dark mode color (#41292) @danilo-leal
- ​[docs-infra] Fix Stack Overflow breaking space @oliviertassinari
- ​[docs-infra] Fix product selector popup not closing on route change (#41166) @divyammadhok
- ​[docs-infra] Improve fix blank links ad @oliviertassinari
- ​[docs-infra] Support interfaces for X docs (#41069) @alexfauquette
- ​[infra] Adjust the links to search for issues (#41008) @michelengelen
- ​[website] Move the `React Engineer - xCharts` to `Next roles` section (#41368) @DanailH
- ​[website] Add James to About Us (#41362) @atomiks
- ​[website] Polish Button outline primary medium (#41298) @oliviertassinari
- ​[website] Remove Heatmap chart from community plan on pricing table (#41081) @alexfauquette

All contributors of this release in alphabetical order: @alexfauquette, @atomiks, @brijeshb42, @DanailH, @danilo-leal, @DiegoAndai, @divyammadhok, @Janpot, @lhilgert9, @matystroia, @michaldudak, @michelengelen, @mj12albert, @oliviertassinari, @prakhargupta1, @PunitSoniME, @sai6855, @siriwatknp, @smox, @zanivan, @ZeeshanTamboli

## 5.15.11



_Feb 21, 2024_

A big thanks to the 26 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.11`

- [Alert] Deprecate components and componentsProps props (#40681) @DiegoAndai
- [Autocomplete] Caret transformation issue with font size change (#41066) @dpertsin
- [StepLabel] Add type for StepIconComponent (#41082) @harrydigos
- [TablePagination] Fix type error in Select props (#39137) @PaulKristoffersson
- [Transitions] External ownerState is incorrectly forwarded to inner components (#41187) @gitstart
- Use direct import (#40851) @siriwatknp

### `@mui/material-nextjs@5.15.11`

- Fix missing babel/runtime dependency in material-ui-nextjs (#41077) @siriwatknp

### `@mui/system@5.15.11`

- Use direct import (#40851) @siriwatknp
- Move useMediaQuery to system (#39463) @justintoman
- Consolidate the variants props callback arguments (#41222) @mnajdova
- Merge props and ownerState in the variants props callback (#41219) @mnajdova

### `@mui/codemod@5.15.11`

- [AccordionSummary] Add contentGutters deprecation codemods (#41006) @DiegoAndai
- [PaginationItem] Add codemod for deprecated classes (#41145) @sai6855

### `@mui/utils@5.15.11`

- Port `useLocalStorageState` hook from Toolpad (#41096) @Janpot

### `@mui/base@5.0.0-beta.37`

- [Switch] Add missing role attribute (#40907) @KirankumarAmbati
- [TextareaAutosize] Improve implementation (#40789) @ZeeshanTamboli

### `@mui/lab@5.0.0-alpha.164`

- [Masonry] Ability to sort elements from left to right (#39904) @Rishi556

### Docs

- [base-ui] Fix focus state demo in Base UI autocomplete (#41104) @oliviertassinari
- [base-ui] Update the Accessibility page demos design (#40995) @danilo-leal
- [joy-ui] Fix LinearProgressWithLabel example (#41194) @khgiddon
- [joy-ui] Fix 404 image on the docs @oliviertassinari
- [material-ui] Add a "start now" section on the Overview page (#41137) @danilo-leal
- [material-ui] Inform about deprecated TablePagination SelectProps usage (#41186) @gitstart
- [material-ui] Update the Testing page's Argos link (#41170) @gregberge
- [material-ui] Remove Masonry component and Material Design icon from the landing page template (#41080) @zanivan
- [material-ui] Standardize all references to Material Design 3 (M3) (#40903) @samuelsycamore
- [material-ui] Add stray fixes around a few pages (#41038) @danilo-leal
- [material-ui][joy-ui][system] Restore and revise the Box docs (#40622) @samuelsycamore
- [material-ui] Add simpler demo for default behavior (#40980) @zanivan
- [system] Explain why AppRouterCacheProvider (#40909) @oliviertassinari
- Link to react-transition group with https @oliviertassinari
- Update broken URL hashes (#41185) @LukasTy
- Prefer https links @oliviertassinari
- Fix MUI Treasury link @oliviertassinari
- Migrate the last > quotes to ::: callouts @oliviertassinari

### Core

- [blog] Add new product tags and stray adjustments (#41193) @danilo-leal
- [blog] Simplify `/base-ui-2024-plans/` page (#41171) @oliviertassinari
- [blog] Add link to Base UI API changes RFC (#41089) @michaldudak
- [blog] Remove the "News" tag (#41208) @danilo-leal
- [changelog] Remove @mui/system@5.15.10 (#41093) @michaldudak
- [code-infra] Move typescript-to-proptypes to internal-scripts package (#41079) @michaldudak
- [code-infra] Move Link to @mui/docs (#40889) @Janpot
- [code-infra] Use `experimental.cpus` to control amount of export workers in Next.js (#41132) @Janpot
- [code-infra] Load commonjs files in next.config.mjs with require (#41108) @Janpot
- [code-infra] Prepare babel macros package for publishing to npm (#41178) @michaldudak
- [code-infra] Build internal packages before publishing (#41210) @michaldudak
- [core] Improve the release instructions (#40973) @mnajdova
- [core] Simplify Next.js Demo Zero Runtime guide @oliviertassinari
- [core] Fix TypeScript spelling in changelog @oliviertassinari
- [core] Fix small detail in the autocomplete demo @oliviertassinari
- [core] Increase node memory limit on Netlify build (#41111) @michaldudak
- [core][Tooltip] Remove incorrect code comment (#41179) @ZeeshanTamboli
- [core] Fix missing context display names (#41168) @oliviertassinari
- [core][base-ui] Remove `@mui/base` dev dependency from Base UI workspace (#41216) @ZeeshanTamboli
- [zero][demo] Fix sample next app build (#41197) @brijeshb42
- [docs-infra] Simplify copy logic (#41167) @oliviertassinari
- [docs-infra] New way of providing API layout config (#41106) @alexfauquette
- [docs-infra] Reduce scrollbar width on ROC (#41148) @oliviertassinari
- [docs-infra] Add external link arrow (#41129) @siriwatknp
- [docs-infra] Fix external link arrow (#41181) @alexfauquette
- [docs-infra] Flag npm and GitHub as wrong spellings @oliviertassinari
- [docs-infra] Fix display when the default props is undefined (#41114) @oliviertassinari
- [docs-infra] Remove random layout assignment (#40862) @alexfauquette
- [docs-infra] Add spacing and contrast improvements (#41191) @danilo-leal
- [docs-infra] Share vale-config (#41176) @alexfauquette
- [test] Generalize test utils (#41175) @michaldudak
- [typescript-to-proptypes] Support using `Omit` on types with conditional properties (#41033) @flaviendelangle
- [website] Match chart component names @oliviertassinari
- [website] Add Marblism diamond sponsor (#41097) @rluzists1
- [website] Add overall improvements to the Material UI page (#41075) @danilo-leal
- [website] Fix responsive breakpoints @oliviertassinari
- [website] Fix overloading of footer JS files @oliviertassinari
- [website] Improve the footer's chip contrast (#41209) @danilo-leal
- [zero] Update to latest version of wyw-in-js (#41182) @brijeshb42
- [zero] Setup basic testing framework (#40986) @brijeshb42
- [zero] Fix wrong CSS order by moving import to last (#41002) @siriwatknp
- [zero] Export `extendTheme` for creating a zero-runtime theme (#40897) @siriwatknp
- [zero] Move extendTheme to its own subpath (#41204) @brijeshb42

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @danilo-leal, @DiegoAndai, @dpertsin, @flaviendelangle, @gitstart, @gregberge, @harrydigos, @Janpot, @justintoman, @khgiddon, @KirankumarAmbati, @LukasTy, @michaldudak, @mnajdova, @nikosgavalas, @oliviertassinari, @PaulKristoffersson, @Rishi556, @rluzists1, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.15.10



_Feb 12, 2024_

A big thanks to the 8 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.10`

- [Avatar] Add props deprecation with a codemod (#40853) @siriwatknp

### `@mui/joy@5.0.0-beta.28`

- [Button] Fix `disabled` prop priority when inside button group (#41000) @Smileek
- [IconButton] Support loading prop (#40949) @Smileek

### Docs

- [Button][material-ui] Fix 'File upload' demo a11y (#40943) @oliviertassinari
- [TableRow][material-ui] Escape markup in `children` prop so docgen tools don't parse it as HTML (#40992) @millerized
- [material-ui] Remove outdated example projects link (it uses Joy UI now) (#40913) @oliviertassinari
- [material-ui] Fix the "Intro to the MUI ecosystem" link placement (#40988) @danilo-leal
- Fix 301 redirection to StackBlitz @oliviertassinari
- Fix h1 on Joy UI templates @oliviertassinari
- Have MUI workspace own the CodeSandbox @oliviertassinari
- Add notification for MUI X v7 beta (#41001) @joserodolfofreitas
- Fix 301 links @oliviertassinari
- Fix Next.js v13.5.1 <title> SEO regression (#40302) @oliviertassinari
- Add a 404 page (#40884) @danilo-leal
- Fix missing GitHub label when opening new issue @oliviertassinari
- [Stack] Update import statement for Stack component (#41032) @sai6855

### Core

- [blog] Add post about upcoming plans for Base UI (#40882) @danilo-leal
- [core] Simplify CodeSandbox reproduction @oliviertassinari
- [core] Missing redirection @oliviertassinari
- [core] Export functions from `copyFiles` script to reuse in MUI X repo (#40970) @cherniavskii
- [core] Avoid variable shorthands @oliviertassinari
- [docs-infra] Fix search icon issue (#40957) @oliviertassinari
- [docs-infra] Ignore classes tagged with `@ignore` (#41009) @cherniavskii
- [docs-infra] Fix selected tab on codeblocks (#41036) @danilo-leal
- [website] Polish Customer Support Agent role @oliviertassinari

All contributors of this release in alphabetical order: @cherniavskii, @danilo-leal, @joserodolfofreitas, @millerized, @oliviertassinari, @sai6855, @siriwatknp, @Smileek

## 5.15.9

_Feb 8, 2024_

A big thanks to the 7 contributors who made this release possible. Here are some highlights ✨:

- 🐛 A critical fix to remove non-published library usage in `@mui/material` peerDependencies.

### `@mui/material@5.15.9`

- ​[autocomplete] Avoid spread operator (#40968) @oliviertassinari
- ​[material] Remove zero-runtime from peer dep (#41003) @brijeshb42

### `@mui/base@5.0.0-beta.36`

- ​[base-ui] Update props using Array to ReadonlyArray type (#40754) @RaghavenderSingh

### `@mui/system@5.15.9`

- ​[system] use `ReadonlyArray` for CSS related types (#40972) @siriwatknp
- ​[zero] Migrate to use wyw-in-js instead of linaria (#40866) @brijeshb42

### Docs

- ​[docs] Polish codemod git diff format @oliviertassinari
- ​[material-ui][docs] Migrating from deprecated apis follow up (#40981) @DiegoAndai

### Core

- ​[code-infra] Move next config to ESM (#40869) @Janpot
- ​[code-infra] Update prettier (#40772) @Janpot
- ​[code-infra] Add codemod for `light` prop removal (#40947) @sai6855

All contributors of this release in alphabetical order: @brijeshb42, @DiegoAndai, @Janpot, @oliviertassinari, @RaghavenderSingh, @sai6855, @siriwatknp

## 5.15.8

_Feb 6, 2024_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 💫 Added a redesigned [landing page template](https://mui.com/material-ui/getting-started/templates/landing-page/) (#37557) @zanivan
- ✨ Added support for Arrow Down/Up + Shift and Page Up/Down keys for faster stepping in the Slider component (#40676) @mnajdova
- many 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.15.8`

- ​[Avatar] Simplify valid children assertion (#40834) @oliviertassinari

### `@mui/codemod@5.15.8`

- ​[Accordion] Update props actual.js test case (#40879) @DiegoAndai
- ​Fix `findComponentJSX` util (#40855) @sai6855

### `@mui/system@5.15.8`

- ​Add blend color manipulator (#40258) @romgrk
- ​Support variants in `theme.styleOverrides` (#40690) @siriwatknp
- ​[zero] Always replace the `createUseThemeProps` call (#40885) @siriwatknp
- ​[zero] Add README with installation and basic usage (#40761) @brijeshb42

### `@mui/base@5.0.0-beta.34`

- ​[Button] Add support for `hostElementName` prop to improve SSR (#40507) @mj12albert
- ​[Menu] Use Popup instead of Popper (#40731) @michaldudak
- ​[useNumberInput] Integrate useNumberInput with useControllableReducer (#40206) @mj12albert
- ​[Slider] Add support for Arrow Down/Up + Shift and Page Up/Down keys (#40676) @mnajdova

### Docs

- ​[base-ui] Update usage.md (#40916) @adebiyial
- ​[base-ui] Improve Base UI traffic from Material UI (#40875) @oliviertassinari
- ​[base-ui] Change Radio component terminology from Button to Group (#40888) @danilo-leal
- ​[base-ui] Remove redundant "Styled" prefix (#40478) @oliviertassinari
- ​[base-ui] Update listbox slot style in demo (#40952) @sai6855
- ​[material-ui] Fix createTheme import and markdown format in the Next.js guide (#40895) @hsmtkk
- ​[material-ui] Correct Google font CDN URL as Roboto 600 weight is not used (#40852) @xuhdev
- ​[material-ui] Replace the Album template with a landing page (#37557) @zanivan
- ​[material-ui] Add deprecations migration guide (#40767) @DiegoAndai
- ​[material-ui] Improve aria-label throughout the Button Group demos (#40892) @danilo-leal
- ​[joy-ui] Update the Overview callout (#40900) @danilo-leal
- ​Fix image size and dark mode @oliviertassinari
- ​Migrate links from legacy.reactjs.org to react.dev @oliviertassinari
- ​Fix 301 links @oliviertassinari
- ​Fix outdated link @oliviertassinari
- ​Fix URL and typo in CONTRIBUTING.md (#40899) @Smileek

### Core

- ​[blog] Optimize images for /blog/mui-x-v7-beta/ @oliviertassinari
- ​[blog] Clarify barrel index tree-shaking @oliviertassinari
- ​[code-infra] Simplify bug reproduction (#40833) @oliviertassinari
- ​[code-infra] Prepare publishing @mui-internal/typescript-to-proptypes to npm (#40842) @michaldudak
- ​[code-infra] Remove babel alias from the docs (#40792) @Janpot
- ​[core] Use Google Font v2 API @oliviertassinari
- ​[core] Add missing change to v5.15.7 changelog (#40872) @DiegoAndai
- ​[core] Normalize `<meta name="viewport" />`` @oliviertassinari
- ​[dependencies] Do not update envinfo test dependencies (#40950) @michaldudak
- ​[docs-infra] Fix arbitrary gap between paragraphs in callouts (#40911) @oliviertassinari
- ​[docs-infra] Allow developers to build their CodeSandbox export (#40878) @oliviertassinari
- ​[docs-infra] Improve StackBlitz support (#40832) @oliviertassinari
- ​[docs-infra] Improve support for absolute locale URL (#40940) @oliviertassinari
- ​[Menu][base-ui] Fix improperly merged tests (#40896) @michaldudak
- ​[utils] Use consistent build approach (#40837) @siriwatknp
- ​[website] Fix React missing key console error @oliviertassinari
- ​[website] Fix broken link @oliviertassinari
- ​[website] Fix heading structure (#40912) @oliviertassinari
- ​[website] Add Customer Support Agent role to careers page (#40890) @rluzists1
- ​[website] Refine the Material UI homepage demo (#40881) @danilo-leal
- ​[website] Use em-dash when relevant over hyphen @oliviertassinari
- ​[zero] Fix build for demo next.js app (#40854) @brijeshb42

All contributors of this release in alphabetical order: @adebiyial, @brijeshb42, @danilo-leal, @DiegoAndai, @hsmtkk, @Janpot, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @rluzists1, @romgrk, @sai6855, @siriwatknp, @Smileek, @xuhdev, @zanivan

## 5.15.7



_Jan 31, 2024_

A big thanks to the 21 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.7`

- ​[Select] Fix to show notched outline when `displayEmpty` (#40865) @ZeeshanTamboli
- ​[Avatar] Improve fallback when `children` is empty string or boolean (#40766) @mirus-ua
- ​[AvatarGroup] Refactor component thereby fixing custom spacing logic (#40686) @ZeeshanTamboli

### `@mui/codemod@5.15.7`

- ​Add accordion props deprecation (#40771) @siriwatknp

### `@mui/system@5.15.7`

- ​[zero-runtime] Use lodash instead of its subpackages (#40868) @michaldudak
- ​Add `applyStyles()` to theme (#40667) @siriwatknp
- ​[zero] Use `theme.applyStyles` in the demo app (#40787) @siriwatknp
- ​[zero] Add `useThemeProps` processor (#40648) @siriwatknp

### `@mui/utils@5.15.7`

- ​[core] Remove unnecessary default export (#40788) @siriwatknp
- ​[core] Convert all exports to modules (#39882) @mnajdova
- ​[perf] Prevent unneeded `clearTimeout` calls (#39060) @romgrk

### `@mui/base@5.0.0-beta.34`

- ​[Input] Add OTP input demo (#40539) @sai6855
- ​[Menu] Focus last item after opening a menu using up arrow (#40764) @Jaswanth-Sriram-Veturi
- ​[Menu] Focus Menu Items on hover (#40755) @michaldudak

### `@mui/joy@5.0.0-beta.25`

- ​Change the color scheme type to `SupportedColorScheme` (#40776) @Nikhilh26

### `@mui/lab@5.0.0-alpha.163`

- ​[TabContext] Support number type in `value` (#40829) @srinidhi9831

### Docs

- ​[material-ui] Fix the icon preview dialog (#40863) @danilo-leal
- ​[material-ui] Fix typo on styled-components guide (#40858) @dancielos
- ​[base-ui] Fix CSS vars from the plain CSS theme stylesheet (#40762) @zanivan
- ​[material-ui][Divider] Remove light prop references from docs (#40782) @sai6855
- ​Fix build @oliviertassinari
- ​Add support pages for each product @oliviertassinari
- ​Add survey banner to docs and website (#40553) @joserodolfofreitas
- ​[Menu] Fix hydration mismatch error on Base UI's Menu docs (#40758) @michaldudak
- ​[material-nextjs] Add theming and configuration content to the page (#40626) @siriwatknp

### Core

- ​[website] Move `React Engineer - X` into the future roles section (#40867) @DanailH
- ​[material-ui][test][Alert] Add action, icon, and iconMapping tests (#40682) @DiegoAndai
- ​[blog] Lint duplicate h1 on the page (#40835) @oliviertassinari
- ​[blog] MUI X v7 beta announcement blogpost (#40784) @joserodolfofreitas
- ​[code-infra] Remove custom TS installation script (#40636) @michaldudak
- ​[code-infra] Correct API Docs Builder dependencies (#40775) @michaldudak
- ​[code-infra] Migrate to prettier async APIs (#40668) @Janpot
- ​[code-infra] Refined docs generation (#40603) @alexfauquette
- ​[code-infra] Explain how to install the browsers (#40474) @oliviertassinari
- ​`missingKeyGenerator` do no longer exist (#40830) @oliviertassinari
- ​Rely on immutable ref when possible (#40831) @oliviertassinari
- ​Remove deprecated `@types/markdown-to-jsx` package from docs (#40828) @ZeeshanTamboli
- ​Remove unneeded `@slack/web-api` package (#40840) @ZeeshanTamboli
- ​Clarify TODO instruction @oliviertassinari
- ​Remove unneeded use-clients (#40663) @oliviertassinari
- ​[docs-infra] Fix anchor link hook (#40836) @oliviertassinari
- ​[docs-infra] Avoid layout shift on docs-pages (#40749) @oliviertassinari
- ​[examples] Fix build on Next.js Pages Router examples (#40665) @oliviertassinari
- ​[test] Speed up the envinfo test (#40669) @michaldudak
- ​[typescript-to-proptypes] Allow to represent dates as `PropTypes.object` (#40774) @flaviendelangle
- ​[website] Add new Base UI role (#40773) @colmtuite
- ​[website] Fix a couple of rough edges (#40849) @danilo-leal
- ​[website] Small polishing after latest changes to the theme (#40846) @zanivan
- ​[website] Polish some pages and stray components (#40797) @danilo-leal
- ​[website] Refine the careers page slightly (#40793) @danilo-leal
- ​[website] Fix missing key on the Testimonials section (#40791) @Janpot
- ​[website] Fix Footer layout shift (#40786) @oliviertassinari
- ​[website] Revamp the testimonial section in the homepage (#40752) @danilo-leal
- ​[website] Fix pricing license model toggle style (#40747) @oliviertassinari
- ​[website] Fine-tune colors and styles on the branding theme (#40751) @danilo-leal
- ​[website] Fix Toggle Button styles in the homepage demos (#40744) @mohamedsaiedd
- ​[website] Update stats on the testimonials section (#40769) @EyaOuenniche

All contributors of this release in alphabetical order: @alexfauquette, @colmtuite, @danilo-leal, @DiegoAndai, @EyaOuenniche, @flaviendelangle, @Janpot, @Jaswanth-Sriram-Veturi, @joserodolfofreitas, @michaldudak, @mirus-ua, @mnajdova, @mohamedsaiedd, @Nikhilh26, @oliviertassinari, @romgrk, @sai6855, @siriwatknp, @srinidhi9831, @zanivan, @ZeeshanTamboli

## 5.15.6



_Jan 22, 2024_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.6`

- ​[Avatar] Use variants api (#40324) @mnajdova
- ​[TablePagination] Accept readonly array for `rowsPerPageOptions` prop (#40481) @pcorpet
- ​[PaginationItem] Deprecate classes for v6 (#40673) @sai6855
- ​[Rating] Fix rating width via min-content (#40503) @devhik0

### `@mui/base@5.0.0-beta.33`

- ​[Select] Fix display of selected Options with rich content (#40689) @michaldudak
- ​[Select] Use Popup instead of Popper (#40524) @michaldudak
- ​[useMenuButton] Fix non native button triggers (#40645) @DiegoAndai

### `@mui/system@5.15.6`

- ​[zero] Fix theme token import in source file (#40691) @brijeshb42
- ​[zero] Add support for css import (#40541) @brijeshb42

### `@mui/icons-material@5.15.6`

- ​[icons-material] Fix icons package.json version (#40655) @mj12albert

### Docs

- ​[base-ui] Polish the Slider demos (#40332) @danilo-leal
- ​[base-ui][Slider] Fix plain CSS demo's wrong keyboard behavior (#40652) @mnajdova
- ​[base-ui][TextareaAutosize] Add border-box to demo (#40646) @ANUGLYPLUGIN
- ​Fix brand name non-breaking space (#40701) @oliviertassinari
- ​Improve error message for MUI Vale rule @oliviertassinari
- ​Add notification to publish the survey (#40552) @joserodolfofreitas
- ​[system] Explain a bit more how AppRouterCacheProvider works @oliviertassinari
- ​[joy-ui] Move tutorial to iframe (#40567) @oliviertassinari
- ​[material-ui][Slider] Remove custom divs from new demo (#40674) @zanivan
- ​[material-ui] Improve TabContext, TabList, and TabPanel documentation (#40587) @anle9650
- ​[material-ui][Slider] Added custom mark labels demo (#40647) @DonikaV

### Core

- ​[core] Fix RXDB-logo Url (#40724) @mohamedsaiedd
- ​[code-infra] Improve proptypes-generation (#40617) @alexfauquette
- ​[code-infra] Disable pnpm package cache on CircleCI (#40670) @michaldudak
- ​[code-infra] Add missing package to CodeSandbox CI config (#40657) @michaldudak
- ​[code-infra] Remove unnecessary @mui/utils dependency from api-docs-builder (#40632) @michaldudak
- ​[core] Polish issue templates @oliviertassinari
- ​[docs-infra] Support markdown link in slots descriptions (#40679) @alexfauquette
- ​[examples] Simplify Next.js example (#40661) @oliviertassinari
- ​[website] Fix broken styles on Base UI page (#40683) @michaldudak

All contributors of this release in alphabetical order: @alexfauquette, @anle9650, @ANUGLYPLUGIN, @brijeshb42, @danilo-leal, @devhik0, @DiegoAndai, @DonikaV, @joserodolfofreitas, @michaldudak, @mj12albert, @mnajdova, @mohamedsaiedd, @oliviertassinari, @pcorpet, @sai6855, @zanivan

## 5.15.5



_Jan 17, 2024_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- Base UI's CSS class prefix is now `base-` (#40205) @michaldudak
- Bug fixes, and a lot of improvements to code and docs infra

### `@mui/material@5.15.5`

- ​[Accordion] Deprecate \*Props props and classes for v6 (#40418) @DiegoAndai
- ​[Alert] Update TypeScript types to allow color override types to be added to `iconMapping` and `severity` props (#40551) @2metres
- ​[Dialog] Remove deprecated onBackdropClick from Dialog tests (#40505) @sai6855
- ​[Divider] Deprecate props and classes for v6 (#40563) @sai6855

### `@mui/material-next@6.0.0-alpha.118`

- ​[ButtonGroup] Apply MD3 style to `ButtonGroup` (#40124) @lhilgert9

### `@mui/base@5.0.0-beta.32`

#### Breaking changes

- ​Change the CSS class prefix to `base-` (#40205) @michaldudak

The class prefix of Base UI components have been changed from `Mui-` to `base-`. This only affects codebases that uses class names verbatim, i.e. not exposed by JS objects such as `buttonClasses`, but as plain strings or in CSS stylesheets (`.MuiButton.root`)

To adapt your code to the new pattern:

- replace all occurrences of the regex `.Mui([A-Z][A-Za-z]*)-` with `.base-$1-` (so `MuiButton-root` becomes `base-Button-root`, etc.),
- replace all occurrences of the regex `.Mui-([a-z]*)` with `.base--$1` (so `Mui-disabled` becomes `base--disabled`, etc.).

#### Changes

- ​[Select] Fix screen-reader CSS to avoid body scrollbar (#40599) @brijeshb42
- ​[Switch] Add border-box to demos (#40638) @zanivan

### `@mui/joy@5.0.0-beta.23`

- ​[ModalDialog] Fix ModalDialog layout prop override (#40512) @maakcode
- ​[RadioGroup] Allow zero number as a value (#40344) @aacevski

### `@mui/codemod@5.15.5`

- ​Allow `json` files to be transformed (#40536) @ZeeshanTamboli

### `@mui/lab@5.0.0-alpha.161`

- ​Update `@mui/material` peer dependency version (#40528) @ZeeshanTamboli

### `@mui/material-nextjs@5.15.5`

- ​Fix release script (#40519) @petrovmiroslav
- ​Support Nonces in the App Router Provider (#40269) @josh-feldman
- ​Polish @mui/material-nextjs (#40473) @oliviertassinari

### `@mui/system@5.15.5`

- ​Fix import path for @mui/system in vite apps (#40490) @brijeshb42
- ​Fix css vars generation and simplify the code (#40530) @siriwatknp
- ​Identify zero runtime styled path (#40555) @brijeshb42

### Docs

- ​[joy-ui][Card] Fix text alignment in horizontal aligned card demo (#40562) @ZeeshanTamboli
- ​Improve instructions about peer dependencies (#40621) @danilo-leal
- ​Solve page description length @oliviertassinari
- ​Fix MUI Treasury links (#40561) @siriwatknp
- ​[material-ui] Update <ListItem button/> to ListItemButton in demos (#40564) @sai6855
- ​[material-ui] Revise the Snackbar page (#39298) @danilo-leal
- ​[material-ui] Sharpen Material 3 copy on demo pages (#40546) @samuelsycamore
- ​[material-ui] Fix typo on Next.js integration guide (#40538) @zanivan
- ​[material-ui][Snackbar] Remove unused `State` interface from Consecutive Snackbars demo (#40410)
  @zinoroman
- ​[website] Resolve broken links reported by `docs:link-check` (#40547) @samuelsycamore

### Core

- ​[blog] Fix 404 link to MUI Treasury @oliviertassinari
- ​[code-infra] Add `run` command to deploy docs (#40513) @siriwatknp
- ​[core] Update the lockfile (#40628) @michaldudak
- ​[core] Remove dead code and follow standard @oliviertassinari
- ​[core] Simplify server detection (#40471) @oliviertassinari
- ​[core] Sync playwright cache between MUI X and Material UI (#40475) @oliviertassinari
- ​[dependencies] Bump tough-cookie (#40437) @michaldudak
- ​[docs-infra] Enforce brand name rules (#40525) @oliviertassinari
- ​[docs-infra] Minimize ad layout shift on mobile (#40582) @oliviertassinari
- ​[docs-infra] Improve API page deprecation info (#40440) @DiegoAndai
- ​[docs-infra] Remove old tocs banners (#40537) @oliviertassinari
- ​[docs-infra] Remove dead code aria-label sponsors (#40526) @oliviertassinari
- ​[utils] Centralize clamp implementation in utils (#40267) @Kamino0
- ​[website] Polish the Base UI page demos (#40504) @danilo-leal

All contributors of this release in alphabetical order: @2metres, @aacevski, @brijeshb42, @danilo-leal, @DiegoAndai, @josh-feldman, @Kamino0, @lhilgert9, @maakcode, @michaldudak, @oliviertassinari, @petrovmiroslav, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli, @zinoroman

## 5.15.4



_Jan 10, 2024_

A big thanks to the 22 contributors who made this release possible. Here are some highlights:

- ✨ Material UI's [ToggleButtonGroup](https://mui.com/material-ui/react-toggle-button/) now supports non-button element as a child (e.g., showing a Tooltip on a disabled ToggleButton) (#40220) @Methuselah96

### `@mui/material@5.15.4`

- [TextField][FormLabel][InputLabel][FormControl] Use exact children type to allow React children type augmentation (#38872) @nicegamer7
- [Select] Add form submission regression test (#40176) @mj12albert
- [ToggleButtonGroup] Support different elements under it (#40220) @Methuselah96
- [ClickAwayListener] Fix export of types (#40485) @illume

### `@mui/material-nextjs@5.15.4`

- Improve build size issue (#40436) @siriwatknp

### `@mui/icons-material@5.15.4`

- Update the icons (#40365) @michaldudak

### `@mui/system@5.15.4`

- [zero] Move zero runtime related packages (#40426) @brijeshb42
- Fix all use of styled(Box) (#40449) @oliviertassinari

### `@mui/utils@5.15.4`

- Fix `isPlainObject` to work across realm (#39981) @brijeshb42

### `@mui/base@5.0.0-beta.31`

- [base-ui][NumberInput] Remove inputId and inputRef types from NumberInput component (#40425) @sai6855

### `@mui/joy@5.0.0-beta.22`

- [Badge] Shouldn't crash when using custom size (#39986) @iamsaumya
- [ToggleButtonGroup] Add `JoyToggleButtonGroup` to extendTheme's components type export (#40407) @RiceCrisp

### Docs

- [base-ui] Visual tweaks to the plain CSS theme stylesheet (#40487) @zanivan
- [base-ui] Add tokens to plain CSS theme stylesheet (#40113) @zanivan
- [base-ui] Update the overview page (#40412) @danilo-leal
- [material-ui][Drawer] Resolve flickering when double-clicking on the backdrop to close it (#40343) @aacevski
- [material-ui] Refactor form submission in FormDialog component (#40470) @sai6855
- [material-ui] Replace recharts with MUI X charts on the Dashboard template (#40107) @alexfauquette
- [material-ui] Revise the Alert demo page (#34892) @samuelsycamore
- [material-ui] Revise the Accordion page (#40284) @anle9650
- [material-ui] Add docs for complementary Card components (#40346) @anle9650
- [material-ui] Add Material 3 components page (#40350) @DiegoAndai
- Fix strange italic style @oliviertassinari
- Fix references to ESLint @oliviertassinari
- Fix 301 redirections @oliviertassinari
- Right-to-left revision and addition to Joy UI (#39158) @danilo-leal

### Core

- [examples] Use material-nextjs integration package (#40199) @siriwatknp
- [code-infra] Configure build dependencies in nx (#40482) @michaldudak
- [code-infra] Don't require noreferrer on target link (#40447) @oliviertassinari
- [code-infra] Use tsx instead of ts-node (#40428) @michaldudak
- [code-infra] Add options to docs-api generation to support X code structure (#40111) @alexfauquette
- [docs-infra] Add types for withDocsInfra (#40301) @oliviertassinari
- [docs-infra] Fix anchor links in API pages (#40450) @oliviertassinari
- [docs-infra] Fix API table full-width (#40476) @oliviertassinari
- [docs-infra] Fix the copy button overlapping with the scrollbar (#40405) @danilo-leal
- [docs-infra] Remove explicit `mui-x` dependency resolving (#40257) @LukasTy
- [docs-infra] Update the outlined Demo container dark mode color (#40488) @danilo-leal
- [core] Lock file maintenance (#34538) @renovate[bot]
- [core] Remove duplicate devDependencies (#40438) @michaldudak
- [core] Remove issue emoji @oliviertassinari
- [core] Move prefetch at the core, will propagate to MUI X @oliviertassinari
- [core] Change package manager to pnpm (#36287) @Janpot
- [core][docs] Remove the "Understand MUI packages" page (#39835) @savalaram-redkar
- [website] Evolve the Developer Advocate role (#40337) @oliviertassinari
- [website] Fix default social card @oliviertassinari
- [test] Restore the `t` command (#40430) @michaldudak

All contributors of this release in alphabetical order: @aacevski, @alexfauquette, @anle9650, @brijeshb42, @danilo-leal, @DiegoAndai, @iamsaumya, @illume, @Janpot, @LukasTy, @Methuselah96, @michaldudak, @mj12albert, @nicegamer7, @oliviertassinari, @renovate[bot], @RiceCrisp, @sai6855, @samuelsycamore, @savalaram-redkar, @siriwatknp, @zanivan

## 5.15.3



_Jan 3, 2024_

A big thanks to the 11 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material-nextjs@5.15.3`

- ​[material-nextjs] Fix order of emotion server (#40409) @siriwatknp

### `@mui/base@5.0.0-beta.30`

- ​[useSlider] Rearrange passive option in eventlisteners (#40235) @Kamino0

### `@mui/lab@5.0.0-alpha.159`

- ​Add use client directive (#40358) @DiegoAndai

### `@mui/material-next@6.0.0-alpha.116`

- ​[List] Copy all List\* components to material-next package (#40367) @sai6855
- ​Update CONTRIBUTING guide given v6/v7 rescheduling (#40363) @DiegoAndai
- ​[MenuItem] Fix spec import (#40271) @DiegoAndai
- ​[Option] Add Option component (#40270) @DiegoAndai
- ​[Slider] Replace lodash with internal utils (#40261) @DiegoAndai
- ​[Switch] Change files to TypeScript (#39894) @lhilgert9
- ​[theme] Move ref palette out of color schemes (#40341) @DiegoAndai

### Docs

- ​[base-ui] Polish the Table Pagination demos (#40281) @danilo-leal
- ​[joy-ui] Fix dashboard template console errors (#40316) @oliviertassinari
- ​[joy-ui] Fix image size on the Files template (#40315) @oliviertassinari
- ​[material-ui] Revise the Divider page (#40356) @danilo-leal
- ​[material-ui] Polish the Next.js integration page (#40317) @oliviertassinari
- ​[material-ui] Adding autoFocus on Virtual Popover (#40239) @aacevski
- ​[material-ui] Revise the Roadmap page (#40054) @danilo-leal
- ​[material-ui] Update the "showing and hiding" section on the Tooltip page (#40283) @anle9650
- ​[material-ui] Fix Slider's customized iOS demo to use updated official colors (#39813) @Super-Kenil
- ​[examples] Simplify Next.js example (#40318) @oliviertassinari

### Core

- ​[blog] Update open-graph cards for all posts (#40328) @danilo-leal
- ​[blog] Correct git diff @oliviertassinari
- ​[code-infra] Update lerna and unpin its version (#40399) @michaldudak
- ​[code-infra] Break package dependency cycle between @mui/material and @mui/icons-material (#40400) @michaldudak
- ​[code-infra] Break package dependency cycles (#40398) @michaldudak
- ​[code-infra] Sync bug issue template (#40305) @oliviertassinari
- ​[docs] Fix 301 link to Base UI (#40396) @oliviertassinari
- ​[docs] Link new MUI X components in sidnav (#40345) @oliviertassinari
- ​[docs] Fix 301 links to Toolpad @oliviertassinari
- ​[docs] Remove old notifications @oliviertassinari
- ​[docs] Always mention the npm tag with npx (#40335) @oliviertassinari
- ​[docs] Reduce network use on the All Components pages (#40313) @oliviertassinari
- ​[docs-infra] Fix missing button aria-label (#40394) @oliviertassinari
- ​[docs-infra] Fix a11y violation rule (#40393) @oliviertassinari
- ​[docs-infra] Prefetch pages on hover (#40314) @oliviertassinari
- ​[docs-infra] Fix footer links to link to the main domain (#40373) @oliviertassinari
- ​[docs-infra] Add stray design adjustments (#40347) @danilo-leal
- ​[website] Fix Base UI page's component section imports & styles (#40231) @danilo-leal
- ​[website] Fix outdated Nhost image link @oliviertassinari
- ​[website] Shorten Joy UI description, 7 chars too long @oliviertassinari
- ​[website] Update some social preview images (#40282) @danilo-leal

All contributors of this release in alphabetical order: @aacevski, @anle9650, @danilo-leal, @DiegoAndai, @Kamino0, @lhilgert9, @michaldudak, @oliviertassinari, @sai6855, @siriwatknp, @Super-Kenil

## 5.15.2



_Dec 25, 2023_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added support for callbacks in the [variant's props definition](https://mui.com/material-ui/customization/theme-components/#creating-new-component-variants) (#40094) @mnajdova
- 💫 Published a [blogpost](https://mui.com/blog/2023-material-ui-v6-and-beyond/) for the 2024's plan about Material UI

### `@mui/material@5.15.2`

- ​[Badge] Use the variants API in the styled call (#40213) @mnajdova
- ​[Paper] Add missing Paper classes descriptions (#40300) @sai6855

### `@mui/system@5.15.2`

- ​Support props callback in the variant's definition (#40094) @mnajdova

### `@mui/base@5.0.0-beta.29`

- ​[Popup] Use context-based transition API (#39326) @michaldudak
- ​[Popup] Popup no longer opens outside viewport (#39827) @adamhylander
- ​[useSelect] Refactor to use DOM focus management instead of active descendant (#39675) @DiegoAndai

### `@mui/material-next@6.0.0-alpha.115`

- ​[material-next][Divider]Divider ts support (#40307) @sai6855

### Docs

- ​[base-ui] Fix form submission Select demo (#40014) @ZeeshanTamboli
- ​[blog] Add Material UI v6 and beyond blog post (#40242) @mnajdova
- ​[material-ui] Fix broken links in the All components page (#40303) @muazaqdas
- ​[material-ui] Fix broken links on the All components page (#40279) @danilo-leal
- ​[material-ui] Add aria-current for nav tabs demo (#39594) @Kimzify
- ​[material-ui] Add an "All components" page (#40256) @danilo-leal
- ​[material-ui][Tooltip] Add demo to show how to change distance between tooltip and its anchor (#40087) @anle9650

### Core

- ​[blog] Fix 301 redirection @oliviertassinari
- ​[blog] Reduce max image size @oliviertassinari
- ​[code-infra] Extract Babel macro from mui-utils (#40262) @michaldudak
- ​[core] Simplify a bit the release instructions @oliviertassinari
- ​[core] Push force to deploy is not unexpected @oliviertassinari
- ​[core] Fix CSS2 vs. CSS3 ::after syntax @oliviertassinari
- ​[core] Fix CSS2 vs. CSS3 ::before syntax @oliviertassinari
- ​[core] Use direct import from utils package (#40254) @siriwatknp
- ​[core] Yaml format match most common convention @oliviertassinari
- ​[core] Polish docs-feedback issue template @oliviertassinari
- ​[core] Pin Node version on GitHub Actions to 18.18 (#40187) @michaldudak
- ​[docs] Fix SEO regression (#40306) @oliviertassinari
- ​[docs] Fix docs redirections @oliviertassinari
- ​[docs] Update the Contributing guide to give more guidance on documentation (#40274) @samuelsycamore
- ​[docs-infra] Add polish to the inline code block (#40260) @danilo-leal
- ​[website] Update Gold sponsors: add RxDB, standardize formatting (#40273) @samuelsycamore
- ​[website] Revert change to homepage SEO attributes @oliviertassinari

All contributors of this release in alphabetical order: @adamhylander, @anle9650, @danilo-leal, @DiegoAndai, @Kimzify, @michaldudak, @mnajdova, @muazaqdas, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.15.1



_Dec 19, 2023_

A big thanks to the 15 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.15.1`

- ​[CardActions][DialogActions] Apply margin for all children except for 1st child (#40168) @sai6855
- ​[TablePagination] Add ability to change icons in TablePaginationActions using `slots` and `slotProps` (#33797) @pratikkarad
- ​[CssVarsProvider] Fix HSL breaking button styles (#39869) @gitstart

### `@mui/joy@5.0.0-beta.19`

- ​[FormControl] Fix issue with the conditional setting of `htmlFor` and `id` attributes not functioning properly for form labels (#40180) @ReaZzy
- ​[typescript] Address TypeScript issue with custom zIndex not functioning (#40133) @qiweiii

### `@mui/styled-engine-sc@6.0.0-alpha.9`

- ​[typescript] Fix `theme` being of type any (#40200) @mnajdova

### Docs

- ​[joy-ui] Fix typo in the CSS baseline page (#40222) @possibilities
- ​[joy-ui] Document missing Autocomplete props (#39979) @ZeeshanTamboli
- ​[joy-ui] Fix typo about Typography levels (#40230) @zanivan
- ​[material-ui] Update the related projects page to list `mui-tiptap` for rich text (#40216) @sjdemartini
- ​[material-ui] Fix typo in the Next.js integration page (#40209) @s8990

### Core

- ​[blog] Fix access to Notion without an account @oliviertassinari
- ​[core] Update workflows and issue templates to reflect the updated label (#40197) @MBilalShafi
- ​[docs] Replace Twitter with X (#40193) @mbrookes
- ​[docs-infra] Uplift the Algolia search modal design (#40186) @danilo-leal
- ​[website] Update product descriptions and social preview images (#32181) @danilo-leal

All contributors of this release in alphabetical order: @danilo-leal, @gitstart, @MBilalShafi, @mbrookes, @mnajdova, @oliviertassinari, @possibilities, @pratikkarad, @qiweiii, @ReaZzy, @s8990, @sai6855, @sjdemartini, @zanivan, @ZeeshanTamboli

## 5.15.0



_Dec 11, 2023_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added [a new package for a better Material UI integration with Next.js](https://mui.com/material-ui/guides/nextjs) (#39947) @siriwatknp

### `@mui/material@5.15.0`

- ​Revert "[Select][material-ui] Add name to hidden input element" (#40174) @mj12albert
- ​[material-ui] Refactor ComponentsVariants type into a generic (#39623) @blakenetz

### `@mui/material-nextjs@5.15.0`

- ​[material-ui] Add new Next.js integration package (#39947) @siriwatknp

### `@mui/material-next@6.0.0-alpha.113`

- ​[Badge][material-next] Apply new OwnerState type to Badge (#40119) @lhilgert9
- ​[material-next][ButtonGroup] Change `ButtonGroup` files to ts (#39794) @lhilgert9

### `@mui/icons-material@5.15.0`

- ​[icons] Add X logo (#38811) @abreel

### `@mui/base@5.0.0-beta.27`

- ​[base-ui] useControllableReducer warns when controlled props become uncontrolled (and vice versa) (#39096) @mj12albert

### `@mui/joy@5.0.0-beta.18`

- ​[joy-ui][Radio][Input] Fix inheritance of disabled prop (#39934) @sai6855

### `@mui/lab@5.0.0-alpha.156`

- ​[lab][LoadingButton] LoadingButton now inherits props from ButtonGroup (#39679) @lhilgert9

### Docs

- ​[docs] Fix reference to non-existent checkmark in supported-components.md (#40056) @mbrookes
- ​[docs][base-ui] Add copy button & primary color picker to the component gallery page (#39884) @mnajdova
- ​[docs-infra] Update CodeSandbox links (#39992) @anle9650
- ​[material-ui][docs] Fix wrong root element for emotion styles in shadow DOM (#35326) @EloB
- ​[material-ui][docs] Move the responsive font charts from recharts to MUI X (#40097) @alexfauquette
- ​[joy-ui][templates] Remove outdated code (#40095) @zanivan
- ​[material-ui][docs][Popper] Update Positioned Popper demo styles (#40170) @sai6855

### Core

- ​[blog] Add a Phuket retreat blog post (#40055) @mikailaread
- ​[blog] Adjust the latest MUI X blog post (#40046) @danilo-leal
- ​[core] Migrate from tslint to eslint (#40020) @ZeeshanTamboli

All contributors of this release in alphabetical order: @abreel, @alexfauquette, @anle9650, @blakenetz, @danilo-leal, @EloB, @lhilgert9, @mbrookes, @mikailaread, @mj12albert, @mnajdova, @sai6855, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.20



_Dec 5, 2023_

A big thanks to the 14 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material-next@6.0.0-alpha.112`

- ​[Menu] Enable again the usage of the autoFocus prop (#39960) @mnajdova
- ​[ProgressIndicator] Apply MD3 style to `CircularProgress` (#39825) @lhilgert9

### Docs

- ​Remove outdated showcase (#40063) @oliviertassinari
- ​Support yaml as prism language (#40044) @Janpot
- ​[material-ui] Fix SearchAppBar width on `sm` screens (#40049) @DiegoAndai
- ​[material-ui] Update the basic Grid section copy (#40035) @REX500
- ​[material-ui] Add a react-admin example project (#39972) @fzaninotto
- ​[material-ui][TextField] Add a performance section (#39692) @anle9650
- ​[material-ui][tabs] Refine scrollable tabs description (#40037) @zanivan
- ​[system] Fix typo on the CSS theme variables page (#40040) @caweidmann

### Core

- ​[blog] Fix scrollbar on mobile (#40057) @oliviertassinari
- ​[blog] Fix link to charts getting started page (#40043) @alexfauquette
- ​[docs-infra] Simplify CSS classes extraction in API docs generator (#39808) @michaldudak
- ​[website] Polish dark mode colors (#40052) @danilo-leal
- ​[website] Add why Design Engineer for data grid (#40016) @oliviertassinari
- ​[website] Add stray fixes to the Base UI page (#40051) @danilo-leal
- ​[website] Revise the Developer Advocate job posting (#39210) @samuelsycamore

All contributors of this release in alphabetical order: @alexfauquette, @anle9650, @caweidmann, @danilo-leal, @DiegoAndai, @fzaninotto, @Janpot, @lhilgert9, @michaldudak, @mnajdova, @oliviertassinari, @REX500, @samuelsycamore, @zanivan

## 5.14.19



_Nov 29, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🐛 Fix Material UI Autocomplete behavior when there are duplicate labels (#36426) @islandryu
- 🚀 Added Material You Linear Progress to `material-next` package (#39807) @lhilgert9

### `@mui/material@5.14.19`

- ​[Autocomplete] Fix behavior when there are duplicate labels (#36426) @islandryu
- ​[Box] Added boxClasses (#39889) @sadik-malik
- ​[FilledInput] Fix slot props deepmerge order (#38922) @dhaub-exelixis
- ​[Select] Add id to hidden input element (#39414) @DarhkVoyd
- ​[Select] Remove unnecessary picking of `onChange` type from SelectInputProps (#39891) @ZeeshanTamboli

### `@mui/base@5.0.0-beta.25`

- ​[Menu] Fix navigation of items when 1st item is disabled (#39828) @sai6855
- ​[Modal] Refine demos (#39824) @zanivan
- ​[NumberInput] Implement `numberInputReducer` (#38723) @mj12albert
- ​[useNumberInput] Fix change handlers passed through slotProps (#39407) @mj12albert

### `@mui/joy@5.0.0-beta.16`

- ​[Box] Added boxClasses (#39895) @sadik-malik

### `@mui/system@5.14.19`

- ​[Box] Added boxClasses (#39896) @sadik-malik
- ​Add outlineColor to defaultSxConfig (#39962) @brijeshb42

### `@mui/types@7.2.10`

- ​Add `PartiallyRequired` type (#39939) @lhilgert9

### `@mui/material-next@6.0.0-alpha.111`

- ​[ProgressIndicator] Apply MD3 style to `LinearProgress` (#39807) @lhilgert9
- ​[FormHelperText] Add FormHelperText component (#39503) @mj12albert
- ​[IconButton] Copy IconButton to material-next (#39945) @mj12albert
- ​[Switch] Copy `Switch` to material next (#39887) @lhilgert9

### Docs

- ​[material-ui] Fix theme prop in v5 migration guide (#39976) @sai6855
- ​[base-ui] Improve Next.js Link docs (#39838) @oliviertassinari
- ​[base-ui] Export Base UI theme in stylesheet (#39694) @mnajdova
- ​[joy-ui] Fix the date min & max slot props values on the Input demo (#40018) @avikalpg
- ​[joy-ui][ButtonGroup] Fix orientation prop description (#39876) @sai6855
- ​[joy-ui] Update gif from the Dark Mode Optimization page (#39726) @danilo-leal
- ​[joy-ui] Fix h1 template (#40017) @oliviertassinari
- ​[joy-ui] Fix wrong product id @oliviertassinari
- ​[joy-ui] Fixes in theme scoping documentation (#39899) @ZeeshanTamboli
- ​[joy-ui] Refine the Email, Teams and Files templates (#39579) @zanivan
- ​[joy-ui][templates] Fix layout shift on Profile template (#40022) @zanivan
- ​[joy-ui][Templates] Update thumbnails (#39938) @zanivan
- ​[material-next] Add contributing guide (#39944) @mj12albert
- ​End v6 blogpost notification (#39879) @joserodolfofreitas
- ​Fix nested CSS warning (#39932) @mnajdova
- ​Make integration searchable (#39967) @oliviertassinari
- ​Fix use of quote in markdown (#39953) @oliviertassinari
- ​Show design links on Joy UI (#39955) @oliviertassinari
- ​Restore Algolia results when searching for "Figma" (#39956) @oliviertassinari
- ​Fix two tone icon dark mode color (#39868) @mnajdova

### Core

- ​Improve lerna's renovate package rules (#40029) @DiegoAndai
- ​Downgrade lerna to 7.2.0 (#40026) @DiegoAndai
- ​Rename OpenCollective @oliviertassinari
- ​[docs-infra] Env variables should be string (#39991) @oliviertassinari
- ​[Portal] Improve docs for container prop (#39180) @oliviertassinari
- ​[website] Update pricing table (#40023) @cherniavskii
- ​[website][docs] Update the product identifier menu and X page (#39832) @danilo-leal
- ​[website] Mark TreeView and Charts as stable (#39975) @flaviendelangle
- ​[website] Update career page (#40015) @oliviertassinari
- ​[website] Sync about dataset @oliviertassinari
- ​[website] Fix 301 redirection to X tree-view @oliviertassinari
- ​[website] Change redirection prefixes @oliviertassinari
- ​[website] Fix 301 link @oliviertassinari
- ​[website] Fix modal not being closed with the escape key on the Base UI page (#39880) @ZeeshanTamboli

All contributors of this release in alphabetical order: @avikalpg, @brijeshb42, @cherniavskii, @danilo-leal, @DarhkVoyd, @dhaub-exelixis, @DiegoAndai, @flaviendelangle, @islandryu, @joserodolfofreitas, @lhilgert9, @mj12albert, @mnajdova, @oliviertassinari, @sadik-malik, @sai6855, @zanivan, @ZeeshanTamboli

## 5.14.18



_Nov 14, 2023_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- 💫 Introduced new [Stepper](https://mui.com/joy-ui/react-stepper/) component in Joy UI (#39688) @siriwatknp
- other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.14.18`

- ​[Autocomplete] Add `defaultMuiPrevented` to onKeyDown type (#39820) @sai6855
- ​[Autocomplete] Fix React key warning in Next.js (#39795) @mj12albert
- ​[Checkbox] Asterisk placement aligned correctly (#39721) @axelbostrom
- ​[Rating] Fix the hover highlighting for spaced icons (#39775) @ZeeshanTamboli
- ​[TablePagination] Implement `slotProps` pattern for the actions and the select slots (#39353) @anle9650
- ​[TextField] Fix padding on small filled multiline TextField (#39769) @mj12albert

### `@mui/joy@5.0.0-beta.15`

- ​[Stepper] Add new `Stepper` component (#39688) @siriwatknp
- ​[Select] Fix displaying placeholder when multiple is true (#39806) @sai6855

### `@mui/material-next@6.0.0-alpha.110`

- ​[ButtonGroup] Copy `ButtonGroup` to material next (#39739) @lhilgert9
- ​[ProgressIndicator] Change `CircularProgress` files to ts (#39791) @lhilgert9
- ​[ProgressIndicator] Change `LinearProgress` files to ts (#39793) @lhilgert9
- ​[ProgressIndicator] Copy `LinearProgress` to material next (#39779) @lhilgert9
- ​[ProgressIndicator] Copy `CircularProgress` to material next (#39780) @lhilgert9
- ​[TextField] Add FormLabel and InputLabel components (#39483) @mj12albert

## Docs

- ​[base-ui][NumberInput] Fix inconsistent demo component names (#39786) @mnajdova
- ​[base-ui][Menu] Refine demos (#39823) @zanivan
- ​[base-ui][Switch] Refine demos (#39822) @zanivan
- ​[joy-ui] Fix API generation for Grid (#39861) @oliviertassinari
- ​[joy-ui] Fix menu in color inversion header demo (#39785) @sai6855
- ​[joy-ui] Change the design kit link on the Overview page (#39725) @danilo-leal
- ​[joy-ui] Add `CssBaseline` to integration with Material UI page (#39790) @swillianc
- ​[joy-ui][Tabs] Add wordBreak style to demo (#39821) @sai6855

## Core

- ​[blog] MUI X late v6 blog post (#39700) @joserodolfofreitas
- ​[CHANGELOG] Correct the Joy UI version in the changelog (#39788) @michaldudak
- ​[core] Remove legacy docs files (#39860) @oliviertassinari
- ​[core] Fix GitHub title tag consistency @oliviertassinari
- ​[core] Make the API docs builder configurable per project (#39772) @michaldudak
- ​[docs] Fix the default theme viewer font family (#39782) @danilo-leal
- ​[docs-infra] Fix hydration api (#39706) @oliviertassinari
- ​[docs-infra] Adjust the website & docs footer (#39810) @danilo-leal
- ​[docs-infra] Fix bug on API prop copy experience (#39707) @oliviertassinari
- ​[website] Change roadmap link destination (#39639) @danilo-leal

All contributors of this release in alphabetical order: @anle9650, @axelbostrom, @danilo-leal, @joserodolfofreitas, @lhilgert9, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @swillianc, @zanivan, @ZeeshanTamboli

## 5.14.17



_Nov 6, 2023_

A big thanks to the 12 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.14.17`

- [Dialog] Should not close until the IME is cancelled (#39713) @megos
- [InputBase] Add `sx` type to `input` and `root` slot (#39569) @sai6855

### `@mui/joy@5.0.0-beta.14`

- [ModalDialog] Remove redundant code (#39719) @sai6855
- [ToggleButtonGroup] Fix toggling button state when `Button` is not immediate children (#39571) @sai6855

### `@mui/base@5.0.0-beta.23`

- Make list components more reliable (#39380) @michaldudak

### `@mui/material-next@6.0.0-alpha.109`

- [InputBase] InputBase slotProps accepts sx type (#39714) @mj12albert
- [OutlinedInput] Copy v5 OutlinedInput (#39698) @mj12albert

### `@mui/lab@5.0.0-alpha.152`

- [TreeView] Remove tree view import from @mui/lab (#39685) @alexfauquette

### Docs

- Update Taiwan country name in demos (#39729) @chiahao
- Update release doc for unchanged packages (#39487) @brijeshb42
- [joy-ui] Make code readable to set next color in color inversion demos (#39669) @ZeeshanTamboli
- [material-ui] Remove numeric input workaround from TextField docs (#39629) @mj12albert
- [material-ui] Add comment about code to be removed from Drawer demo (#39678) @samuelsycamore

### Core

- [docs-infra] Fix path bloat client-side (#39708) @oliviertassinari
- [docs-infra] Render footer in SSR (#39710) @oliviertassinari
- [docs-infra] Simplify footer (#39709) @oliviertassinari
- [docs-infra] Fix dark theme color (#39720) @alexfauquette
- [docs-infra] Remove the design feedback alert (#39691) @danilo-leal
- [docs-infra] Bring back scroll gradient in API page with table (#39689) @alexfauquette
- [docs-infra] Clarify the content of the ads @oliviertassinari
- [docs-infra] Link to ScaffoldHub v2 @oliviertassinari
- [docs-infra] Improve access to the component demos via the API page (#39690) @danilo-leal
- [docs-infra] Add appropriate aria-label to docs buttons (#39638) @danilo-leal
- [docs-infra] Fix crawler on API pages (#39490) @alexfauquette
- [docs–infra] Small polish on API toggle (#39704) @oliviertassinari
- [core] Speed up the CI by removing the second build (#39684) @michaldudak
- [core][docs] Fix broken MUI System link in README.md (#39734) @samuelsycamore
- [website] List benefits for sponsors (#39640) @oliviertassinari
- [website] Add Vadym teamMember card to 'About' (#39701) @hasdfa
- [test] Fix flaky screenshot (#39711) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @chiahao, @danilo-leal, @hasdfa, @megos, @michaldudak, @mj12albert, @oliviertassinari, @sai6855, @samuelsycamore, @ZeeshanTamboli

## 5.14.16



_Oct 31, 2023_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- ✨ New highly requested Joy UI component: [Snackbar](https://mui.com/joy-ui/react-snackbar) (#38801) @ZeeshanTamboli

### `@mui/material@5.14.16`

- ​Fix ownerstate being propagated to DOM node when using styled-components v6 (#39586) @mnajdova

### `@mui/base@5.0.0-beta.22`

- ​[Autocomplete] Standardize box shadow on demos (#39519) @zanivan
- ​[useSelect] Support browser autofill (#39595) @DiegoAndai
- ​[base-ui] Fix mergeSlotProps className join order (#39616) @mj12albert

### `@mui/joy@5.0.0-beta.13`

- ​[Accordion] Add type button to accordion
- ​[Card] Fix CardOverflow in nested cards (#39668) @siriwatknp summary (#39532) @Popppins
- ​[Menu] Fix closing of listbox in `MenuList` demo (#39459) @sai6855
- ​[Progress] Revamp Linear and Circular progress variants (#39492) @zanivan
- ​[Select] Support selection of `multiple` options (#39454) @sai6855
- ​[Textarea] Add ref usage instructions (#39615) @danilo-leal
- ​ Fix sticky hover media query issue on mobile (#37467) @gitstart
- ​ Add Snackbar component (#38801) @ZeeshanTamboli

### `@mui/material-next@6.0.0-alpha.108`

- ​[theme] Update Material You typescale tokens (#39514) @mj12albert

### Docs

- ​Fix 301 link to Primer design system @oliviertassinari
- ​[joy-ui] Revise the CSS vars page (#39335) @danilo-leal
- ​[joy-ui] Add docs for changing styles based on states (#39597) @siriwatknp
- ​[joy-ui] Fix wrong messages (#39602) @siriwatknp
- ​[material-ui] Include link to bundler how-to for Styled Components users (#39620) @jcoyle37
- ​[material-ui] Improve Dialog demos (#39642) @ZeeshanTamboli
- ​[material-ui] Add stray design fine-tuning to the example collection (#39581) @danilo-leal
- ​[system] Clean up `@mui/styles` docs and discourage users from installing it (#39644) @samuelsycamore
- ​[examples] Upgrade Remix to v2 (#39229) @Nkzn
- ​[examples][material-ui] Remove hardcoded `color="black"` from Next.js App Router layout (#39577) @samuelsycamore

### Core

- ​[core] Setup vale for enforcing style guides (#39633) @alexfauquette
- ​[core] Remove unused use client (#38967) @oliviertassinari
- ​[core] Remove duplicate export (#39346) @oliviertassinari
- ​[core] Remove not used `@types/loader-utils` package from `zero-next-plugin` (#39609) @ZeeshanTamboli
- ​[docs-infra] Add meta charset in codesandbox examples (#39424) @Janpot
- ​[docs-infra] Fix settings drawer accessibility issues (#39589) @emamoah
- ​[website] Add stray adjustments and clean-ups (#39673) @danilo-leal
- ​[website] Open the `Design Engineer - xGrid` role (#39375) @DanailH

All contributors of this release in alphabetical order: @alexfauquette, @Best-Sardar, @DanailH, @danilo-leal, @DiegoAndai, @emamoah, @gitstart, @Janpot, @jcoyle37, @mj12albert, @mnajdova, @Nkzn, @oliviertassinari, @Popppins, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.15



_Oct 24, 2023_

A big thanks to the 17 contributors who made this release possible.

### `@mui/material@5.14.15`

- ​[Checkbox][Radio] Fix theme style overrides not working for different sizes (#39377) @gitstart
- ​[InputLabel] InputLabel supports ownerState.focused for styleOverrides (#39470) @mj12albert
- ​[ToggleButton] Add `fullWidth` to `toggleButtonClasses` and `toggleButtonGroupClasses` (#39536) @Semigradsky

### `@mui/base@5.0.0-beta.21`

- ​[useAutocomplete] Correct keyboard navigation with multiple disabled options (#38788) @VadimZvf
- ​[Select] Standardize box shadow on demos (#39509) @zanivan
- ​[Slider] Refine demos (#39526) @zanivan
- ​[Input] Update and port additional tests from material-ui (#39584) @mj12albert

### `@mui/material-next@6.0.0-alpha.107`

- ​[FilledInput] Add FilledInput component (#39307) @mj12albert
- ​[InputAdornment] Fix unstable_capitalize import (#39510) @DiegoAndai
- ​[Snackbar] copy files to mui-material-next (#39232) @Best-Sardar
- ​[Menu] Use useMenu hook (#38934) @mnajdova

### `@mui/joy@5.0.0-beta.12`

- ​[Button] Fix button size being a decorator (#39529) @siriwatknp
- ​[CardOverflow] Remove conditional CSS to support Next.js App dir (#39101) @siriwatknp
- ​[Link] Apply `userSelect: none` only when it's a button (#39486) @mwskwong

### `@mui/lab@5.0.0-alpha.150`

- ​Update peer dep of @mui/material (#39398) @brijeshb42

### `@pigment-css/react@0.0.1-alpha.0`

- ​Implement typings for public runtime API (#39215) @brijeshb42

### `@mui/zero-vite-plugin@0.0.1-alpha.0`

- ​Modify plugin to transform node_modules (#39517) @brijeshb42

### Docs

- ​[base-ui] Standardize grey palette across demos (#39504) @zanivan
- ​[base-ui] Overall demos design review (#38820) @zanivan
- ​[joy-ui] Adjust the responsiveness of the template card (#39534) @danilo-leal
- ​[material-ui] Typo fixes in overview page (#39540) @Evan151
- ​[material-ui] Add stray design tweaks to the templates collection (#39583) @danilo-leal
- ​[system] Revise the Box page (#39159) @danilo-leal
- ​Fix git diff format @oliviertassinari
- ​[I10n] Add Norwegian (nynorsk) (nn-NO) locale (#39481) @hjalti-lifekeys
- ​[l10n] Fix double space typo in ar-EG @oliviertassinari
- ​[I10n] Additions to Icelandic (is-IS) locale (#39480) @hjalti-lifekeys

### Core

- ​[core] Replace a `useCallback` by `useRef` in useEventCallback (#39078) @romgrk
- ​[docs-infra] Prevent docs crash (#39214) @alexfauquette
- ​[docs-infra] Fix no-op autoprefixer warning (#39385) @oliviertassinari
- ​[docs-infra] Refine the API page design (#39520) @alexfauquette
- ​[docs-infra] Fix cut-off sponsors (#39572) @oliviertassinari
- ​[website] Add missing h1 on page @oliviertassinari
- ​[website] Fix unrecognized prop warning @oliviertassinari
- ​[website] Store Engineer role filled @oliviertassinari
- ​[website] Add stray design adjustments (#39496) @danilo-leal

All contributors of this release in alphabetical order: @alexfauquette, @Best-Sardar, @brijeshb42, @danilo-leal, @DiegoAndai, @Evan151, @gitstart, @hjalti-lifekeys, @mj12albert, @mnajdova, @mwskwong, @oliviertassinari, @romgrk, @Semigradsky, @siriwatknp, @VadimZvf, @zanivan

## 5.14.14



_Oct 17, 2023_

A big thanks to the 24 contributors who made this release possible. Here are some highlights ✨:
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.14.14`

- ​[material-ui][AppBar] Support all default palette colors in TypeScript (#39389) @BreakBB
- ​[material-ui][AvatarGroup] Add `renderSurplus` prop (#39283) @uuxxx
- ​[material-ui][Box] Fix system properties has incorrect `Theme` interface when applied directly (#39404) @Semigradsky
- ​[material-ui][Pagination] Update `type` parameter of `getItemAriaLabel` prop (#39390) @Simer13
- ​[material][tab] Show/hide scroll buttons for dynamically added children (#39415) @brijeshb42

### `@mui/base@5.0.0-beta.20`

- ​[base-ui][Menu] Do not reopen the menu after clicking on a trigger in Safari (#39393) @michaldudak

### `@mui/material-next@6.0.0-alpha.106`

- ​[Divider][material-next] Add Divider component (#39179) @Best-Sardar

### `@mui/joy@5.0.0-beta.11`

- ​[joy-ui][List] Add the `marker` prop (#39313) @siriwatknp
- ​[joy-ui][Skeleton] Fix semi-transparent scenario when with surface components and color inversion (#39400) @TheNatkat
- ​[joy-ui][Textarea] Fix focus ring for error state (#39391) @vineetjk

### `@mui/icons-material@5.14.14`

- ​[icons] Fix VoiceChatOutlined showing the wrong icon (#39418) @devuser200

### `@mui/system@5.14.14`

- ​[mui-system][style] bug fix for style value check color in nullable object (#39457) @DarhkVoyd

### `@mui/styled-engine-sc@6.0.0-alpha.2`

- ​[styled-engine-sc] Fix TS issues because of missing types (#39395) @mnajdova

### Docs

- ​[docs][base-ui] Renaming demos to BaseXxx (#39104) @christophermorin
- ​[docs] Accessibility in Base UI (#39264) @michaldudak
- ​[docs] Fix 301 redirection @oliviertassinari
- ​[docs] Improve Base UI table of contents for APIs (#39412) @ZeeshanTamboli
- ​[docs] Adjust design kits-related content (#39367) @danilo-leal
- ​[docs] Revise the Contributing Guide (#39190) @samuelsycamore
- ​[docs][joy-ui] Fix row hover prop name in the Table page (#39431) @adrienbrault
- ​[docs][joy-ui] Fix color inversion demos (#39403) @danilo-leal
- ​[docs][material-ui] Remove irrelevant TODO from Snackbar demo (#39396) @ZeeshanTamboli
- ​[docs][material-ui][Table] Bug in "Sorting & Selecting" demo (#39426) @codewithrabeeh
- ​[docs][joy-ui][typography] Update docs after lineHeight changes (#39366) @zanivan

### Core

- ​[core] Fix multiple typos across the repo (#39422) @parikshitadhikari
- ​[docs-infra] Add refinements to the API content design (#39425) @danilo-leal
- ​[docs-infra] Add a min height to the layout component (#39416) @danilo-leal
- ​[docs-infra] Prevent horizontal scroll in the TOC (#39417) @danilo-leal
- ​[docs-infra] Add a collapsible list & table views to the API content display (#38265) @alexfauquette
- ​[docs-infra] Adjust the `kbd` tag styles (#39397) @danilo-leal
- ​[docs-infra] Fix strong style regression (#39384) @oliviertassinari
- ​[website] Add the LinkedIn profile to the contributors section on the About page (#39455) @chhawinder
- ​[website] Update new role template (#39386) @oliviertassinari
- ​[website] Add stray design fine-tunning to the Pricing page (#39472) @danilo-leal
- ​[website] Fix career anchor link to perks & benefits @oliviertassinari

All contributors of this release in alphabetical order: @adrienbrault, @alexfauquette, @Best-Sardar, @BreakBB, @brijeshb42, @chhawinder, @christophermorin, @codewithrabeeh, @danilo-leal, @DarhkVoyd, @devuser200, @michaldudak, @mnajdova, @oliviertassinari, @parikshitadhikari, @samuelsycamore, @Semigradsky, @Simer13, @siriwatknp, @TheNatkat, @uuxxx, @vineetjk, @zanivan, @ZeeshanTamboli

## 5.14.13



_Oct 10, 2023_

A big thanks to the 22 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added support for `styled-components` v6 (#39042) @mnajdova

### `@mui/material@5.14.13`

- [Checkbox] Fix checkbox hover bg with extendTheme (#39319) @brijeshb42
- [Chip] Outlined Chip variant is wider than the Filled counterpart (#39342) @chirag3003
- [Select] Add notice about select's a11y improvement on v5.14.12 changelog (#39310) @DiegoAndai
- [Typography] Color prop check for primitive type (#39071) @DarhkVoyd
- [Pagination] Fix background color on hover and keyboard focus when using CSS theme variables (#39220) @ValkonX33
- [Popper] Add missing `styleOverrides` Popper type in theme (#39154) @axelbostrom
- [Slider] Support all default palette colors in TypeScript (#39058) @gugudwt

### `@mui/base@5.0.0-beta.19`

- [Menu] Add the anchor prop (#39297) @michaldudak

### `@mui/material-next@6.0.0-alpha.105`

- [Menu] Copy v5 Menu components (#39301) @mnajdova

### `@mui/joy@5.0.0-beta.10`

- [Autocomplete] Add `type=button` to clear button (#39263) @brijeshb42
- [Button] Fix the text wrap issue (#38696) @atharva3333
- [Drawer] Apply color inversion to content slot instead (#39312) @siriwatknp
- [Switch] Fix missing class name (#39327) @Bestwebdesign

### `@mui/styled-engine-sc@6.0.0-alpha.1`

- ​[system] Add support for `styled-components` v6 (#39042) @mnajdova

### Docs

- [joy-ui] Adjust the templates page card design (#39369) @danilo-leal
- Rename the Data Grid "Quick filter" to "Search" (#37724) @alexfauquette
- Remove obsolete translations (#39221) @mbrookes
- Update link to add custom color in palette (#39359) @ZeeshanTamboli
- Denser code demo @oliviertassinari
- Set up MD3 experiments pages (#39323) @mj12albert
- [Drawer] Fix right anchored persistent drawer intercepts click when it is closed (#39318) @ZeeshanTamboli
- [joy-ui] Revise the Color Inversion page (#39306) @danilo-leal
- [joy-ui] Remove redundant `error` prop from input validation demo (#39280) @sai6855
- [material-ui] Rename themed components doc, fix typos (#39368) @samuelsycamore
- [material-ui] Adjust the Material You Chip section (#39325) @danilo-leal
- [system] Add documentation on how to augment custom theme types for the `sx` prop callback (#39259) @3xp10it3r
- [joy-ui][Input] Add debounce input demo (#39300) @sai6855

### Core

- [docs-infra] Improve the open diamond sponsor spot callout (#39332) @danilo-leal
- [docs-infra] Fix Code Sandbox download issue (#39317) @ARJ2160
- [docs-infra] Remove overflow: hidden for demo gradient bg (#39225) @oliviertassinari
- [website] Fix footer responsiveness (#39355) @danilo-leal
- [website] Host Figma redirections in the store for now @oliviertassinari

All contributors of this release in alphabetical order: @3xp10it3r, @alexfauquette, @ARJ2160, @atharva3333, @axelbostrom, @Bestwebdesign, @brijeshb42, @chirag3003, @danilo-leal, @DarhkVoyd, @DiegoAndai, @gugudwt, @mbrookes, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @ValkonX33, @ZeeshanTamboli

## 5.14.12



_Oct 3, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🎨 Introduced color inversion utilities to Joy UI (#38916) @siriwatknp
- 🚀 Added Chip and related TextField components to Material You @DiegoAndai, @mj12albert
- 🏗️ Improve the Select's component a11y by adding the combobox role and aria-controls attribute (#38785) @xulingzhihou. If your tests require selecting the trigger element by the "button" role, then you'll have to change it to use the "combobox" role instead

### `@mui/material@5.14.12`

- [DialogActions] Apply margin-left when children is not of `button` type (#39189) @sai6855
- [Select] Improve a11y by adding combobox role and aria-controls attribute (#38785) @xulingzhihou
- [Select] Fix MenuProps slotProps forwarding (#39177) @DiegoAndai
- [TextField] Polish types in Textfield demo (#39140) @sai6855
- [ButtonGroup] Fix rendering with conditional elements (#38989) @ZeeshanTamboli

### `@mui/system@5.14.12`

- [system] Add support for `variants` in the styled() util (#39073) @mnajdova
- [Box] Add missing logical spacing property types (#39169) @Semigradsky

### `@mui/base@5.0.0-beta.18`

- [useSlider] Align externalProps handling (#38854) @mj12albert
- [useTabs] Align external props handling for useTab/useTabPanel/useTabsList (#39037) @mj12albert
- [test] Fix import paths in useTab tests (#39291) @mj12albert

### `@mui/material-next@6.0.0-alpha.104`

- [Chip] Add Material You Chip component (#38927) @DiegoAndai
- [Divider] Copy v5 Divider (#39197) @mj12albert
- [FilledInput] Copy v5 FilledInput (#39040) @mj12albert
- [FormControl] Add FormControl component (#39032) @mj12albert
- [Select] Copy Select files from v5 (#39188) @DiegoAndai
- [TextField] Copy v5 TextField's inner components (#39166) @mj12albert

### `@mui/joy@5.0.0-beta.9`

- Introduce color inversion utilities (#38916) @siriwatknp
- Replace margin with `gap` property (#39147) @siriwatknp
- [CssBaseline] use Joy `GlobalStyles` (#39278) @siriwatknp
- [Drawer] Apply content styles from theme to content slot (#39199) @sai6855
- [List] Add gap and missing active styles (#39146) @siriwatknp
- [Switch] Slight adjustments to the design (#39276) @danilo-leal

### Docs

- [docs] Update Autocomplete demo for React 18 (#39162) @oliviertassinari
- [docs-infra] Tweak feedback footer section design (#36556) @danilo-leal
- [docs-infra] Improve code syntax highlight (#39181) @oliviertassinari
- [docs][base] Add Tailwind CSS + plain CSS demo on the TextArea page (#39046) @alisasanib
- [docs][base-ui] Fix style for root div of multiline input (#39182) @ttlpta
- [docs][base-ui] Improve Select's country select demo (#38983) @oliviertassinari
- [docs][joy-ui] Add scrollable tabs example (#39260) @siriwatknp
- [docs][joy-ui] Match `Autocomplete` github label demo to actual github label dropdown (#39228) @sai6855
- [docs][joy-ui] Refine the Rental dashboard template (#39059) @zanivan
- [docs][joy-ui] Removed incomplete sentence in the Aspect Ratio page (#39227) @Erik-McKelvey
- [docs][joy-ui] Fix typo in the Accordion page (#39226) @Erik-McKelvey
- [docs][joy-ui] Update and standardize template Sidemenus (#39271) @zanivan
- [docs][joy-ui] Add a roadmap page (#39163) @danilo-leal
- [docs][material-ui] Replace `Box` with `Stack` in applicable demos (#39174) @sai6855
- [docs][material-ui] Add small polish to the Templates page (#39224) @danilo-leal
- [docs][material-ui] Small revision to the Icons page (#38840) @danilo-leal

### Core

- Add next lint config to eslint (#39183) @Janpot
- [core] Update eslint rules (#39178) @romgrk
- [core] Fix Greg GitHub slug @oliviertassinari
- [core] Priority Support casing normalization @oliviertassinari
- [website] Add Heatmap in pricing page (#39269) @oliviertassinari
- [website] Update `React Engineer - xCharts` Ashby link (#39172) @DanailH
- [website] Add Charts to the pricing table (#38680) @alexfauquette
- [website] Polish career experience @oliviertassinari
- [website] Simplify the Core products file (#39194) @danilo-leal

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @DanailH, @danilo-leal, @DiegoAndai, @Erik-McKelvey, @Janpot, @mj12albert, @mnajdova, @oliviertassinari, @romgrk, @sai6855, @Semigradsky, @siriwatknp, @xulingzhihou, @zanivan, @ZeeshanTamboli

## 5.14.11



_Sep 26, 2023_

A big thanks to the 23 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.14.11`

- [Autocomplete] Re-export `AutocompleteValue` to make it available from path import (#38638) @vadimka123
- [Select][material-ui] Missing aria-multiselectable attribute on multiple Select component (#38855) @gitstart
- [l10n] labelDisplayedRows is added for trTR localization (#39056) @tebersefa

### `@mui/utils@5.14.11`

- Support RSC in `isMuiElement` util (#38129) @sai6855

### `@mui/base@5.0.0-beta.17`

- [NumberInput] Support adornments (#38900) @anle9650
- [Menu] Align external props handling for useMenu/MenuButton/MenuItem (#38946) @mj12albert
- [Select] Align external props handling (#39038) @mj12albert
- [TextareaAutosize] Simplify logic and add test (#38728) @oliviertassinari

### `@mui/joy@5.0.0-beta.8`

- [Button] Fix disabled button styling when component prop is provided (#38996) @sai6855
- [Drawer] Add missing `JoyDrawer` in theme components (#39074) @Studio384

### `@mui/material-next@6.0.0-alpha.103`

- [FormControl] Copy v5 FormControl (#39039) @mj12albert

### `@mui/lab@5.0.0-alpha.146`

- [TreeView] Fix JSDoc comments in TreeView and TreeItem (#38874) @jergason

### Docs

- Improve focus trap demo (#38985) @oliviertassinari
- Add Tailwind CSS + plain CSS demo on the Tabs page (#39000) @alisasanib
- Improve the default theme viewer design (#39049) @danilo-leal
- Add live demo with CssVarsProvider (#38792) @oliviertassinari
- Fix wrong hash on Card's page (#39151) @mnajdova
- Revise the Drawer page (#38988) @danilo-leal
- Simplify the button's loading indicator demo (#39082) @danilo-leal
- Fix the Templates link on the Overview page (#39086) @danilo-leal
- Refine the Sign in template (#38942) @zanivan
- Add `use-count-up` integration with the Circular Progress (#38952) @anon-phantom

### Core

- [blog] Add a company values blog post (#38802) @mikailaread
- [core] Downgrade lerna to 7.2.0 (#39149) @michaldudak
- [core] Simplify docs feedback interaction (#39075) @alexfauquette
- [core] Improve ref type definition (#38903) @oliviertassinari
- [core] Simplify career (#39112) @oliviertassinari
- [core] Update Babel types along with source packages (#39070) @michaldudak
- [core] Add a comment to explain `useEnhancedEffect` (#39035) @Janpot
- [docs-infra] Fix code removal in table of content (#39165) @alexfauquette
- [docs-infra] Improve callouts design (#39084) @danilo-leal
- [docs-infra] Fix key warning in Base UI Slider slots section (#38954) @ZeeshanTamboli
- [docs-infra] Fix error when redirecting to the root page (#38451) @maheshguntur
- [docs-infra] Open demo crash in the right repository (#39006) @oliviertassinari
- [test] Split the test package (#39061) @michaldudak
- [website] React Engineer - xCharts role (#38976) @DanailH
- [website] Improve the highlighter component colors (#39087) @danilo-leal
- [website] Fix Pricing page row hover (#39097) @danilo-leal
- [website] Fix typo with straight quote @oliviertassinari
- [website] Sync about page @oliviertassinari
- [website] Update the about page (#38733) @danilo-leal
- [website] Small fixes on the X marketing page (#38975) @flaviendelangle
- [website] Add stray design tweaks to the X page (#38589) @danilo-leal

All contributors of this release in alphabetical order: @alexfauquette, @alisasanib, @anle9650, @anon-phantom, @DanailH, @danilo-leal, @DiegoAndai, @flaviendelangle, @gitstart, @Janpot, @jergason, @maheshguntur, @michaldudak, @mikailaread, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @Studio384, @tebersefa, @vadimka123, @zanivan, @ZeeshanTamboli

## 5.14.10



_Sep 18, 2023_

A big thanks to the 16 contributors who made this release possible. This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.14.10`

- ​[Chip] Add cursor CSS property reset (#38984) @DiegoAndai

### `@mui/utils@5.14.10`

- ​[utils] Move @types/prop-types back to dependencies (#39030) @Methuselah96

### `@mui/base@5.0.0-beta.16`

- ​[NumberInput][base-ui] Warn when changing control mode with `useControlled` (#38757) @sai6855
- ​[Select][base-ui] Fix Select button layout shift, add placeholder prop (#38796) @mj12albert
- ​[useList][base-ui] Accept arbitrary external props and forward to root (#38848) @mj12albert
- ​[Autocomplete][base-ui] Added ref to getInputProps return value (#38919) @DarhkVoyd

### `@mui/joy@5.0.0-beta.7`

- ​[AccordionGroup][joy-ui] Fix console warning when using custom color (#38950) @sai6855
- ​[GlobalStyles][joy-ui] Ensure compatibility with RSC (#38955) @mateuseap

### Docs

- ​[docs][base] Add Tailwind CSS + plain CSS demo on the NumberInput page (#38928) @alisasanib
- ​[docs][Dialog] Add non-modal dialog docs & demo (#38684) @mnajdova
- ​[docs] Fix number input wrong demo @oliviertassinari
- ​[docs] Exclude joy-ui LinearProgressCountup from visual regression (#38969) @siriwatknp
- ​[docs][joy-ui] Revise the Overview page (#38842) @danilo-leal
- ​[docs][material-ui][Pagination] Add `TablePagination` to the API components list (#38486) @MonstraG

### Core

- ​[core] Add more context about useEventCallback @oliviertassinari
- ​[core] Allow deeper import of @mui/utils (#38806) @oliviertassinari
- ​[core] Remove react-dom from @mui/utils peerDependencies (#38974) @michaldudak
- ​[core] Remove react from styled-engine dependencies (#38971) @michaldudak
- ​[core] Fix image loading bug on Safari @oliviertassinari
- ​[core] Fix bundle size upload to S3 job (#38956) @Janpot
- ​[core] Move eslint to peer dependencies of eslint-plugin-material-ui (#39033) @michaldudak
- ​[docs-infra] Display markdown lists correctly in docs for props description (#38973) @ZeeshanTamboli
- ​[website] Improve lighthouse score (#39011) @oliviertassinari
- ​[website] Fix lighthouse issues @oliviertassinari
- ​[website] Create the `InfoCard` component (#38987) @danilo-leal
- ​[website] Small tweaks for performance @oliviertassinari
- ​[zero][next] Setup nextjs plugin package (#38852) @brijeshb42

All contributors of this release in alphabetical order: @alisasanib, @brijeshb42, @danilo-leal, @DarhkVoyd, @DiegoAndai, @Janpot, @mateuseap, @Methuselah96, @michaldudak, @mj12albert, @mnajdova, @MonstraG, @oliviertassinari, @sai6855, @siriwatknp, @ZeeshanTamboli

## 5.14.9



_Sep 13, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🎉 Added the [`Drawer` component](https://mui.com/joy-ui/react-drawer/) to Joy UI (#38169) @mnajdova
- ✨ Material UI's [`ButtonGroup` component](https://mui.com/material-ui/react-button-group/) now styles button elements within it correctly (#38520) @ZeeshanTamboli

### `@mui/material@5.14.9`

- ​[ButtonGroup] Determine first, last and middle buttons to support different elements with correct styling (#38520) @ZeeshanTamboli
- ​[Modal] Fix console warning when onTransitionEnter , onTransitionExit provided (#38868) @sai6855
- ​Revert "[Autocomplete] Type multiple values with readonly arrays." (#38827) @mnajdova
- ​[Tabs] Scrollable tabs shouldn't crash when customizing their styles in the theme with slot callbacks (#38544) @brentertz
- ​[AlertTitle][BreadCrumbs] Fix inheritance message in docs (#38876) @sai6855

### `@mui/base@5.0.0-beta.15`

- ​[useSnackbar] Align externalProps handling (#38935) @mj12albert
- ​[useInput] Align ExternalProps naming (#38849) @mj12albert
- ​[FocusTrap] Refactor & cleanup (#38878) @mnajdova
- ​[FocusTrap] Fix `disableEnforceFocus` behavior (#38816) @mnajdova
- ​[Switch] Simplify source (#38910) @oliviertassinari

### `@mui/joy@5.0.0-beta.6`

- ​[Drawer] Add Drawer component (#38169) @mnajdova
- ​Reduce height of some variants (#38527) @zanivan
- ​Refine the default theme color palette (#38416) @zanivan
- ​[Dialog] Add `DialogActions`, `DialogTitle` and `DialogContent` (#38382) @siriwatknp
- ​[AccordionGroup] Add missing `variant` and `color` classes (#38814) @sai6855

### `@mui/lab@5.0.0-alpha.144`

- ​Add TypeScript deprecations (#38833) @oliviertassinari
- ​Fix `@mui/x-tree-view` dependency (#38822) @flaviendelangle

### `@mui/system@5.14.9`

- ​Remove dead code (#38884) @oliviertassinari
- ​Remove getInitColorSchemeScript leading spaces (#38794) @oliviertassinari

### `@mui/zero-vite-plugin@0.0.1-alpha.0`

- ​[vite] Create a package for vite plugin (#38685) @brijeshb42

### Docs

- ​[docs][base-ui] Improve recommended usage guide (#38570) @oliviertassinari
- ​[docs][base-ui] Create hooks contribution guide (#38679) @michaldudak
- ​[docs][base-ui] Structure and style revisions for Component docs (#38826) @samuelsycamore
- ​[docs][base-ui] Add Number Input to the all components page (#38839) @danilo-leal
- ​[docs][base-ui] Mark Popup with the Preview tag (#38851) @michaldudak
- ​[blog] Polish component reference name @oliviertassinari
- ​[blog] Fix missing card (#38834) @oliviertassinari
- ​[Button][docs][material-ui] Update the file upload demo (#38823) @danilo-leal
- ​[docs][DialogTitle] Fix props docs doesn't mention it extends `Typography` props (#38856) @sai6855
- ​[docs] Improve npm experience (#38906) @oliviertassinari
- ​[docs] Fix redirection to Base UI URLs @oliviertassinari
- ​[docs] Fix use of callouts (#38747) @oliviertassinari
- ​[docs] Fix 301 links for SEO @oliviertassinari
- ​[docs] Remove flag from installation page @oliviertassinari
- ​[docs] Fix strange break line on mobile in between product name @oliviertassinari
- ​[docs] Clearer npm package homepages (#38864) @oliviertassinari
- ​[docs] enableColorScheme prop was removed (#38795) @oliviertassinari
- ​[docs] Fix a11y issues in tables demos (#38829) @michaldudak
- ​[docs][joy-ui] Refine the Messages template (#38807) @zanivan
- ​[docs][joy-ui] Fix copy on the Tutorial page (#38907) @danilo-leal
- ​[docs][joy-ui] Fix grammar and update Usage section in color inversion page (#38850) @ZeeshanTamboli
- ​[docs][joy-ui] Revise the Lists page (#36324) @LadyBluenotes
- ​[docs][joy-ui] Refine the Profile Dashboard template (#38599) @zanivan
- ​[docs][material-ui] Revise the Paper component docs (#38841) @danilo-leal
- ​[docs][material-ui] Revise the Typography page (#38543) @danilo-leal
- ​[docs][material-ui] Revise and split up "Styled engine" doc (#37774) @samuelsycamore
- ​[TextareaAutosize][docs] Fix component creation in render (#38577) @oliviertassinari

### Examples

- ​[examples] Add shortcut to open example in online IDE (#38572) @oliviertassinari
- ​[examples][base-ui] Add Base UI + Vite + Tailwind CSS example in TypeScript (#37595) @dvkam

### Core

- ​[core] Remove package declaration from same package dependencies (#38951) @DiegoAndai
- ​[core] Remove workspace dependencies from root package.json (#38940) @michaldudak
- ​[core] Fix prop-types generation (#38831) @flaviendelangle
- ​[core] Move types packages to docs' devDependencies (#38914) @michaldudak
- ​[core] Improve DX when browsing the package on npm and GitHub @oliviertassinari
- ​[core] TrapFocus was renamed to FocusTrap @oliviertassinari
- ​[core] Add types extension for clarity @oliviertassinari
- ​[core] Hoist rewriteImportPaths to parent scope @oliviertassinari
- ​[core] Bump aws-cli orb to 4.1 (#38857) @Janpot
- ​[core] Explicitly define package dependencies (#38859) @michaldudak
- ​[core] Fix yarn docs:create-playground script @oliviertassinari
- ​[docs-infra] Improve show code button affordance (#38824) @danilo-leal
- ​[docs–infra] Fix callout container width (#38880) @oliviertassinari
- ​[docs-infra] Catch duplicated trailing splashes in links (#38758) @oliviertassinari
- ​[website] add Michel Engelen to the about us page (#38818) @michelengelen
- ​[website] Add a templates & design kits section to the Material UI page (#38617) @danilo-leal

All contributors of this release in alphabetical order: @brentertz, @brijeshb42, @danilo-leal, @DiegoAndai, @dvkam, @flaviendelangle, @Janpot, @LadyBluenotes, @michaldudak, @michelengelen, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.8



_Sep 5, 2023_

A big thanks to the 25 contributors who made this release possible.

### `@mui/material@5.14.8`

- ​ImageItemList fix incorrect (below) rendering (#38452) @omriklein
- ​[Button] Add demo for file upload (#38786) @anle9650
- ​[Slider] Add missing classes for `Slider` `InputLabel` `InputBase` `Radio` (#38401) @sai6855
- ​[Select] Merge slotProps.paper with internal Paper props (#38703) @michaldudak
- ​[Tabs] Fix `ref` type (#38717) @ZeeshanTamboli
- ​[TabScrollButton] Extend ButtonBase types (#38719) @ZeeshanTamboli

### `@mui/base@5.0.0-beta.14`

- ​[Autocomplete] Type multiple values with readonly arrays. (#38253) @pcorpet
- ​[TextField] Fix unstable height of memoized multiline TextField component (#37135) @amal-qb

### `@mui/joy@5.0.0-beta.5`

- ​[Accordion] Fix incorrect display of classname (#38695) @sai6855
- ​[AspectRatio] Correct `ratio` prop description (#38743) @sai6855
- ​[Button] Fix disablity of button (#38673) @sai6855
- ​[design] Stray design tweaks to components (#38476) @zanivan
- ​[Typography] Added position only when Skeleton is a direct child (#38799) @siriwatknp

### `@mui/lab@5.0.0-alpha.143`

- ​[TreeView] Use Tree View from MUI X in the lab (#38261) @flaviendelangle
- ​[LoadingButton] Fix HTML rule button > div forbidden nesting (#38584) @oliviertassinari

### `@mui/system@5.14.8`

- ​[system] Fix the inconsistent types of the `mergeBreakpointsInOrder` function (#38749) @imevanc
- ​[system] Fix maxWidth incorrectly resolving breakpoints with non-pixel units (#38633) @mj12albert
- ​[typescript] Introduce \*OwnProps interfaces for components (#36798) @szalonna

### Docs

- ​Update changelog (#38704) @mj12albert
- ​[docs][Autocomplete] Require referentially stable value (#38734) @michaldudak
- ​[docs][base-ui] Add type parameter to the button in prepareForSlot demo (#38640) @michaldudak
- ​[docs][base-ui] Fix the broken image in the Tailwind CSS guide (#38721) @michaldudak
- ​[docs][base-ui]: Working With Tailwind Guide - revises example code to avoid import errors (#38693) @christophermorin
- ​[docs][base] Add Tailwind CSS + plain CSS demo on the Menu page (#38618) @alisasanib
- ​[blog] Clearer blog release title @oliviertassinari
- ​[blog] Add a post for the Tree View migration (#38407) @flaviendelangle
- ​[docs] Fix broken links to Next.js docs (#38764) @ruflair
- ​[docs] Trim trailing whitespace (#38793) @oliviertassinari
- ​[docs] Fix a typo in lab-tree-view-to-mui-x.md @mbrookes
- ​[docs] Clean up not used Usage files (#38715) @danilo-leal
- ​[docs] Improve theme builder exceptions (#38709) @jyash97
- ​[docs] Polish Slider demos (#38759) @oliviertassinari
- ​[docs] Fix Joy UI docs link regression (#38761) @oliviertassinari
- ​[docs] Fix typo @oliviertassinari
- ​[docs] Fix e.g. typo (#38748) @oliviertassinari
- ​[docs] Fix Next.js pages router example redirect link (#38750) @sai6855
- ​[docs] Fix SEO issue broken links @oliviertassinari
- ​[docs] Improve SSR example reference (#38651) @oliviertassinari
- ​[docs][joy-ui] Integrate a count-up feature to the Linear Progress (#38738) @anon-phantom
- ​[docs][joy-ui] Fix Link's `overlay` prop demo (#38702) @danilo-leal
- ​[docs][joy-ui] Polish the Stack page (#38623) @danilo-leal
- ​[docs][material-ui] Adjust simple Slide demo (#38646) @rajgop1

### Core

- ​[core] Re-add nx and setup build caching (#38752) @brijeshb42
- ​[core] Remove dead code seoTitle @oliviertassinari
- ​[core] Use immutable refs (#38762) @oliviertassinari
- ​[core] Rework `typescript-to-proptypes` to share the AST parsing with `parseStyles` (#38517) @flaviendelangle
- ​[core] Fix CI @oliviertassinari
- ​[core] Remove unnecessary `@types/webpack` package (#38720) @ZeeshanTamboli
- ​[core] Remove duplicate prop @oliviertassinari

- ​[docs-infra] Fix mobile display in CodeSandbox (#38767) @oliviertassinari
- ​[docs-infra] Remove legacy GA (#37579) @alexfauquette
- ​[docs-infra] Fix emotion :first-child console log (#38690) @oliviertassinari
- ​[docs-infra] Fix leaking callout content (#38712) @danilo-leal
- ​[docs-infra] Remove emoji from callouts (#38694) @danilo-leal

- ​[website] Fix out of date discount value @oliviertassinari
- ​[website] Fix out-of-date label on Toolpad (#38744) @bharatkashyap
- ​[website] Fine-tune branding buttons box shadows (#38731) @danilo-leal
- ​[website] Fix pricing table style (#38681) @alexfauquette

All contributors of this release in alphabetical order: @alexfauquette, @alisasanib, @amal-qb, @anle9650, @anon-phantom, @bharatkashyap, @brijeshb42, @christophermorin, @danilo-leal, @flaviendelangle, @imevanc, @jyash97, @mbrookes, @michaldudak, @mj12albert, @oliviertassinari, @omriklein, @pcorpet, @rajgop1, @ruflair, @sai6855, @siriwatknp, @szalonna, @zanivan, @ZeeshanTamboli

## 5.14.7



_Aug 29, 2023_

A big thanks to the 11 contributors who made this release possible. This release focuses primarily on 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.14.7`

- [Autocomplete] Fix listbox opened unexpectedly when component is `disabled` (#38611) @mj12albert
- [Select][material-ui] Fix select menu moving on scroll when disableScrollLock is true (#37773) @VishruthR

### `@mui/base@5.0.0-beta.13`

- [useButton][base-ui] Accept arbitrary props in getRootProps and forward them (#38475) @DiegoAndai

### `@pigment-css/react@0.0.1-alpha.1`

- [system][zero][tag] Add support for sx prop (#38535) @brijeshb42

### Docs

- [docs] Number Input docs fixes (#38521) @mj12albert
- [docs] Show all the code in the usage section (#38691) @oliviertassinari
- [docs][joy-ui] Change the customization and how-to guides docs tree (#38396) @danilo-leal
- [docs][lab][LoadingButton] Improve `loading` prop documentation (#38625) @sai6855
- [docs][material-ui] Format `key` prop JSDoc description in `Snackbar` component code correctly (#38603) @jaydenseric

### Core

- [core] Add use-client to custom icons (#38132) @mj12albert
- [core] Remove unnecessary `@types/jsdom` (#38657) @renovate[bot]
- [core] Improve sponsors GA labels (#38649) @oliviertassinari
- [core] Fix ESM issues with regression tests (#37963) @Janpot
- [core] Potential fix for intermittent ci crashes in e2e test (#38614) @Janpot
- [docs-infra] Mark unstable components with a chip in the nav drawer (#38573) @michaldudak
- [docs-infra] Adjust the Material You playground demo design (#38636) @danilo-leal
- [docs-infra] Hide the SkipLink button if user prefers reduced motion (#38632) @DerTimonius
- [website] Add tiny fixes the homepage Sponsors section (#38635) @danilo-leal

All contributors of this release in alphabetical order: @brijeshb42, @danilo-leal, @DerTimonius, @DiegoAndai, @Janpot, @jaydenseric, @mj12albert, @oliviertassinari, @renovate[bot], @sai6855, @VishruthR

## 5.14.6



_Aug 23, 2023_

A big thanks to the 21 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added the [Popup](https://mui.com/base-ui/react-popup/) component to Base UI (#37960) @michaldudak
  It's intended to replace the Popper component, which uses the deprecated Popper JS library. The Popup is built on top of Floating UI and has a similar API to the Popper.
- 🚀 Added the [Accordion](https://mui.com/joy-ui/react-accordion/) component to Joy UI (#38164) @siriwatknp
- 🚀 Added InputBase and ButtonBase components to `material-next` (#38319) @DiegoAndai @mj12albert
- 🔋 First iteration on the zero-runtime styling engine compatible with Server Components (#38378) @brijeshb42

### `@mui/material@5.14.6`

- [Modal] Update it to use the useModal hook (#38498) @mnajdova
- [Select] Add `root` class to `SelectClasses` (#38424) @sai6855
- [Skeleton] Soften the pulse animation (#38506) @oliviertassinari
- [TextField] Fix onClick regressions handling changes (#38474) @mj12albert
- [TextField] Fix TextField onClick test (#38597) @mj12albert

### `@mui/base@5.0.0-beta.12`

- [Popup] New component (#37960) @michaldudak

### `@mui/joy@5.0.0-beta.3`

- [Accordion] Add Joy UI Accordion components (#38164) @siriwatknp
- [Select] Add `required` prop (#38167) @siriwatknp
- Miscellaneous fixes (#38462) @siriwatknp

### `@mui/material-next@6.0.0-alpha.98`

- [ButtonBase] Add ButtonBase component (#38319) @DiegoAndai
- [Input] Add InputBase component (#38392) @mj12albert

### `@pigment-css/react@0.0.1-alpha.0`

- Implementation of styled tag processor for linaria (#38378) @brijeshb42

### Docs

- [blog] Clarify tree view move @oliviertassinari
- [docs] Improve the "Understanding MUI packages" page images (#38619) @danilo-leal
- [docs][base-ui] Revise the structure of the Component docs (#38529) @samuelsycamore
- [docs][base-ui] Fix Menu Hooks demo (#38479) @homerchen19
- [docs][base-ui] Correct the MUI System quickstart example (#38496) @michaldudak
- [docs][base-ui] Add Tailwind & plain CSS demos for Autocomplete page (#38157) @mj12albert
- [docs][base-ui] Add Tailwind CSS + plain CSS demo on the Input page (#38302) @alisasanib
- [docs][base-ui] Add Tailwind CSS + plain CSS demo on the Snackbar, Badge, Switch pages (#38425) @alisasanib
- [docs][base-ui] Add Tailwind CSS + plain CSS demo on the Slider page (#38413) @alisasanib
- [docs][base-ui] Add Tailwind CSS + plain CSS demo on the Select page (#38367) @alisasanib
- [docs][joy-ui] Fix typo: Classname -> Class name for consistency (#38510) @alexfauquette
- [docs][joy-ui] Revise the theme color page (#38402) @danilo-leal
- [docs][joy-ui] Sort templates by popularity (#38490) @oliviertassinari
- [docs][joy-ui] Fix the `fullWidth` prop description for the Input (#38545) @0xturner
- [docs][joy-ui] Updated the List playground demo (#38499) @zanivan
- [docs][joy-ui] Changed bgcolor of the Playground demo (#38502) @zanivan
- [docs][material-ui] Fix key warning in SimpleDialog demo (#38580) @ZeeshanTamboli
- [docs][material-ui] Fixed Google Fonts link for material two-tone icons in CodeSandbox and Stackblitz (#38247) @ZeeshanTamboli
- [docs][material-ui] Fix the Drawer's `onClose` API docs (#38273) @johnmatthiggins
- [docs][material-ui] Improve nav link tab example (#38315) @oliviertassinari
- [docs][material-ui] Fix missing import in the styled engine guide (#38450) @codersjj
- [docs][material-ui][Dialog] Improve screen reader announcement of Customized Dialog (#38592) @ZeeshanTamboli
- [docs] Add 3rd party libraries integration examples for Joy Input (#38541) @siriwatknp
- [docs] Hide translation call to action (#38449) @cristianmacedo
- [docs] Fix codemod name in changelog of v5.14.4 (#38593) @GresilleSiffle
- [docs] More space for theme builder (#38532) @oliviertassinari
- [docs] Fix the math symbol of the width sx prop range @oliviertassinari
- [docs] Fix typo on a11y section of Tabs @oliviertassinari
- [docs] Clarify System peer dependencies @oliviertassinari
- [docs] Fix horizontal scrollbar @oliviertassinari
- [docs] Code style convention @oliviertassinari
- [docs] Fix typo in Base UI @oliviertassinari
- [docs] Update the backers page (#38505) @danilo-leal
- [docs] Add stray design adjustments to the docs (#38501) @danilo-leal
- [docs] Use IBM Plex Sans in Tailwind CSS demos (#38464) @mnajdova
- [docs] Fix SEO issues reported by ahrefs (#38423) @oliviertassinari

### Examples

- [examples] Start to remove Gatsby (#38567) @oliviertassinari
- [examples][joy-ui] Fix Joy UI example CLI (#38531) @oliviertassinari
- [examples][joy-ui] Improve example when using Next Font (#38540) @mwskwong

### Core

- [changelog] Fix issues in highlight @oliviertassinari
- [core] Remove redundant `@material-ui/` aliases from regression test Webpack config (#38574) @ZeeshanTamboli
- [core] Fix CI error @oliviertassinari
- [core] Remove unnecessary Box (#38461) @oliviertassinari
- [core] Set GitHub Action top level permission @oliviertassinari
- [docs-infra][joy-ui] Polish the usage and CSS vars playgrounds (#38600) @danilo-leal
- [docs-infra] Support link title (#38579) @oliviertassinari
- [docs-infra] Fix ad layout shift (#38622) @oliviertassinari
- [docs-infra] Add light tweaks to the ad container (#38504) @danilo-leal
- [docs-infra] Fix anchor scroll without tabs (#38586) @oliviertassinari
- [docs-infra] Retain velocity animation speed (#38470) @oliviertassinari
- [docs-infra] Follow import and CSS token standard (#38508) @oliviertassinari
- [docs-infra] Add icon to callouts (#38525) @alexfauquette
- [docs-infra] Fix the anchor link on headings (#38528) @danilo-leal
- [docs-infra] Cleanup code on demo code block expansion (#38522) @ZeeshanTamboli
- [docs-infra] Improve the heading buttons positioning (#38428) @danilo-leal
- [docs-infra] Customize the blockquote design (#38503) @danilo-leal
- [docs-infra] Improve the alert before a negative feedback (#38500) @danilo-leal
- [docs-infra] Fix GoogleAnalytics missing event for code copy (#38469) @alexfauquette
- [docs-infra] Improve affordance on the code block expansion (#38421) @danilo-leal
- [website] Fine-tune the branding theme buttons (#38588) @danilo-leal
- [website] Improve the Base UI hero section demo (#38585) @danilo-leal
- [website] Add stray design improvements to the Material UI page (#38590) @danilo-leal
- [website] Fix mobile view Material UI page (#38568) @oliviertassinari
- [website] Fix reference to the data grid @oliviertassinari
- [website] Configure Apple Pay @oliviertassinari
- [website] Fix template link on the homepage (#38471) @danilo-leal

All contributors of this release in alphabetical order: @0xturner, @alexfauquette, @alisasanib, @brijeshb42, @codersjj, @cristianmacedo, @danilo-leal, @DiegoAndai, @GresilleSiffle, @homerchen19, @johnmatthiggins, @michaldudak, @mj12albert, @mnajdova, @mwskwong, @oliviertassinari, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.5



_Aug 14, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- @mnajdova [made it easier to use third-party components in Base UI slots](https://mui.com/base-ui/getting-started/customization/#overriding-subcomponent-slots) with the introduction of the `prepareForSlot` utility (#38138)

### `@mui/material@5.14.5`

- ​[TextField] Fix to handle `onClick` on root element (#38072) @LukasTy

### `@mui/codemod@5.14.5`

- ​[codemod] Add v5.0.0/tree-view-moved-to-x codemod (#38248) @flaviendelangle

### `@mui/joy@5.0.0-beta.2`

- ​[Input][joy-ui] Fix the `FormHelperText` icon color (#38387) @TheNatkat
- ​[Skeleton][joy-ui] Soften the pulse animation (#38384) @zanivan
- ​[TabPanel][joy-ui] Add `keepMounted` prop (#38293) @decadef20

### `@mui/base@5.0.0-beta.11`

- ​[base-ui] Remove the legacy Extend\* types (#38184) @michaldudak
- ​[base-ui] Add `useModal` hook (#38187) @mnajdova
- ​[base-ui] Add `prepareForSlot` util (#38138) @mnajdova
- ​[useButton][base-ui] Fix tabIndex not being forwarded (#38417) @DiegoAndai
- ​[useButton][base-ui] Fix onFocusVisible not being handled (#38399) @DiegoAndai

### Docs

- ​[blog] Blog post for MUI X mid v6. Date Pickers, Data Grid, and Charts (#38241) @richbustos
- ​[docs][base-ui] Update number input API docs (#38363) @mj12albert
- ​[docs] Improve page transition speed (#38394) @oliviertassinari
- ​[docs] Improve examples (#38398) @oliviertassinari
- ​[docs][docs] Add `FileUpload` demo (#38420) @sai6855
- ​[docs][joy-ui] Refine the Order Dashboard template design (#38395) @zanivan
- ​[docs][material-ui][joy-ui] Simplify the Quickstart section on the Usage page (#38385) @danilo-leal
- ​[docs][Menu][joy] Explain how to control the open state (#38355) @michaldudak
- ​[docs][material] Revise the Support page (#38207) @samuelsycamore
- ​[docs][material-ui] Remove incorrect `aria-label`s in extended variant examples of Floating Action Button (#37170) @ashleykolodziej
- ​[docs][material-ui] Adjust slightly the installation page content (#38380) @danilo-leal
- ​[docs][Switch] Fix the readOnly class name in docs (#38277) @michaldudak
- ​[docs][TablePagination] Add Tailwind CSS & plain CSS introduction demo (#38286) @mnajdova

### Examples

- ​[examples] Add Joy UI + Vite.js + TypeScript example app (#37406) @nithins1

### Core

- ​[core] Consistent URL add leading / @oliviertassinari
- ​[docs-infra] Fix rebase issue @oliviertassinari
- ​[docs-infra] Fix typo in docs infra docs @oliviertassinari
- ​[docs-infra] Fix nested list margin (#38456) @oliviertassinari
- ​[docs-infra] Move the Diamond Sponsors to the TOC (#38410) @danilo-leal
- ​[docs-infra] Move imports into page data (#38297) @alexfauquette
- ​[docs-infra] Adjust heading styles (#38365) @danilo-leal
- ​[docs-infra] Fix info callout border color (#38370) @danilo-leal
- ​[website] Upgrade the homepage hero demos design (#38388) @danilo-leal
- ​[website] Improve Base UI hero section demo (#38255) @danilo-leal
- ​[website] Fix EmailSubscribe look (#38429) @oliviertassinari
- ​[website] Link Discord in footer (#38369) @richbustos
- ​[website] Clean up the `GetStartedButtons` component (#38256) @danilo-leal

All contributors of this release in alphabetical order: @alexfauquette, @ashleykolodziej, @danilo-leal, @decadef20, @DiegoAndai, @flaviendelangle, @LukasTy, @michaldudak, @mj12albert, @mnajdova, @nithins1, @oliviertassinari, @richbustos, @sai6855, @samuelsycamore, @TheNatkat, @zanivan

## 5.14.4



_Aug 8, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🎉 Added [Number Input](https://mui.com/base-ui/react-number-input/) component & [useNumberInput](https://mui.com/base-ui/react-number-input/#hook) hook in [Base UI](https://mui.com/base-ui/getting-started/) @mj12albert

### `@mui/material@5.14.4`

- ​[Checkbox][material] Add size classes (#38182) @michaldudak
- ​[Typography] Improve inherit variant logic (#38123) @ZeeshanTamboli

### `@mui/system@5.14.4`

- ​Revert "[Box] Remove `component` from TypeMap (#38168)" (#38356) @michaldudak

### `@mui/base@5.0.0-beta.10`

#### Breaking changes

- ​[base] Ban default exports (#38200) @michaldudak

  Base UI default exports were changed to named ones. Previously we had a mix of default and named ones.
  This was changed to improve consistency and avoid problems some bundlers have with default exports.
  See https://github.com/mui/material-ui/issues/21862 for more context.

  ```diff
  - import Button, { buttonClasses } from '@mui/base/Button';
  + import { Button, buttonClasses } from '@mui/base/Button';
  - import BaseMenu from '@mui/base/Menu';
  + import { Menu as BaseMenu } from '@mui/base/Menu';
  ```

  Additionally, the `ClassNameGenerator` has been moved to the directory matching its name:

  ```diff
  - import ClassNameGenerator from '@mui/base/className';
  + import { ClassNameGenerator } from '@mui/base/ClassNameGenerator';
  ```

  A codemod is provided to help with the migration:

  ```bash
  npx @mui/codemod@latest v5.0.0/base-use-named-exports <path>
  ```

#### Changes

- ​[base] Create useNumberInput and NumberInput (#36119) @mj12albert
- ​[Select][base] Fix flicker on click of controlled Select button (#37855) @VishruthR
- ​[Dropdown] Fix imports of types (#38296) @yash-thakur

### `@mui/joy@5.0.0-beta.1`

- ​[joy-ui][MenuButton] Fix disable of `MenuButton` (#38342) @sai6855

### Docs

- ​[docs][AppBar] Fix `ResponsiveAppBar` demo logo href (#38346) @iownthegame
- ​[docs][base] Add Tailwind CSS + plain CSS demo on the Button page (#38240) @alisasanib
- ​[docs][Menu][base] Remove `Unstyled` prefix from demos' function names (#38270) @sai6855
- ​[docs] Add themeable component guide (#37908) @siriwatknp
- ​[docs] Fix Joy UI demo background color (#38307) @oliviertassinari
- ​[docs] Update API docs for Number Input component (#38301) @ZeeshanTamboli
- ​[docs][joy-ui] Revise the theme typography page (#38285) @danilo-leal
- ​[docs][joy-ui] Add TS demo for Menu Bar (#38308) @sai6855
- ​[docs][joy-ui] Updated Typography callout at getting started (#38289) @zanivan
- ​[docs][joy-ui] Fix the Inter font installation instructions (#38284) @danilo-leal
- ​[docs][material] Add note to Autocomplete about ref forwarding (#38305) @samuelsycamore
- ​[docs][Skeleton] Make the demos feel more realistic (#38212) @oliviertassinari

- ​[examples] Swap Next.js examples between App Router and Pages Router; update naming convention (#38204) @samuelsycamore
- ​[examples][material-ui] Add Material UI + Next.js (App Router) example in JS (#38323) @samuelsycamore
- ​[blog] Discord announcement blog (#38258) @richbustos
- ​[blog] Fix 301 links to Toolpad @oliviertassinari
- ​[website] Updating Charts demo with real charts usage for MUI X marketing page (#38317) @richbustos
- ​[website] Adjust styles of the Product section on the homepage (#38366) @danilo-leal
- ​[website] Add Nora teamMember card to 'About' (#38358) @noraleonte
- ​[website] Fix image layout shift (#38326) @oliviertassinari

### Core

- ​[core] Fix docs demo export function consistency (#38191) @oliviertassinari
- ​[core] Fix the link-check script on Windows (#38276) @michaldudak
- ​[core] Use @testing-library/user-event direct API (#38325) @mj12albert
- ​[core] Port GitHub workflow for ensuring triage label is present (#38312) @DanailH
- ​[docs-infra] Consider files ending with .types.ts as props files (#37533) @mnajdova
- ​[docs-infra] Fix skip to content design (#38304) @oliviertassinari
- ​[docs-infra] Add a general round of polish to the API content display (#38282) @danilo-leal
- ​[docs-infra] Make the side nav collapse animation snappier (#38259) @danilo-leal
- ​[docs-infra] New Component API design followup (#38183) @cherniavskii
- ​[test] Remove unnecessary `async` keyword from test (#38373) @ZeeshanTamboli

All contributors of this release in alphabetical order: @alisasanib, @cherniavskii, @DanailH, @danilo-leal, @iownthegame, @michaldudak, @mj12albert, @mnajdova, @noraleonte, @oliviertassinari, @richbustos, @sai6855, @samuelsycamore, @siriwatknp, @VishruthR, @yash-thakur, @zanivan, @ZeeshanTamboli

## 5.14.3



_Jul 31, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [Joy UI](https://mui.com/joy-ui/getting-started/) is now in Beta
- ✨ Refine [Joy UI](https://mui.com/joy-ui/getting-started/)'s default theme @siriwatknp @zanivan
- 🎉 Added Dropdown higher-level menu component [Base UI](https://mui.com/base-ui/getting-started/) @michaldudak
- 💫 Added Material You [Badge](https://mui.com/material-ui/react-badge/#material-you-version) to `material-next` (#37850) @DiegoAndai

### `@mui/material@5.14.3`

- ​[Autocomplete][material][joy] Add default `getOptionLabel` prop in ownerState (#38100) @DSK9012
- ​[Menu][Divider][material] Do not allow focus on Divider when inside Menu list (#38102) @divyammadhok
- ​[typescript][material] Rename one letter type parameters (#38155) @michaldudak
- ​[Menu][material] Fixes slots and slotProps overriding defaults completely (#37902) @gitstart
- ​[Theme][material] Add missing styleOverrides type for theme MuiStack (#38189) @DiegoAndai
- ​[typescript][material] Add `component` field to `*Props` types (#38084) @michaldudak

### `@mui/base@5.0.0-beta.9`

#### Breaking changes

- ​[Dropdown][base][joy] Introduce higher-level menu component (#37667) @michaldudak

#### Other changes

- ​[typescript][base] Rename one letter type parameters (#38171) @michaldudak

### `@mui/joy@5.0.0-beta.0`

- ​[joy] Refine the default theme (#36843) @siriwatknp

### `@mui/material-next@6.0.0-alpha.95`

- ​[Badge][material-next] Add Badge component (#37850) @DiegoAndai
- ​[Chip][material-next] Copy chip component from material (#38053) @DiegoAndai
- ​[typescript][material-next] Rename one letter type parameters (#38172) @michaldudak

### `@mui/system@5.14.3`

- ​[Box][system] Remove `component` from TypeMap (#38168) @michaldudak
- ​[Stack][system] Fix CSS selector (#37525) @sai6855

### Docs

- ​[docs] Update Joy UI's package README (#38262) @ZeeshanTamboli
- ​[docs][base-ui] Add new batch of coming soon pages (#38025) @danilo-leal
- ​[docs] fix links to standardized examples (#38193) @emmanuel-ferdman
- ​[docs-infra] Small design polish to the Diamond Sponsor container (#38257) @danilo-leal
- ​[docs-infra] Show props in the table of content (#38173) @alexfauquette
- ​[docs-infra] Polish API page design (#38196) @oliviertassinari
- ​[docs-infra] Search with productCategory when product is missing (#38239) @oliviertassinari
- ​[docs][material] Revise and update Examples doc (#38205) @samuelsycamore
- ​[docs] Fix typo in notifications.json @mbrookes
- ​[docs-infra] Remove leftover standardNavIcon (#38252) @DiegoAndai
- ​[docs][base] Add Tailwind CSS & plain CSS demos on the Popper page (#37953) @zanivan
- ​[docs][Button][joy] Improve `loading` prop documentation (#38156) @sai6855
- ​[docs] Prepare docs infra for Tree View migration to X (#38202) @flaviendelangle
- ​[docs] Fix SEO issues reported by ahrefs @oliviertassinari
- ​[docs] Fix palette pages - live edit not working (#38195) @oliviertassinari
- ​[docs] Add Google Analytics action for the styling menu (#38085) @mnajdova
- ​[docs] Fix Discord redirection chain @oliviertassinari
- ​[docs] Cover pnpm in more places (#38161) @oliviertassinari
- ​[docs] Avoid broken link (#38154) @oliviertassinari
- ​[docs] Add notification for beta release of Toolpad (#38152) @prakhargupta1
- ​[docs-infra] Remove sidenav icons (#38174) @oliviertassinari
- ​[docs-infra] Fix search ranking when no productId (#38162) @oliviertassinari
- ​[docs-infra] Adjust the side nav for deeper nested items (#38047) @cherniavskii
- ​[docs][joy] Update TS file of adding more typography levels demo to match the corresponding JS file's styles (#38232) @ZeeshanTamboli
- ​[docs][joy] Add TS demo for reusable component section in approaches page (#38210) @sai6855
- ​[docs][joy] Add TS demo for theme typography new level customization (#38199) @sai6855

### Core

- ​[blog] Fix blog post slug Base UI (#38254) @oliviertassinari
- ​[core] Use native Node's fetch instead of node-fetch package (#38263) @michaldudak
- ​[core] Remove dead code @oliviertassinari
- ​[core] Polish Stack test to closer CSS injection order @oliviertassinari
- ​[core] Remove unnecessary `Required` utility type from Typography font style type (#38203) @ZeeshanTamboli
- ​[core] Fix generate Proptypes script skipping unstable items (#38198) @mj12albert
- ​[website] Adding Rich Bustos Twitter handle in bio (#38213) @richbustos
- ​[website] Prepare importing data from HiBob (#38238) @oliviertassinari
- ​[website] Sync team member with HiBob, add Raffaella (#38201) @rluzists1

All contributors of this release in alphabetical order: @cherniavskii, @DiegoAndai, @divyammadhok, @DSK9012, @flaviendelangle, @gitstart, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @prakhargupta1, @richbustos, @rluzists1, @sai6855, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.2



_Jul 25, 2023_

A big thanks to the 23 contributors who made this release possible.

### @mui/material@5.14.2

- ​Revert "[core] Adds `component` prop to `OverrideProps` type (#35924)" (#38150) @michaldudak
- ​[Chip][material] Fix base cursor style to be "auto" not "default" (#38076) @DiegoAndai
- ​[Tabs] Refactor IntersectionObserver logic (#38133) @ZeeshanTamboli
- ​[Tabs] Fix and improve visibility of tab scroll buttons using the IntersectionObserver API (#36071) @SaidMarar

### @mui/joy@5.0.0-alpha.89

- ​[Joy] Replace leftover `Joy-` prefix with `Mui-` (#38086) @siriwatknp
- ​[Skeleton][joy] Fix WebkitMaskImage CSS property (#38077) @Bestwebdesign
- ​[Link][Joy UI] Fix font inherit (#38124) @oliviertassinari

### Docs

- ​[docs] Add listbox placement demo for Select (#38130) @sai6855
- ​[docs][base] Add Tailwind CSS & plain CSS demo on the Tabs page (#37910) @mnajdova
- ​[docs][base] Add Tailwind CSS & plain CSS demos on the Textarea page (#37943) @zanivan
- ​[docs] Fix Joy UI menu example (#38140) @harikrishnanp
- ​[docs] Remove translations section from contributing guide (#38125) @nikohoffren
- ​[docs] Fix Base UI Button Tailwind CSS padding @oliviertassinari
- ​[docs] Mention in hompage hero that Core is free (#38075) @mbrookes
- ​[docs] Fix a typo in notifications.json (#38078) @mbrookes
- ​[docs] Add Tailwind CSS & plain CSS demo on the table pagination page (#37937) @mnajdova
- ​[docs] Implement the new API display design (#37405) @alexfauquette
- ​[docs] Update migration installation code blocks (#38028) @danilo-leal
- ​[docs][joy] Revise the Joy UI Link page (#37829) @danilo-leal
- ​[docs][joy] Add playground for Card component (#37820) @Studio384
- ​[docs][joy] Add adjustments to the color inversion page (#37143) @danilo-leal
- ​[docs][material] Improve documentation about adding custom colors (#37743) @DiegoAndai
- ​[examples] Fix Joy UI Next.js App Router font loading (#38095) @IgnacioUtrilla
- ​[examples] Fix material-next Font Usage with next/font (#38026) @onderonur

### Core

- ​[blog] Update Discord invite link in Toolpad beta announcement (#38143) @samuelsycamore
- ​[blog] Update discord server link (#38131) @prakhargupta1
- ​[core] Fix rsc-builder removing the first line (#38134) @michaldudak
- ​[core] Remove the deprecation rule in tslint (#38087) @michaldudak
- ​[website] Mobile navigation: Toolpad to Beta (#38146) @bharatkashyap
- ​[website] Fix typo on pricing page @oliviertassinari
- ​[website] Fix a few regression (#38050) @oliviertassinari
- ​[website] Update Demo footers on MUI X landing page (#38027) @richbustos
- ​[website] Fix 301 redirection to base index page @oliviertassinari
- ​[website] Fix Cell selection feature name (#38029) @oliviertassinari
- ​[website] Improve button look (#38052) @oliviertassinari
- ​[website] Link new core page to new Base UI landing page (#38030) @mj12albert
- ​[website] Polish pricing page (#37975) @oliviertassinari
- ​[test] Fail the CI when new unexpected files are created (#38039) @oliviertassinari
- ​[test] Fix linting error by matching main component demo name to filename (#38122) @ZeeshanTamboli

All contributors of this release in alphabetical order: @alexfauquette, @Bestwebdesign, @bharatkashyap, @danilo-leal, @DiegoAndai, @harikrishnanp, @IgnacioUtrilla, @mbrookes, @michaldudak, @mj12albert, @mnajdova, @nikohoffren, @oliviertassinari, @onderonur, @prakhargupta1, @richbustos, @sai6855, @SaidMarar, @samuelsycamore, @siriwatknp, @Studio384, @zanivan, @ZeeshanTamboli

## 5.14.1



_Jul 19, 2023_

A big thanks to the 24 contributors who made this release possible. Here are some highlights ✨:

- 💫 Introducing some new components for Joy UI:
  - [Skeleton](https://mui.com/joy-ui/react-skeleton/) component (#37893) @siriwatknp
  - [ToggleButton](https://mui.com/joy-ui/react-toggle-button-group/) (#37716) @siriwatknp
- 🎉 Base UI has its own [landing page](https://www.mui.com/base-ui)!
- 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.14.1`

- ​[FormControlLabel] Fix misplaced asterisk when `labelPlacement` is provided (#37831) @ZeeshanTamboli
- ​[Slider][material] Fix type dependency on @types/prop-types (#37853) @Methuselah96
- ​[Menu] Add MuiMenuList to createTheme components key (#37956) @mj12albert
- ​[Modal] Remove deprecated `BackdropComponent` and `BackdropProps` from tests (#38018) @sai6855

### `@mui/material-next@6.0.0-alpha.93`

- ​[Slider][material-next] Add use client directive to useSliderElementsOverlap (#37955) @mj12albert
- ​[Button][material-next] Fix some event handlers being ignored (#37647) @DiegoAndai

### `@mui/base@5.0.0-beta.8`

- ​[Autocomplete] Make touch and click behavior on an option consistent (#37972) @divyammadhok

### `@mui/joy@5.0.0-alpha.88`

- ​[Joy][Select] Fix type error caused by custom variant (#37996) @OmPr366
- ​[ToggleButton][Joy] Add `ToggleButton` component (#37716) @siriwatknp
- ​[Skeleton] Add Joy UI `Skeleton` component (#37893) @siriwatknp

### `@mui/utils@5.14.1`

- ​[utils] Add function overload for `useEventCallback` (#37827) @cherniavskii

### Docs

- ​[docs][base] Add Tailwind CSS & plain CSS demo on the form control page (#37914) @mnajdova
- ​[docs][base] Make Base UI Select demos denser (#37836) @zanivan
- ​[docs] Link Material UI from the landing page (#37971) @oliviertassinari
- ​[docs] Fix the empty /components page (#38010) @brijeshb42
- ​[docs] Checkout template follows user's color scheme preference (#37928) @OndrejHj04
- ​[docs] Disable ad for onboarding pages (#37998) @oliviertassinari
- ​[docs] Fix broken link to Base UI Next.js App Router (#37973) @oliviertassinari
- ​[docs] Fix typo in next-js-app-router.md (#37974) @ericbrian
- ​[docs] Add pnpm commands to Material UI Installation page (#36650) @officialrajdeepsingh
- ​[docs] Link charts in the roadmap (#37944) @oliviertassinari
- ​[docs] Improve changelog @oliviertassinari
- ​[docs] Improve the Select docs (#37279) @michaldudak
- ​[docs][menu] Add Tailwind CSS & plain CSS demo on the Menu page (#37856) @mnajdova
- ​[example] Update EmotionCacheProvider to work with GlobalStyles (#37962) @siriwatknp

### Core

- ​[blog] Add blog post about support for Next.js App Router (#37929) @samuelsycamore
- ​[blog] Blog MUI X pro statement removed (#38015) @prakhargupta1
- ​[blog] Add Toolpad beta announcement blog (#37799) @prakhargupta1
- ​[core] Increase space available for sidenav @oliviertassinari
- ​[core] Adds `component` prop to `OverrideProps` type (#35924) @sai6855
- ​[core] Fix rsc build step in CI (#38019) @mj12albert
- ​[core] Remove nx dependency (#37964) @Janpot
- ​[core] Lock `@types/node` to v18 (#37965) @ZeeshanTamboli
- ​[core] Update priority support issue template and prompt (#37824) @DanailH
- ​[core] Remove warnings in docs:api (#37858) @alexfauquette
- ​[core] Make rimraf work after a major update (#37930) @michaldudak
- ​[docs-infra] Change the Diamond Sponsor block positioning on the side nav (#37933) @danilo-leal
- ​[docs-infra] Support backticks in the codeblocks (#37950) @cherniavskii
- ​[docs-infra] Improve performance hideToolbar: true (#37969) @oliviertassinari
- ​[docs-infra] Fix button label on mobile (#37997) @oliviertassinari
- ​[docs-infra] Square drawer corners (#37970) @oliviertassinari
- ​[docs-infra] Improve tab contrast in codeblock (#38000) @oliviertassinari
- ​[docs-infra] Fix API generation for Base UI (#37941) @oliviertassinari
- ​[docs-infra] Fix layout shift on xGrid (#37954) @oliviertassinari
- ​[docs-infra] Update installation commands to use the new tabs code component (#37927) @danilo-leal
- ​[docs-infra] Improve disableToc={true} support (#37931) @oliviertassinari
- ​[docs-infra] Remove icons and tweak the design of the side nav (#37860) @danilo-leal
- ​[docs-infra] Fix TypeScrit error in demo export (#37830) @oliviertassinari
- ​[notifications] Add notification for first Charts release (#37679) @joserodolfofreitas
- ​[website] Add Base UI marketing page (#36622) @siriwatknp
- ​[website] Update MUI X landing page (#37966) @cherniavskii
- ​[website] Fix a11y issues (#37999) @oliviertassinari
- ​[website] Make the Core page refer to group of products (#37608) @danilo-leal
- ​[website] Add perpetual option to pricing page (#35504) @joserodolfofreitas

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @cherniavskii, @DanailH, @danilo-leal, @DiegoAndai, @divyammadhok, @ericbrian, @Janpot, @joserodolfofreitas, @Methuselah96, @michaldudak, @mj12albert, @mnajdova, @officialrajdeepsingh, @oliviertassinari, @OmPr366, @OndrejHj04, @prakhargupta1, @sai6855, @samuelsycamore, @siriwatknp, @zanivan, @ZeeshanTamboli

## 5.14.0



_Jul 11, 2023_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 💫 Material UI, Joy UI, and Base UI are compatible with [Next.js App Router](https://nextjs.org/docs/app) (#37656) @mj12albert
- 📚 Added new guides for integrating with Next.js 13 App Router (#37656) @mj12albert
  - Ⓜ️ [Material UI guide](https://mui.com/material-ui/guides/next-js-app-router/)
  - 🅙 [Joy UI guide](https://mui.com/joy-ui/integrations/next-js-app-router/)
  - 🅱️ [Base UI guide](https://mui.com/base-ui/guides/next-js-app-router/)
- 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.14.0`

- [Autocomplete] Enable global customization of different options (#36971) @nicolas-ot

### `@mui/material-next@6.0.0-alpha.92`

- [Slider][material-next] Slider restructure and style improvements (#37644) @DiegoAndai

### `@mui/joy@5.0.0-alpha.87`

- [ButtonGroup] Fix style for single Button (#37692) @MaybePixem
- Fix theme typography fallback value (#37845) @siriwatknp

### `@mui/icons-material@5.14.0`

- [icons-material] Rebuild icons with `"use client"` (#37894) @mj12albert

### Docs

- [docs] Polish Ukraine banner (#37905) @oliviertassinari
- [docs] Reduce Ukraine banner size (#34795) @oliviertassinari
- [docs] Add callouts about controlled vs uncontrolled components in Core docs (#37849) @samuelsycamore
- [docs] Add missing Portal elements to Tailwind CSS interoperability guide (#37807) @enrique-ramirez
- [docs] Small pickers migration improvement (#37815) @alexfauquette
- [docs] Fix pickers product name (#37825) @LukasTy
- [docs][Joy][Link] Set `variant` and `color` defaults for the playground (#37817) @Studio384
- [docs][Joy][Table] Add `undefined` as an option to `stripe` (#37816) @Studio384
- [docs][base] Add Tailwind CSS & plain CSS demo on the Snackbar page (#37812) @mnajdova
- [docs][base] Add Tailwind CSS & plain CSS demo on Badge page (#37768) @mnajdova
- [docs][base] Fix Nested modal demo positioning (#37506) @gitstart
- [docs][base] Add Tailwind CSS & plain CSS demo on the Switch page (#37728) @mnajdova
- [docs-infra] Remove code tags in ToC (#37834) @cherniavskii
- [docs-infra] Fixes in API pages generation (#37813) @mnajdova
- [docs-infra] Add test case when using sh (#37818) @oliviertassinari
- [docs-infra] Use icons instead of words for the code copy button (#37664) @danilo-leal
- [docs-infra] Fix code parser (#37828) @alexfauquette
- [docs-infra] Fix `marked` deprecation warning (#37769) @alexfauquette
- [docs-infra] Allows to use codeblock in the docs (#37643) @alexfauquette
- [docs-infra][joy] Change Joy UI's playground variant selector (#37821) @danilo-leal

### Core

- [core] Prepend "use-client" directive + add docs and examples for using the library with Next.js App Router (#37656) @mj12albert
- [core] Fix imports to React (#37863) @oliviertassinari
- [core] Disambiguate eslint plugin name @oliviertassinari
- [core] Sync the lint script name with the other repositories @oliviertassinari
- [core] Point to Crowdin directly @oliviertassinari
- [website] Sync career page (#37847) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @cherniavskii, @danilo-leal, @DiegoAndai, @enrique-ramirez, @gitstart, @LukasTy, @MaybePixem, @mj12albert, @mnajdova, @nicolas-ot, @oliviertassinari, @samuelsycamore, @siriwatknp, @Studio384

## 5.13.7



_Jul 4, 2023_

A big thanks to the 21 contributors who made this release possible.
This release focuses primarily on 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.13.7`

- [OutlinedInput] Fix form control properties in `ownerState` (#37668) @vonagam

### `@mui/system@5.13.7`

- [Stack] Fix spacing when there are `<style>` children (#34966) @cmd-johnson

### `@mui/icons-material@5.13.7`

- [icons] Add Microsoft logo (#37717) @zephyrus21

### `@mui/joy@5.0.0-alpha.86`

- [Autocomplete][joy] Fix Autocomplete and Modal components to work together (#37515) @saikathalderr
- [Menu][Joy] Improve UX of `Menu` usage demo (#37797) @sai6855

### `@mui/base@5.0.0-beta.6`

- [Slider][base][material][joy] Fix not draggable on the edge when `disableSwap={true}` (#35998) @sai6855
- [Slider][base] Provide slot state to Slider's thumb slot props callback (#37749) @mnajdova
- [Tabs] Wrap TabsList context creation in useMemo (#37370) @michaldudak
- [TextareaAutosize] Fix wrong height measurement (#37185) @bigteech

### `@mui/lab@5.0.0-alpha.135`

- [Timeline] Fix position `alternate-reverse` generated classname (#37678) @ZeeshanTamboli

### Docs

- [docs][base] Add demo for using the Button as a link (#37317) @AdamSundberg
- [docs][base] Add Tailwind CSS + plain CSS demo on the Select page (#37725) @mnajdova
- [docs][base] Make Base UI input demos denser (#37750) @zanivan
- [docs][base] Make Base UI button demos denser (#37689) @zanivan
- [docs][base] Add Tailwind CSS & plain CSS demos on the Input page (#37685) @mnajdova
- [docs][base] Fix horizontal scrolling on the mobile input page (#37688) @zanivan
- [docs] Improve Base UI index page (#37761) @oliviertassinari
- [docs] Fix incorrect package URL in README of example material-vite (#37755) @Dlouxgit
- [docs] Explain how to disable Base Select's portal (#37684) @michaldudak
- [docs] Shorten overview page URLs (#37660) @oliviertassinari
- [docs][material] Rename custom tab panel in Tabs demo to prevent confusion with @mui/lab (#37638) @MUK-Dev
- [docs][tabs] Document how to use routing with Tabs in Base UI (#37369) @michaldudak
- [docs] Rename product to productId (#37801) @siriwatknp
- [docs][base] Add Tailwind CSS & plain CSS demo on the Slider page (#37736) @mnajdova

### Core

- [docs–infra] Prevent displaying multiple ads (#37696) @oliviertassinari
- [blog] Fix mismatch between plan and link @oliviertassinari
- [core] Update yarn lockfile (#37802) @michaldudak
- [core] Add bundle size Toolpad app link to PRs (#36311) @Janpot
- [core] Fix priority support prompt action flow (#37726) @DanailH
- [core] Fix typo in priority support @oliviertassinari
- [core][docs] add Eslint rule to ensure main demo component match file… (#37278) @alexfauquette
- [docs-infra] Fix truncated TOCs scrollbar (#37770) @oliviertassinari
- [docs-infra] Adjust demo container to be glued to the toolbar (#37744) @danilo-leal
- [docs-infra] Fix layout shift ad (#37694) @oliviertassinari
- [docs-infra] Improve demos toolbar (#37762) @oliviertassinari
- [docs-infra] Make the GitHub link in the nav bar open in a new tab (#37766) @gateremark
- [docs-infra] Allow to persist icons in ToC (#37731) @cherniavskii
- [docs-infra] Improve product mapping (#37729) @oliviertassinari
- [docs-infra] Add design polish to the comment and anchor buttons (#37734) @danilo-leal
- [docs-infra] Tweak editable code blocks callout design (#37681) @danilo-leal
- [docs-infra] Improve the edit page experience (#37695) @oliviertassinari
- [docs-infra] Support rendering markdown outside of docs (#37691) @oliviertassinari
- [docs-infra] Polish demo toolbar button designs (#37680) @danilo-leal
- [docs-infra] Adjust demo component container design (#37659) @danilo-leal
- [test] Fix test:e2e local run (#37719) @oliviertassinari
- [test] Remove failing test in dev @oliviertassinari
- [website] Add no-op service worker to fix stale cache issue (#37607) @cherniavskii
- [website] Transition the Core page to be Material UI instead (#37583) @danilo-leal
- [website] Update the pricing page to reflect sales (#37751) @oliviertassinari
- [website] Match Copyright with the rest of the website @oliviertassinari
- [website] Support deep linking to pricing FAQ @oliviertassinari

All contributors of this release in alphabetical order: @AdamSundberg, @alexfauquette, @bigteech, @cherniavskii, @cmd-johnson, @DanailH, @danilo-leal, @Dlouxgit, @gateremark, @Janpot, @michaldudak, @mnajdova, @MUK-Dev, @oliviertassinari, @sai6855, @saikathalderr, @siriwatknp, @vonagam, @zanivan, @ZeeshanTamboli, @zephyrus21

## 5.13.6

_Jun 21, 2023_

A big thanks to the 25 contributors who made this release possible. Here are some highlights ✨:

- 💫 Added [Slider](https://mui.com/material-ui/react-slider/#material-you-version) component using the new Material You design language (#37520) @DiegoAndai.
- 📚 Added [examples](https://github.com/mui/material-ui/tree/master/examples/material-ui-nextjs-ts) showcasing how you can use Material UI with next.js's app directory (#37315) @smo043

### `@mui/material@5.13.6`

- ​[Autocomplete] Fixed autocomplete's existing option selection (#37012) @bencevoros
- ​[Autocomplete] Add hint demos to Material UI and Joy UI docs (#37496) @sai6855
- ​[Masonry] Fix ResizeObserver loop limit exceeded error (#37208) @hbjORbj
- ​[Tooltip][material] Improve warning when Tooltip receives string child (#37530) @DiegoAndai
- ​[Modal] Add missing members to ModalOwnProps (#37568) @ivp-dev
- ​[Slider] Arrow keys control does not work with float numbers (#37071) @gitstart
- ​[SvgIcon] allow `svg` as a child (#37231) @siriwatknp
- ​[Timeline] Add alternate reverse position (#37311) @abhinavkmrru
- ​[Tooltip] Fix type of sx prop in `slotProps` (#37550) @SuperKXT
- ​[TouchRipple] perf: avoid calling `clearTimeout()` (#37512) @romgrk

### `@mui/material-next@6.0.0-alpha.90`

- ​[Material You] Add Slider component with Material You design (#37520) @DiegoAndai

### `@mui/joy@5.0.0-alpha.85`

- ​[ButtonGroup][joy] Missing border when spacing is more than zero (#37577) @siriwatknp
- ​[CardActions][joy] Add `CardActions` component (#37441) @siriwatknp
- ​[Menu][joy] Fix closing of `Menu` in demos (#36917) @sai6855

### `@mui/base@5.0.0-beta.5`

- ​[Menu][base] Add the resetHighlight action (#37392) @michaldudak
- ​[Select][base] Expose the `areOptionsEqual` prop (#37615) @michaldudak

### `@mui/utils@5.13.2`

- ​[utils] Allow nested imports in @mui/utils to speed up build (#37586) @flaviendelangle

### Docs

- ​[docs][base] Improve Base UI all components images (#37590) @danilo-leal
- ​[docs][base] Add pages for coming soon components (#37575) @danilo-leal
- ​[docs][base] Add a Snackbar introduction demo (#37602) @danilo-leal
- ​[docs][base] Add page for all Base UI components (#37536) @danilo-leal
- ​[docs] Fix scrollbar on snackbar page (#37657) @oliviertassinari
- ​[docs] Switch order of snackbar buttons in demos (#37389) @Primajin
- ​[docs] Add support for Tailwind CSS and plain CSS demos (#37319) @mnajdova
- ​[docs] Tree view color fix for dark mode in Gmail example (#37051) @PunitSoniME
- ​[docs] Inline the Base UI demo (#37603) @oliviertassinari
- ​[docs] Fix typo in themed components page (#37598) @vinayr
- ​[docs] Fix render inline code in CSS description generation (#37448) @alexfauquette
- ​[docs] Add styles to styled argument list (#37558) @DiegoAndai
- ​[docs] Improve awkward wording in READMEs of example projects (#37110) @DIWAKARKASHYAP
- ​[docs] Fix small base -> base-ui migration issue (#37594) @oliviertassinari
- ​[docs] Fix GitHub typo (#37578) @oliviertassinari
- ​[docs] Improve release guide (#37547) @DiegoAndai
- ​[docs] Review fixes to the Material UI's "Example projects" page (#37444) @danilo-leal
- ​[docs][joy] Add a messages template (#37546) @sernstberger
- ​[docs][joy] Add pages for coming soon Joy UI components (#36920) @danilo-leal
- ​[docs][joy] Add design and consistency tweaks to the Playground (#37580) @danilo-leal
- ​[docs] Add and revise Base UI + Create React App examples (#36825) @samuelsycamore
- ​[docs-infra] Fix demos border radius (#37658) @oliviertassinari
- ​[docs-infra] Add analyticsTags to Algolia (#37600) @Janpot
- ​[docs-infra] Simplify product id handling (#37593) @oliviertassinari
- ​[changelog] Add missing release date for v5.13.5 @oliviertassinari
- ​[examples] Shell command fix in the readme file of material-next-ts example (#37675) @bablukpik
- ​[examples] Next.js v13 app router with Material UI (#37315) @smo043

### Core

- ​[core] Update to Node.js v18 for `test-dev` CI (#37604) @ZeeshanTamboli
- ​[core] Add priority support issue template (#37671) @DanailH
- ​[website] Update roadmap page (#37587) @cherniavskii
- ​[website] Add CSP to limit iframes to self @oliviertassinari
- ​[website] Link mui-x Stack Overflow in footer link (#37509) @richbustos

All contributors of this release in alphabetical order: @abhinavkmrru, @alexfauquette, @bencevoros, @cherniavskii, @danilo-leal, @DiegoAndai, @DIWAKARKASHYAP, @flaviendelangle, @gitstart, @hbjORbj, @ivp-dev, @Janpot, @michaldudak, @mnajdova, @oliviertassinari, @Primajin, @PunitSoniME, @richbustos, @romgrk, @sai6855, @sernstberger, @siriwatknp, @SuperKXT, @vinayr, @ZeeshanTamboli

## 5.13.5

_Jun 12, 2023_

A big thanks to the 9 contributors who made this release possible. Here are some highlights ✨:

- 💫 Added `ButtonGroup` component in Joy UI (#37407) @siriwatknp.
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.13.5`

- ​[Material][Popover] Add support for virtual element as anchorEl (#37465) @DiegoAndai

### `@mui/joy@5.0.0-alpha.84`

- ​[ButtonGroup][joy] Replace `detached` prop with `spacing`. (#37562) @siriwatknp
- ​[ButtonGroup][joy] Add `ButtonGroup` component (#37407) @siriwatknp
- ​[Input][joy] Simplify focus with `:focus-within` and add examples (#37385) @siriwatknp

### Docs

- ​[docs] Move Toolpad from alpha to beta (#37288) @bharatkashyap
- ​[docs] Add usage of createCssVarsProvider (#37513) @brijeshb42
- ​[docs] Update /base url references to /base-ui (#37412) @brijeshb42
- ​[docs] Skip components and hooks due to duplicate index (#37539) @siriwatknp
- ​[docs] Polish Sign in to your account joy demo (#37498) @oliviertassinari
- ​[docs] Remove outdated Material UI FAQ @oliviertassinari
- ​[docs] Fix crash access to localStorage in Firefox (#37518) @brijeshb42
- ​[docs-infra] Enforce max length on description (#37565) @oliviertassinari
- ​[docs-infra] Mandatory versions (#37497) @oliviertassinari
- ​[docs-infra] Fix lighthouse img size issue (#37415) @oliviertassinari
- ​[docs][joy] Replace JoyInput with Input component in JoyUI Text Field documentation (#37548) @musama619
- ​[docs][joy] Add typography introduction demo component (#37553) @sernstberger
- ​[docs][joy] Add a rental dashboard template (#37453) @sernstberger

### Core

- ​Move the React Community Engineer - X in Open Roles (#37552) @DanailH
- ​[core] Update Node.js version to v18 on CircleCI, CodeSandbox, and Netlify (#37173) @ZeeshanTamboli
- ​[website] RIDI gold sponsorship end (#37517) @oliviertassinari
- ​[website] Update X landing page (#37387) @cherniavskii

All contributors of this release in alphabetical order: @brijeshb42, @cherniavskii, @DanailH, @DiegoAndai, @musama619, @oliviertassinari, @sernstberger, @siriwatknp, @ZeeshanTamboli

## 5.13.4



_Jun 5, 2023_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

### `@mui/material@5.13.4`

- ​[Autocomplete][material] Add missing `focusVisible` class in AutocompleteClasses (#37502) @sai6855
- ​[Menu][material] Fix MenuPaper class composition precedence (#37390) @DiegoAndai
- ​[MenuList] Fix to allow conditional rendering for a menu item under ListSubheader (#36890) @danielplewes
- ​[Stepper] Handle progress bar of mobile stepper when `steps` is one (#37079) @gitstart

### `@mui/base@5.0.0-beta.4`

- ​[Input][base] Fix calling slotProps event handlers (#37463) @sai6855

### `@mui/joy@5.0.0-alpha.82`

- ​[Avatar][joy] Fallback to `alt` when `src` or `srcSet` are not defined (#37469) @vishalthatipamula0219
- ​[Card][joy] Improve usability of card family (#37474) @siriwatknp

### Docs

- ​[docs][base] useAutocomplete demos & docs (#37029) @mj12albert
- ​[docs][base] Remove usage of `component` prop in docs (#37462) @sai6855
- ​[docs] Fix docs redirections @oliviertassinari
- ​[docs] Fix Fluent -> Fluent UI @oliviertassinari
- ​[docs] Fix MUI Base -> Base UI @oliviertassinari
- ​[docs] Add base-vite-tailwind example repo (#36994) @mj12albert
- ​[docs] Fix search bar layout shift (#37460) @oliviertassinari
- ​[docs] Tweak Material UI's "Showcase" page design (#37259) @danilo-leal
- ​[docs] Tweak Material UI's "Template" page design (#37260) @danilo-leal
- ​[docs] Fix "Language" page removal leftovers (#37408) @danilo-leal
- ​[docs] Move contents of css-variables to sibling pages (#37411) @brijeshb42

### Core

- ​[core] Do not let Renovate handle `examples` packages updates (#37386) @ZeeshanTamboli
- ​[website] Add header filters to the pricing table (#37455) @MBilalShafi

All contributors of this release in alphabetical order: @brijeshb42, @danielplewes, @danilo-leal, @DiegoAndai, @gitstart, @MBilalShafi, @mj12albert, @oliviertassinari, @sai6855, @siriwatknp, @vishalthatipamula0219, @ZeeshanTamboli

## 5.13.3



_May 29, 2023_

A big thanks to the 15 contributors who made this release possible.
This release focuses primarily on 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.13.3

- ​[Autocomplete] Accept external Listbox ref (#37325) @sai6855
- ​[Modal] Pass `className` from `BackdropProps` (#37399) @hbjORbj

### `@mui/base@5.0.0-beta.3`

- ​[base] Maintain nodes document order in compound components (#36857) @michaldudak
- ​[base][joy] Prevent persisting hover state styles onclick on mobile (#36704) @gitstart
- ​[Menu][base] MenuItem as a link does not work (#37242) @nicolas-ot
- ​[MenuItem][Base] Pass idGenerator function (#37364) @sai6855
- ​[Slider][Base] Add Vertical slider demo (#37357) @sai6855

### `@mui/joy@5.0.0-alpha.82`

- ​[Select][joy] Fix popup does not close (#37435) @siriwatknp
- ​[Badge][Joy] Fix `slots` element type in API docs (#37329) @zignis
- ​[Select] [joy] Handle long text content (#37289) @akash191095
- ​[Tooltip][Joy] Interactive doesn't work (#37159) @nicolas-ot

### `@mui/codemod@5.13.3

- ​[mui-codemod] Add missing script to README (#37377) @hbjORbj

### Docs

- ​[docs] Clarify Hidden down props as exclusive (#36927) @canac
- ​[docs] Add refine to Material UI "Related projects" and "More advanced example projects" pages (#37308) @necatiozmen
- ​[docs] Remove todo link from sidebar (#37373) @brijeshb42
- ​[docs] Clarify the peer dependency with react (#37360) @oliviertassinari
- ​[docs] Divider vertical middle prop migration (#36840) @JhonnK08
- ​[docs] Fix branding theme tabs and navigation bar regressions (#37362) @ZeeshanTamboli
- ​[docs-infra] Throw on incorrect internal links (#37326) @oliviertassinari

### Core

- ​[core] Include scoped JSX namespace when resolving props (#37404) @LukasTy
- ​[test][useMediaQuery] Change SSR test description (#37403) @zignis
- ​[website] Sync with Ashby @oliviertassinari
- ​[website] Add David to about page (#37379) @DavidCnoops

All contributors of this release in alphabetical order: @akash191095, @brijeshb42, @canac, @DavidCnoops, @gitstart, @hbjORbj, @JhonnK08, @LukasTy, @michaldudak, @necatiozmen, @nicolas-ot, @oliviertassinari, @sai6855, @ZeeshanTamboli, @zignis

## 5.13.2



_May 22, 2023_

A big thanks to the 12 contributors who made this release possible.
📚 This release focuses primarily on documentation improvements.

### `@mui/material@5.13.2

- [Slider] Tooltip positioning fixed for vertical slider (#37049) @PunitSoniME

### Docs

- [docs][base] Remove default annotations from useTabsList return type (#37324) @TinaSay
- [docs][base] Remove default annotations from useTabPanel return type (#37323) @TinaSay
- [docs][base] Remove default annotations from useSwitch return type (#37322) @TinaSay
- [docs][base] Remove default annotations from useInput return type (#37321) @TinaSay
- [docs][base] Remove default annotations from useAutocomplete return type (#37320) @TinaSay
- [docs][base] Remove default annotations from useBadge's return type (#37313) @TinaSay
- [docs][base] Remove default annotations from useButton's return type (#37312) @TinaSay
- [docs][base] Remove default annotations from useSlider's return type (#37309) @TinaSay
- [docs] Remove Material UI's "Languages" page (#37314) @danilo-leal
- [docs] Prefer to link GitHub repository @oliviertassinari
- [docs] Move product versions to page context (#35078) @m4theushw
- [docs] Fix v5 migration npm install instruction (#37293) @oliviertassinari
- [docs][Tab] Add vertical tabs demo (#37292) @sai6855
- [docs][Transitions] Fix typo in code sample (#37300) @alexfauquette
- [examples] Remove `@babel/plugin-proposal-class-properties` from Material-Express-SSR example (#37305) @ZeeshanTamboli
- [Website] Add Brijesh to About page (#37318) @brijeshb42
- [website] Update pricing table (#37290) @cherniavskii
- [website] Update core open roles (#37224) @mnajdova

### Core

- Revert "[core] Remove outdated babel proposal plugins (#36795)" (#37331) @michaldudak
- [core] Move esmExternals to the shared next config (#37332) @michaldudak

All contributors of this release in alphabetical order: @alexfauquette, @brijeshb42, @cherniavskii, @danilo-leal, @m4theushw, @michaldudak, @mnajdova, @oliviertassinari, @PunitSoniME, @sai6855, @TinaSay, @ZeeshanTamboli

## 5.13.1



_May 16, 2023_

A big thanks to the 25 contributors who made this release possible. Here are some highlights ✨:

- 🌏 Added Central Myanmar (my-MY), Malay (ms-MS), Nepali (ne-NP), Tagalog (tl-TL) locales (#37017) @cccEric
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.13.1`

- [Autocomplete] Allow tooltip text selection (#36503) @safeamiiir
- [Dialog] Fixed broken dialog when using maxWidth="xs" and custom breakpoint unit (#37237) @jguddas
- [l10n] Add Central Myanmar (my-MY), Malay (ms-MS), Nepali (ne-NP), Tagalog (tl-TL) locales (#37017) @cccEric

### `@mui/utils@5.13.1`

- [utils] Fix downstream bundlers remove React 17 useId compatibility (#37183) @nickiaconis

### `@mui/base@5.0.0-beta.1`

- [Select][base] Keep focus on the trigger element when listbox is open (#37244) @michaldudak

### `@mui/joy@5.0.0-alpha.80`

- [Autocomplete] Fixed scroll into view (#37217) @sai6855
- [AutocompleteOption][Avatar] js test replaced with ts test (#37088) @PunitSoniME
- [Breadcrumbs] Replace js-tests with ts-tests (#37107) @mauwaz
- [RadioGroup] Turn JS test to TS test (#37138) @uuxxx
- [SvgIcon] Turn JS test to TS test (#37151) @nicolas-ot
- [Tooltip] Turn JS test to TS test (#37149) @nicolas-ot
- [Typography] Convert Typography test to TypeScript (#37165) @DerTimonius
- [Sheet][Slider][Stack][Switch] Replace js-tests with ts-tests (#37139) @mauwaz
- Miscellaneous fixes (#37274) @siriwatknp

### Docs

- [docs] Remove upload button (#36844) @Bastian
- [docs] Update link to overriding component structure guide (#36870) @hbjORbj
- [docs] Fix Material Design templates (#37187) @oliviertassinari
- [docs] Fix link to Joy UI GitHub issues @oliviertassinari
- [docs] Show default value for `filterOptions` prop in Autocomplete's API docs (#37230) @ZeeshanTamboli
- [docs] Add summary and improve `test_static` CI doc in CONTRIBUTING readme file (#36711) @kriskw1999
- [docs] Update theme customization TypeScript (#35551) @siriwatknp
- [docs] Add Joy Frames X web blocks template (#37203) @siriwatknp
- [docs] Change Base UI `alpha` to `beta` in README (#37228) @ZeeshanTamboli
- [docs] Improve Base UI overview page (#37227) @mnajdova
- [docs] Update Joy + Material guide (#36911) @cherniavskii

### Core

- [core] Remove `toEqualDateTime` chai matcher (#37073) @flaviendelangle
- [core] Check dependency cycles inside packages directory only (#37223) @michaldudak
- [core] Remove outdated babel proposal plugins (#36795) @kkocdko
- [website] Add Diego to About Us page (#37284) @DiegoAndai
- [website] Add Victor teamMember card to 'About' (#37283) @zanivan
- [website] Add Rich to the 'About' page (#37221) @richbustos

All contributors of this release in alphabetical order: @Bastian, @binh1298, @cccEric, @cherniavskii, @DerTimonius, @DiegoAndai, @flaviendelangle, @hbjORbj, @jguddas, @kkocdko, @kriskw1999, @mauwaz, @michaldudak, @mnajdova, @nickiaconis, @nicolas-ot, @oliviertassinari, @PunitSoniME, @richbustos, @safeamiiir, @sai6855, @siriwatknp, @uuxxx, @zanivan, @ZeeshanTamboli

## 5.13.0



_May 10, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Base UI is now in beta - all planned breaking changes are now complete!
- 🗺 We have new [project boards](https://github.com/mui/material-ui/projects?query=is%3Aopen) on GitHub where you can learn about what's coming next.
- 🐛 Various bug fixes, 📚 documentation and 🧪 testing improvements

### `@mui/material@5.13.0`

- [Autocomplete] Support `ChipComponent` type (#37112) @sai6855
- [AppBar] Fix component type (#37172) @sai6855
- [Select] Simplify handleChange in SelectInput (#37040) @ulrichstark

### `@mui/joy@5.0.0-alpha.79`

- [Input][joy] Improve alignment on date fields (#37146) @wewakekumar
- [Alery][joy] Turn JS test to TS test (#37077) @hbjORbj
- [AspectRatio][joy] js test replaced with TypeScript test (#37087) @PunitSoniME
- [Badge][AvatarGroup][joy] js test replaced with TypeScript test (#37089) @PunitSoniME
- [Box][Card][MenuList][joy] Turn JS test to TS test (#37126) @uuxxx
- [List][Menu][joy] Turn JS test to TS test (#37123) @uuxxx
- [test][Joy] Remove duplicate Avatar test (#37201) @zignis
- [test][joy] js test cases converted to TypeScript (#37117) @PunitSoniME
- [Button][joy] Convert Button test to TypeScript (#37181) @akash191095
- [CardContent][CardCover][CardOverflow][Chip][ChipDelete][joy] js text case converted to TypeScript (#37116) @PunitSoniME
- [Radio][IconButton][Checkbox][Option][joy] Switch to TypeScript unit test (#37137) @DerTimonius

### `@mui/base@5.0.0-beta.0`

- [Select][base] Do not call onChange after initial render (#37141) @michaldudak
- [Select][base] Rename the `optionStringifier` prop (#37118) @michaldudak
- [typescript][base] Fix types of components callbacks parameters (#37169) @michaldudak
- [Select], [TablePagination] Use more descriptive parameter names (#37064) @michaldudak

### Docs

- [docs] Stray design tweaks to Base UI demos (#37003) @danilo-leal
- [docs] Move outdated CSS prefixing docs (#36710) @kriskw1999
- [docs] Improve "Example projects" page design (#37007) @danilo-leal
- [docs] Redirect NoSsr, Portal and TextareaAutosize to Base UI API page (#37175) @ZeeshanTamboli
- [docs] Demonstrate `TextField` customization using theme style overrides (#36805) @ZeeshanTamboli
- [docs] Tweak the "Edit this page" button icon (#37142) @danilo-leal
- [docs] Update links to the public roadmap (#36995) @mnajdova
- [docs] Improve Multiselect demo styling (#37120) @michaldudak
- [Stack] Fix import description @oliviertassinari

### Core

- [blog] Fix images using "MUI Base" instead of "Base UI" (#37044) @danilo-leal
- [core] Add VSCode extensions recommendations (#37166) @michaldudak
- [test] `e2e-website` related minor fixes (#37204) @ZeeshanTamboli
- [website] Update the active positions (#37075) @DanailH
- [website] Add Romain to the About page (#37124) @romgrk
- [website] Make Toolpad alpha labels consistent (#37125) @gerdadesign

All contributors of this release in alphabetical order: @akash191095, @DanailH, @danilo-leal, @DerTimonius, @gerdadesign, @hbjORbj, @kriskw1999, @michaldudak, @mnajdova, @oliviertassinari, @PunitSoniME, @romgrk, @sai6855, @ulrichstark, @uuxxx, @wewakekumar, @ZeeshanTamboli, @zignis

## 5.12.3



_May 2, 2023_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- all planned breaking changes for Base UI are done. The first beta release should come next week 🎉
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.12.3`

- ​[Accordion] Add missing `component` type (#37111) @sai6855
- ​[ButtonGroup] Should not retain divider color when it is disabled and variant is `text` (#36967) @DavidBoyer11
- ​[Divider] Fix styles on dividers with text (#35072) @maxdestors
- ​[TextField] Improve IntelliSense support for props (#36737) @sai6855
- ​[TextField] Fix running click event on disabled (#36892) @sai6855

### `@mui/joy@5.0.0-alpha.78`

- ​[Joy] Miscellaneous fixes and docs improvement (#37026) @siriwatknp

### `@mui/base@5.0.0-alpha.128`

#### Breaking changes

- The `component` prop is no longer supported because it can be replaced with the slots API. This is how the transformation will look like:

  ```diff
   <Button
  -  component="span"
  +  slots={{ root: "span" }}
   />
  ```

  If using TypeScript, the custom component type should be added as a generic on the `Button` component.

  ```diff
  -<Button
  +<Button<typeof CustomComponent>
     slots={{ root: CustomComponent }}
     customProp="foo"
   />
  ```

  There is codemod that you can run in your project to do the transformation:

  ```bash
  npx @mui/codemod@latest v5.0.0/base-remove-component-prop <path>
  ```

  The full documentation about the codemod can be found [here](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#base-remove-component-prop).

  This is the list of PR related to this change:

  - ​[Button][base] Drop `component` prop (#36677) @mnajdova
  - ​[Badge][base] Drop `component` prop (#37028) @hbjORbj
  - ​[FormControl][base] Drop component prop (#37031) @hbjORbj
  - ​[Input][base] Drop component prop (#37057) @hbjORbj
  - ​[Menu][base] Drop component prop (#37033) @hbjORbj
  - ​[MenuItem][base] Drop component prop (#37032) @hbjORbj
  - ​[Modal][base] Drop component prop (#37058) @hbjORbj
  - ​[Option][base] Drop component prop (#37052) @hbjORbj
  - ​[OptionGroup][base] Drop component prop (#37055) @hbjORbj
  - ​[Popper][base] Drop component prop (#37084) @hbjORbj
  - ​[Select][base] Drop component prop (#37035) @hbjORbj
  - ​[Slider][base] Drop component prop (#37056) @hbjORbj
  - ​[Snackbar][base] Drop component prop (#37041) @nicolas-ot
  - ​[Switch][base] Drop component prop (#37053) @hbjORbj
  - ​[Tab][base] Drop component prop (#36768) @sai6855
  - ​[Tabs][base] Drop component prop (#36770) @sai6855
  - ​[TablePagination][base] Drop component prop (#37059) @sai6855
  - ​[TabPanel][base] Drop component prop (#37054) @sai6855
  - ​[TabsList][base] Drop component prop (#37042) @sai6855

- ​[base] Improve API consistency (#36970) @michaldudak

  Brought consistency to Base UI components and hooks' parameters and return values:

  1. Whenever a hook needs a ref, it's now called `<slot_name>Ref`, which matches the `get<slot_name>Props` in the return value.
  2. All hooks that accept external refs now return merged refs, making combining multiple hooks on one element easier. This was proven necessary in several compound components (like menuItem being both a button and a list item). The type of this value is `React.RefCallback` as using the more general `React.Ref` caused variance issues.
  3. Type of accepted refs is standardized to `React.Ref<Element>`
  4. Naming and typing of the forwarded ref in unstyled components were standardized - it's forwardedRef: React.ForwardedRef<Element> (unless a more specific type is needed).
  5. The shape of the definition of unstyled components was standardized - it's React.forwardRef(function Component(props: Props, forwardedRef: React.Ref<Element>) { ... });. Specifically, the generic parameters of forwardRef were removed as they are specified in function arguments.

#### Changes

- ​[FormControl][base] Do not use optional fields in useFormControlContext's return value (#37037) @michaldudak

### Docs

- ​[base][docs] Add Base UI Quickstart Guide (#36717) @mj12albert
- ​[docs] Fix Material UI's API linking to Base UI (#37121) @mnajdova
- ​[docs] Fix pagination in the DataGrid demo (#37114) @cherniavskii
- ​[docs] Add notification to the release of the new Time Picker UI (#37065) @joserodolfofreitas
- ​[docs] Specify "Material UI" (not "MUI") where appropriate throughout the docs (#37066) @samuelsycamore
- ​[docs] Use focus-visible instead of focus for Menu demos (#36847) @michaldudak
- ​[docs] Fix small regressions API pages (#36972) @oliviertassinari
- ​[docs] Handle a few docs-feedback (#36977) @oliviertassinari
- ​[docs] Fix anchor link in customization (#37004) @oliviertassinari
- ​[docs] Add a note about minimal required version for theme merging to the guides (#36973) @jakub-stastny
- ​[docs] smooth scrolling added for `back to top` (#37011) @PunitSoniME
- ​[docs] Remove `useFormControl` return values from demos page (#37036) @ZeeshanTamboli
- ​ [docs][base] Move styles to the bottom of demos code for `SwitchUnstyled` (#36720) @varunmulay22
- ​ [docs][base] Move styles to the bottom of demos code for `InputUnstyled` (#36724) @varunmulay22
- ​ [docs][base] Move styles to the bottom of demos code for `SliderUnstyled` (#36721) @varunmulay22
- ​ [docs][base] Move styles to the bottom of demos code for `Snackbar` (#36719) @varunmulay22
- ​[docs][base] Move styles to the bottom of demos code for `SelectUnstyled` (#36718) @varunmulay22
- ​[templates] Image not displayed in blog layout of React template. (#36991) @navedqb
- ​[website] Take the design role offline @oliviertassinari
- ​[website] Fix URL convention @oliviertassinari
- ​[docs] Turn off job banner on docs (#36080) @joserodolfofreitas

### Core

- ​[core] Allow type alias as well in hooks API docs generation (#37034) @ZeeshanTamboli

All contributors of this release in alphabetical order: @cherniavskii, @DavidBoyer11, @hbjORbj, @jakub-stastny, @joserodolfofreitas, @maxdestors, @michaldudak, @mj12albert, @mnajdova, @navedqb, @nicolas-ot, @oliviertassinari, @PunitSoniME, @sai6855, @samuelsycamore, @siriwatknp, @varunmulay22, @ZeeshanTamboli

## 5.12.2



_Apr 25, 2023_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- ⚠️ **[BREAKING CHANGE]** The `Unstyled` suffix has been removed from Base UI component names, including names of types and other related identifiers – a codemod script is provided to assist with the change.
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.12.2`

- ​[FormControl] Fix `filled` when value is set through `inputProps` (#36741) @sai6855
- ​[Slider] `onChange` handler should be called only when value has changed (#36706) @gitstart
- ​[Table] Fix `Sorting & Selecting` tables (#36898) @oliviertassinari

### `@mui/base@5.0.0-alpha.127`

#### Breaking changes

- ​[base] Remove unstyled suffix from Base components + Codemod script (#36873) @hbjORbj

  The `Unstyled` suffix has been removed from all Base UI component names, including names of types and other related identifiers.

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/src/v5.0.0/base-remove-unstyled-suffix.js) to help with the migration:

  ```bash
  npx @mui/codemod@latest v5.0.0/base-remove-unstyled-suffix <path>
  ```

#### Changes

- ​[codemod][base] Improve the removal of `component` prop codemod script (#36952) @hbjORbj
- ​[codemod][base] Write a migration script for removal of `component` prop from components (#36831) @hbjORbj
- ​[Base][useButton] Allow useButton params to be completely optional (#36922) @mj12albert

### `@mui/joy@5.0.0-alpha.77`

- ​[Joy][Chip] Chip button not showing up in Firefox browser (#36930) @TakhyunKim
- ​[Joy] Add `invertedColors` to Menu and Alert (#36975) @siriwatknp
- ​[joy][Select] Set focus visible on select options when navigating with arrow keys (#36689) @gitstart

### Docs

- ​[docs] Fix console error introduced by #36408 (#36980) @alexfauquette
- ​[docs] Add stray Joy UI documentation improvements (#36921) @danilo-leal
- ​[docs] Add Joy profile dashboard template (#36931) @siriwatknp
- ​[docs] Fix 404 links (#36969) @oliviertassinari
- ​[docs] Clarify when bundle size optimization is needed (#36823) @oliviertassinari
- ​[docs] Fix Chakra UI theme scoping typo (#36950) @mj12albert
- ​[docs] Add snackbar example using sonner (#36926) @PupoSDC
- ​[docs] Adjust the Material Icons page design and formatting (#36937) @danilo-leal
- ​[docs] Allows to customize menu with any icon (#36408) @alexfauquette
- ​[docs] Add info about passing ref to input element (#36913) @tomaskebrle
- ​[docs][material] Tabs API section cleanup (#36942) @mnajdova

### Core

- ​[core] Fix CI failure on `master` (#37016) @hbjORbj
- ​[typescript] Add the missing explicit component return types (#36924) @michaldudak
- ​[website] Update main data grid demo on X landing page (#37001) @cherniavskii
- ​[website] Design role updates (#36997) @danilo-leal
- ​[website] X component section improvements (#36598) @danilo-leal
- ​[website] Developer Advocate role filled @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @cherniavskii, @danilo-leal, @gitstart, @hbjORbj, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @PupoSDC, @sai6855, @siriwatknp, @TakhyunKim, @tomaskebrle

## 5.12.1



_Apr 17, 2023_

A big thanks to the 16 contributors who made this release possible. This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.12.1`

- ​[Autocomplete] Fix autocomplete left padding (#36649) @mj12albert
- ​[Button] Fix contained with inherit prop not adapting on dark mode (#34508) @jesrodri
- ​[FormControlLabel] Add `required` prop (#34207) @emlai
- ​[Tabs] Fix null reference in ScrollbarSize after unmounting (#36485) @rkdrnf
- ​[TextField] Fix type error when using `inputTypeSearch` class for `outlined` and `filled` inputs (#36740) @sai6855
- ​[ThemeProvider] Fix theme proptypes (#36852) @siriwatknp

### `@mui/system@5.12.1`

#### Breaking changes

- ​[Grid2] Replace context with `cloneElement` (#36399) @siriwatknp

  `Grid2` now uses `React.cloneElement` instead of React context for passing the spacing and columns to the next container. The change is close to how CSS flexbox behaves.

#### Changes

- ​[CssVarsProvider] Always generate new `css` object (#36853) @siriwatknp

### `@mui/base@5.0.0-alpha.126`

#### Breaking changes

- ​[base] Refactor the compound components building blocks (#36400) @michaldudak
  Components affected by the changes are:
  - Menu
    - `MenuUnstyledContext` is replaced by `MenuProvider`. The value to pass to the provider is returned by the `useMenu` hook.
    - MenuUnstyled's `onClose` prop is replaced by `onOpenChange`. It has the `open` parameter and is called when a menu is opened or closed
  - Select
    - `SelectUnstyledContext` is replaced by `SelectProvider`. The value to pass to the provider is returned by the `useSelect` hook.
    - `SelectUnstyled`'s popup is permanently mounted.
    - The `defaultOpen` prop was added to the SelectUnstyled. The open/close state can now be controlled or uncontrolled, as a `value`.
  - Tabs
    - `TabsContext` is replaced by `TabsProvider`. The value to pass to the provider is returned by the `useTabs` hook.
    - To deselect all tabs, pass in `null` to Tabs' `value` prop, instead of `false`. This is consistent with how Select works.
    - The `value` prop is still technically not mandatory on TabUnstyled and TabPanel, but when omitted, the contents of the selected tab panel will not be rendered during SSR.

### `@mui/joy@5.0.0-alpha.76`

- ​[Table][Joy] Replace uses of css selector `*-child` to `*-of-type` (#36839) @keyvanm

### Docs

- ​ [docs][base] Move styles to the bottom of demos code for `BadgeUnstyled` (#36723) @varunmulay22
- ​[docs][base] Mention that the hook does not accept any parameters in the `Parameters` section of the API docs (#36773) @ZeeshanTamboli
- ​[docs][base] Move styles to the bottom of demos code for `ModalUnstyled` (#36580) @gitstart
- ​[docs][base] Move styles to the bottom of demos code for `Tabs` (#36577) @gitstart
- ​[docs][base] Move styles to the bottom of demos code for `Popper` (#36578) @gitstart
- ​[docs][base] Move styles to the bottom of demos code for `TablePagination` (#36593) @gitstart
- ​[docs] Remove the incorrect info about useButton's ref parameter (#36883) @michaldudak
- ​[docs] Sync <Stack> between projects (#36785) @oliviertassinari
- ​[docs] Add guides to overriding component structure in Base UI and Joy UI docs (#34990) @samuelsycamore
- ​[docs] Content changed from 'row' to 'orientation=horizontal' (#36858) @navedqb
- ​[docs][Joy] `component`, `slots`, `slotProps` must be visible in Prop table in API docs (#36666) @hbjORbj
- ​[docs][Select] Fix duplicate ID in small size Select demo (#36792) @sai6855

### Core

- ​[core] Use glob to find the test files in parseTest (#36305) @flaviendelangle
- ​[core] Fix minor SEO issues @oliviertassinari
- ​[website] Fix visual bug appbar (#36875) @oliviertassinari

All contributors of this release in alphabetical order: @emlai, @flaviendelangle, @gitstart, @hbjORbj, @jesrodri, @keyvanm, @michaldudak, @mj12albert, @navedqb, @oliviertassinari, @rkdrnf, @sai6855, @samuelsycamore, @siriwatknp, @varunmulay22, @ZeeshanTamboli

## 5.12.0



_Apr 11, 2023_

A big thanks to the 9 contributors who made this release possible. Here are some highlights ✨:

- 💫 Added [theme scope](https://mui.com/material-ui/guides/theme-scoping/) for using multiple design systems (#36664) @siriwatknp
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/system@5.12.0`

- ​[system] Introduce theme scope for using multiple design systems (#36664) @siriwatknp

### `@mui/base@5.0.0-alpha.125`

- ​[PopperUnstyled] Do not merge internal `ownerState` with `ownerState` from props (#36599) @hbjORbj

### `@mui/joy@5.0.0-alpha.75`

- ​[Joy] Add tests for slots/slotProps for all components (#36828) @hbjORbj
- ​[Joy] Support `slots`/`slotsProps` for every component (components with only root slot too) (#36540) @hbjORbj

### Docs

- ​[docs][Backdrop] Improvements to the docs (#34244) @alirezahekmati
- ​[docs] Fix base API redirects (#36833) @mnajdova
- ​[docs] Improve perf on tab APIs (#36832) @mnajdova
- ​[docs] Revert CircularProgress component text to be proper noun instead (#36837) @ZeeshanTamboli
- ​[docs] Simplify language redirection @oliviertassinari
- ​[docs] Add missing `readOnly` state class in the list (#36788) @ZeeshanTamboli
- ​[docs] Improve side nav scroll into view (#36732) @oliviertassinari
- ​[docs][base & joy] Display "Classes" Section in API docs (#36589) @hbjORbj
- ​[docs] Fix 100+ typos throughout the Material UI docs (#36194) @Lioness100
- ​[docs] Change "coming soon" chip color (#36786) @danilo-leal
- ​[docs][Joy] Fix wrong prop descriptions (#36826) @hbjORbj
- ​[docs][material] Highlight global state classes in CSS table in API docs (#36633) @hbjORbj
- ​[examples] Fix `SliderUnstyled` slots `key` name (#36830) @sai6855
- ​[Tabs] Improve useTab() API page (#36725) @oliviertassinari

### Core

- ​[core] Increase margin to scroll @oliviertassinari
- ​[core] Replace MUI Base with Base UI (#36716) @mnajdova
- ​[website] Fix broken career website links @oliviertassinari
- ​[website] Fix backlinks to homepage (#36801) @oliviertassinari
- ​[website] Tweaks to the Designer position ad (#36771) @danilo-leal

All contributors of this release in alphabetical order: @alirezahekmati, @danilo-leal, @hbjORbj, @Lioness100, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @ZeeshanTamboli

## 5.11.16



_Apr 4, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 💅 Added tabs on API pages of Base UI to switch between component and hook references (#35938) @mnajdova
- 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.16`

- [Autocomplete] Listen for click on the root element (#36369) @sai6855
- [Autocomplete] Fix navigation issue on mouse hover (#35196) @sai6855
- [Card] Fix Card focus effect overflowing parent card (#36329) @mj12albert
- [Grid] Missing slot (#36765) @siriwatknp
- [Select] Make error part of the `ownerState` to enable overriding styles with it in theme (#36422) @gitstart
- [Slider] Fix ValueLabel UI issues comes when size="small" and orientation="vertical (#36738) @yushanwebdev

### `@mui/icons-material@5.11.16`

- [icons] Do not ignore popular icons (#36608) @michaldudak

### `@mui/joy@5.0.0-alpha.74`

- [Joy] Add `ModalOverflow` component (#36262) @siriwatknp
- [Joy] Fix `Checkbox` custom color prop type warning (#36691) @amal-qb

### Docs

- [docs][base] Add return type for `useFormControlUnstyledContext` hook (#36302) @HeVictor
- [docs][base] Move styles to the bottom of demos code for `FormControl` (#36579) @gitstart
- [docs][base] Move styles to the bottom of demos code for `Menu` (#36582) @gitstart
- [docs][base] Move styles code to bottom in the `Button` demos (#36590) @sai6855
- [docs][base] Show components & hooks API on the components page (#35938) @mnajdova
- [docs] Describe slotProps in MUI Base customization doc (#36206) @michaldudak
- [docs] Fix double API page redirection (#36743) @oliviertassinari
- [docs] Remove hash property and leverage pathname (#36764) @siriwatknp
- [docs] Introduce markdown permalink to source (#36729) @oliviertassinari
- [docs] Tabs API add slots section (#36769) @mnajdova
- [docs] Update feedbacks management on slack (#36705) @alexfauquette
- [docs] Fix Joy UI URL to tokens (#36742) @oliviertassinari
- [docs] Add toggle-button coming soon page (#36618) @siriwatknp
- [docs] Fix typo on the Joy UI theme builder (#36734) @danilo-leal
- [docs] Fix small typo (#36727) @RBerthier
- [docs] Fix Joy UI template broken image loading @oliviertassinari
- [docs] Hide the default API column if it's empty (#36715) @mnajdova
- [docs] Update Material UI Related Projects page (#34203) @viclafouch
- [docs] Revise Joy UI "Circular Progress" page (#36126) @LadyBluenotes
- [docs] Revise Joy UI "Radio" page (#35893) @DevinCLane
- [docs] Support Google Analytics 4 (#36123) @alexfauquette
- [docs][material] Keep consistency in description of classes (#36631) @hbjORbj
- [docs] Remove redundant files and fix regression (#36775) @ZeeshanTamboli

### Core

- [blog] Compress images @oliviertassinari
- [core] Remove unused token (#36722) @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @amal-qb, @danilo-leal, @DevinCLane, @gitstart, @hbjORbj, @HeVictor, @LadyBluenotes, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @RBerthier, @sai6855, @siriwatknp, @viclafouch, @yushanwebdev

## 5.11.15



_Mar 28, 2023_

A big thanks to the 10 contributors who made this release possible. We have one big highlight this week ✨:

- @siriwatknp made a [Theme Builder](https://mui.com/joy-ui/customization/theme-builder) for Joy UI 🎨 (#35741)

### `@mui/material@5.11.15`

- [Chip] Fix error when theme value is a CSS variable (#36654) @siriwatknp
- [Grid2] Support dynamic nested columns (#36401) @siriwatknp

### `@mui/system@5.11.15`

- [system] Enable regressions tests & fix regressions (#36611) @mnajdova
- [Stack] Add `useFlexGap` prop (#36404) @siriwatknp

### `@mui/base@5.0.0-alpha.122`

- [Autocomplete] Update `autoSelect` prop description (#36280) @sai6855
- [TablePagination][base] Improve `actions` type in `slotProps` (#36458) @sai6855
- [Base] Add JSDoc comments for classes of Base components (#36586) @hbjORbj
- [useSlider][base] Add API docs for the hook parameters and return type (#36576) @varunmulay22

### `@mui/joy@5.0.0-alpha.73`

- [Joy] Miscellaneous fixes (#36628) @siriwatknp
- [Joy] Add palette customizer (#35741) @siriwatknp

### Docs

- Revert "[docs] Use `theme.applyDarkStyles` for the rest of the docs" (#36602) @mnajdova
- [blog] Improvements on v6 announcement blog (#36505) @joserodolfofreitas
- [docs] Add `Snackbar` coming soon page (#36604) @danilo-leal
- [docs] Add accordion coming soon page (#36279) @siriwatknp
- [docs] Fix palette customizer theme augmentation (#36629) @siriwatknp
- [docs] Finish migration away from https://reactjs.org/ @oliviertassinari
- [docs] Remove duplicated slot descriptions (#36621) @hbjORbj
- [docs] Fix broken example link (#36607) @mnajdova
- [docs] Use `theme.applyDarkStyles` (#36606) @siriwatknp
- [docs] Improve API for theme default prop (#36490) @oliviertassinari
- [docs][Table] Refactor `Sorting & Selecting` table demo (#33236) @IFaniry

### Core

- [core] Use Netlify function for feedback management (#36472) @alexfauquette

All contributors of this release in alphabetical order: @alexfauquette, @danilo-leal, @hbjORbj, @IFaniry, @joserodolfofreitas, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @varunmulay22

## 5.11.14



_Mar 21, 2023_

A big thanks to the 15 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.14`

- [Breadcrumbs] Add ability to change icon used in `BreadcrumbCollapsed` through slots (#33812) @pratikkarad
- [Stepper] Add aria-current to active StepButton (#36526) @michalak111
- [TabScrollButton] Add ability to change left and right icons (#33863) @pratikkarad
- [ListItemButton] Respect LinkComponent (#34159) @zaverden
- [l10n] Add Central Kurdish (ku-CKB) locale (#36592) @HediMuhamad

### `@mui/system@5.11.14`

- [system] Fix sx prop regression for fontWeight values (#36543) @mnajdova

### `@mui/base@5.0.0-alpha.121`

- [docs][base] Improve the Slots Table in API docs (#36330) @hbjORbj

### `@mui/joy@5.0.0-alpha.72`

- [Joy] Ensure new CSS variable naming is everywhere (#36460) @hbjORbj
- [Menu][joy] Classname listbox is missing (#36520) @hbjORbj
- [Joy] Fix `--List-decorator*` vars (#36595) @siriwatknp

### `@mui/lab@5.0.0-alpha.124`

- [Masonry] Include Masonry in theme augmentation interface (#36533) @hbjORbj

### Docs

- [blog] Post blog about Chamonix retreat to the website (#36517) @mikailaread
- [blog] Fix image layout shift (#36522) @oliviertassinari
- [docs] Use `theme.applyDarkStyles` for the rest of the docs (#36161) @siriwatknp
- [docs] Fix 301 and 404 links (#36555) @oliviertassinari
- [docs] Keep slot code order in API docs (#36499) @oliviertassinari
- [docs] Missing className on Migrating from JSS example (#36536) @gabrielnafuzi
- [docs] Fix function name for Joy templates (#36512) @hbjORbj
- [docs] Add multiline Chip example (#36437) @dav1app
- [docs] Add a new gold sponsor (#36518) @hbjORbj
- [docs][joy] Improve the Slots Table in API docs (#36328) @hbjORbj
- [docs] Fix virtualElement demo for Popper (#36320) @sai6855
- [docs] Fix typo in API docs (#36388) @RomanHotsiy
- [docs] Ensure classname displayed under Slots section in API docs exists (#36539) @hbjORbj
- [docs][joy] Build TS versions for Modal component demos (#36385) @varunmulay22
- [docs][joy] Build TS versions for Menu component demos (#36383) @varunmulay22
- [docs][joy] Build TS versions for Switch component demos (#36379) @varunmulay22
- [docs] Remove `shouldSkipGeneratingVar` usage (#36581) @siriwatknp
- [docs][material] Update Table's demo to show pointer cursor on clickable rows (#36546) @varunmulay22
- [website] Designer role changes (#36528) @danilo-leal
- [website] Open Head of Operations role (#36501) @oliviertassinari
- [website] Limit sponsors description to two rows @oliviertassinari

### Core

- [core] Fix CI @oliviertassinari
- [core] Fix blank line @oliviertassinari
- [website] Simplify internal ops @oliviertassinari

All contributors of this release in alphabetical order: @danilo-leal, @dav1app, @gabrielnafuzi, @hbjORbj, @HediMuhamad, @michalak111, @mikailaread, @mnajdova, @oliviertassinari, @pratikkarad, @RomanHotsiy, @sai6855, @siriwatknp, @varunmulay22, @zaverden

## 5.11.13



_Mar 14, 2023_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- @michaldudak added an option for [disabling the generation](https://mui.com/base-ui/getting-started/customization/#disabling-default-css-classes) of the default classes in Base UI (#35963)
- other 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.13`

- ​[core] Bump Base UI's version in Material UI (#36492) @hbjORbj
- ​[material] Export `shouldSkipGeneratingVar` from Material UI (#36489) @siriwatknp
- ​[Typography] Apply font properties to typography inherit variant (#33621) @oyar99

### `@mui/base@5.0.0-alpha.121`

- ​[base] Disable classes generation via a context (#35963) @michaldudak
- ​[useMenu][base] Add return interface for useMenu hook (#36376) @HeVictor
- ​[useBadge] Add interface for the return value (#36042) @skevprog
- ​[useMenuItem] Add explicit return type (#36359) @rayrw
- ​[useTabs] Add explicit return type (#36047) @sai6855

### Docs

- ​[blog] Update fields behavior on date pickers blog post (#36480) @joserodolfofreitas
- ​[docs] Info markdown not rendering in Contributing Guide README (#36487) @hbjORbj
- ​[docs] Remove 301 redirection to MUI X lab migration @oliviertassinari
- ​[docs] Fix a grammar error (#36486) @hbjORbj
- ​[docs] Add blog post notification for v6 release (#36446) @joserodolfofreitas
- ​[docs] Update link to v5 docs (#36421) @m4theushw
- ​[docs] Fix 404 in the API page links (#36419) @oliviertassinari
- ​[docs][joy] Error in the exemplary Codesandbox of using Material UI and Joy UI together (#36462) @hbjORbj
- ​[examples] Refactor to have better types in the Next.js + TypeScript examples (#36355) @erikian
- ​[website] Fix layout shift when loading /blog/mui-x-v6/ @oliviertassinari
- ​[website] Update stats (#36477) @hrutik7

All contributors of this release in alphabetical order: @erikian, @hbjORbj, @HeVictor, @hrutik7, @joserodolfofreitas, @m4theushw, @michaldudak, @oliviertassinari, @oyar99, @rayrw, @sai6855, @siriwatknp, @skevprog

## 5.11.12



_Mar 6, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- @michaldudak added the multiselect functionality to SelectUnstyled (#36274)
- @mnajdova updated `extendTheme` so that it can generate CSS variables with default values. This means that the `CssVarsProvider` is no longer required for Joy UI when using the default theme (#35739)
- other 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.12`

- ​[Autocomplete] Fix list scrolls to the top when new data is added on touch devices (#36231) @SaidMarar
- ​[Autocomplete] Add `Mui-expanded` class (#33312) @Osman-Sodefa
- ​[Dialog] Use the `id` prop provided to the `DialogTitle` component (#36353) @Kundan28
- ​[Menu] Fix Menu Paper styles overriding in the theme (#36316) @Paatus

### `@mui/lab@5.0.0-alpha.122`

- ​[TreeView] Fix Tree View inside shadow root crashes (#36225) @NoFr1ends

### `@mui/system@5.11.12`

#### Breaking changes

- ​[core] Generate vars in `extendTheme` (#35739) @mnajdova

  The `shouldSkipGeneratingVar` prop was moved from the `createCssVarsProvider`'s option to the `theme`. If the default theme does not use `extendTheme` from Material UI or Joy UI, it needs to be wrapped inside `unstable_createCssVarsTheme` - a util exported from the MUI System. Below is an example of how the migration should look like:

  ```diff
   import {
      unstable_createCssVarsProvider as createCssVarsProvider,
  +   unstable_createCssVarsTheme as createCssVarsTheme,
   } from '@mui/system';

   const { CssVarsProvider } = createCssVarsProvider({
  -  theme: {
  +  theme: createCssVarsTheme({
       colorSchemes: {
         light: {
           typography: {
             htmlFontSize: '16px',
             h1: {
               fontSize: '1rem',
               fontWeight: 500,
             },
           },
         },
       },
  +    shouldSkipGeneratingVar: (keys) => keys[0] === 'typography' && keys[1] === 'h1',
  -  },
  +  }),
     defaultColorScheme: 'light',
  -  shouldSkipGeneratingVar: (keys) => keys[0] === 'typography' && keys[1] === 'h1',
   });
  ```

  Or you can define it directly in the theme prop:

  ```diff
   <CssVarsProvider
  +   theme={createCssVarsProvider({
  +    // other theme keys
  +    shouldSkipGeneratingVar: (keys) => keys[0] === 'typography' && keys[1] === 'h1'
  +   })} />
  ```

  This breaking change **only** affects experimental APIs

### `@mui/base@5.0.0-alpha.120`

#### Breaking changes

- ​[Select][base] Add the multiselect functionality to SelectUnstyled (#36274) @michaldudak

  The MultiSelectUnstyled was removed. The `SelectUnstyled` component with the `multiple` prop should be used instead. Additionally, the SelectUnstyledProps received a second generic parameter: `Multiple extends boolean`. If you deal with strictly single- or multi-select components, you can hard-code this parameter to `false` or `true`, respectively. Below is an example of how the migration should look like:

  ```diff
  -import MultiSelectUnstyled from '@mui/base/MultiSelectUnstyled';
  +import SelectUnstyled from '@mui/base/SelectUnstyled';

   export default App() {
  -return <MultiSelectUnstyled />
  +return <SelectUnstyled multiple />
   }
  ```

#### Changes

- ​[useSnackBar] Add explicit return type (#36052) @sai6855
- ​[useMenu] Fix `import type` syntax (#36411) @ZeeshanTamboli
- ​[useSwitch] Add explicit return type (#36050) @sai6855

### `@mui/joy@5.0.0-alpha.70`

#### Breaking changes

- ​[Joy] Change CSS variables naming for components (#36282) @hbjORbj

  Joy UI has new naming standards of the CSS variables for its components. Below is an example of how the migration should look like:

  ```diff
  -<List sx={{ py: 'var(--List-divider-gap)' }}>
  +<List sx={{ py: 'var(--ListDivider-gap)' }}>
  -<Switch sx={{ '--Switch-track-width': '40px' }}>
  +<Switch sx={{ '--Switch-trackWidth': '40px' }}>
  ```

#### Changes

- ​[Autocomplete][joy] Add disabled class to the popup indicator (#36397) @hbjORbj
- ​[Joy] Fix broken loading button in Safari (#36298) @Kuba429

### Docs

- ​[docs][joy] Clarify when `CssVarsProvider` is required (#36410) @mnajdova
- ​MUI X v6 release announcement (#36398) @joserodolfofreitas
- ​[docs] Add instructions for deploying docs without a release (#36301) @cherniavskii
- ​[docs] Fix 301 redirections on the docs @oliviertassinari
- ​[docs] Update MUI X banner to reflect stable release (#36354) @MBilalShafi
- ​[docs] Clarify the future plan for integrating Base UI in Material UI (#36365) @mnajdova
- ​[docs] Improve visual look of loose lists (#36190) @oliviertassinari
- ​[docs] Fix @mui/styles example links (#36331) @oliviertassinari
- ​[docs][joy] Build TS versions for List component demos (#36382) @sai6855
- ​[docs][joy] Build TS versions for Radio component demos (#36406) @sai6855
- ​[docs][joy] Build TS versions for Checkbox component demos (#36381) @sai6855
- ​[docs][joy] Build TS versions for Select component demos (#36380) @sai6855
- ​[docs][joy] Build TS versions for Typography component demos (#36378) @varunmulay22
- ​[docs][joy] Add TypeScript demos for `Divider` (#36374) @sai6855
- ​[docs][joy] Build TS versions for Textarea component demos (#36371) @varunmulay22
- ​[docs][joy] Build TS versions for Link component demos (#36366) @hbjORbj

### Core

- ​Revert "Bump rimraf to ^4.1.3" (#36420) @mnajdova
- ​[core] Fix test utils types and external `buildApiUtils` usage issues (#36310) @LukasTy
- ​[test] Remove duplicate `combobox` role queries in Autocomplete tests (#36394) @ZeeshanTamboli
- ​[website] Clarify redistribution @oliviertassinari
- ​[website] Sync /about page (#36334) @oliviertassinari

All contributors of this release in alphabetical order: @cherniavskii, @hbjORbj, @joserodolfofreitas, @Kuba429, @Kundan28, @LukasTy, @MBilalShafi, @michaldudak, @mnajdova, @NoFr1ends, @oliviertassinari, @Osman-Sodefa, @Paatus, @sai6855, @SaidMarar, @varunmulay22, @ZeeshanTamboli

## 5.11.11



_Feb 27, 2023_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 📚 added API documentation for the slots in Base UI and Joy UI by @hbjORbj, for e.g. [SliderUnstyled API](https://mui.com/base-ui/api/slider-unstyled/#slots)
- other 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.11`

- ​[Autocomplete] Adds `sx` prop to `ListboxProps` type (#36243) @sai6855
- ​[material] Add global CSS class for `readOnly` prop (#32822) @jrparish
- ​[Stack][material] Use createStack from MUI System (#33795) @mnajdova
- ​[Select] Fix incorrect selecting of first element (#36024) @michaldudak
- ​[Slider] Miscellaneous improvements (#35941) @ZeeshanTamboli
- ​[Slider] Remove unnecessary `data-focusvisible` attribute (#36091) @ZeeshanTamboli
- ​[Snackbar] Replace component logic with `useSnackbar` hook (#36272) @ZeeshanTamboli
- ​[TextField] Fix floating label position (#36246) @oliviertassinari
- ​[TextField] Fix floating label position (#36288) @oliviertassinari

### `@mui/base@5.0.0-alpha.119`

#### Breaking changes

- ​[base] Remove `classes` prop from the Base components that have it (#36157) @hbjORbj
  These are the components affected by this change: ModalUnstyled, SliderUnstyled, TablePaginationUnstyled and TablePaginationActionsUnstyled.
  You can replace the `classes` prop by providing the class name prop directly to the prop via `slotProps`. Below is an example of how the migration should look like:

  ```diff
   <TablePaginationUnstyled
  -   classes={{ toolbar: 'toolbar-classname', menuItem: 'menuItem-classname' }}
  +   slotProps={{ toolbar: { className: 'toolbar-classname' }, menuItem: { className: 'menuItem-classname'}}}
   />
  ```

- ​[base] Move hooks to their own directories (#36235) @hbjORbj
  Base hooks (e.g., `useSelect`) are no longer exported from `{Component}Unstyled` directories and instead they have their own directories.
  Below is an example of how the migration should look like:

  ```diff
  -import { useBadge } from '@mui/base/BadgeUnstyled';
  +import useBadge from '@mui/base/useBadge';
  ```

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#base-hook-imports) to help with the migration.

#### Changes

- ​[Autocomplete] Add docs interface for the hook (#36242) @HeVictor
- ​[MenuUnstyled] Remove extra useMemo (#36265) @ivp-dev
- ​[base] Export all slot prop overrides interfaces (#36323) @michaldudak

### `@mui/codemod@5.11.11`

- ​[base] Codemod for hook directory migration (#36295) @hbjORbj

### `@mui/joy@5.0.0-alpha.69`

- ​[Joy] Able to remove default tokens from theme types (#36006) @siriwatknp
- ​[Joy] Fix modal dialog overflow viewport (#36103) @siriwatknp
- ​[Joy] Select popup should have max-height (#36156) @Vivek-Prajapatii
- ​[Joy] Fix `ListDivider` to change semantic based on `List` (#36266) @siriwatknp

### Docs

- ​[docs][base] List slots in API documentation (#36104) @hbjORbj
- ​[docs] Add missing sandbox adapter deps resolving (#36291) @LukasTy
- ​[docs] Allow to pass navigation bar banner from outside (#36299) @MBilalShafi
- ​[docs] Fix code on the Working with Tailwind CSS guide (#36090) @mnajdova
- ​[docs] Remove See Slots Section text from Material UI slots description (#36284) @hbjORbj
- ​[docs] Fix emotion warning `:first-child` (#36263) @siriwatknp
- ​[docs][joy] Improve the descriptions of props in API docs (#36307) @hbjORbj
- ​[docs][joy] List slots in API documentation (#36271) @hbjORbj
- ​[docs][joy] Build API documentations (#36008) @hbjORbj
- ​[examples] Update Next.js examples to use built-in font (#36315) @Juneezee
- ​[examples] Update curl link in `material-ui-nextjs-ts-v4-v5-migration` example README (#36321) @ZeeshanTamboli
- ​[examples] Convert Next.js \_document class components to function components (#36109) @ossan-engineer

### Core

- ​[Rating] Add a comment in Rating component to use `readOnly` state class (#36357) @ZeeshanTamboli
- ​[website] Fix broken links to role levels (#36333) @oliviertassinari
- ​[website] Sync gold sponsors (#36312) @oliviertassinari

All contributors of this release in alphabetical order: @hbjORbj, @HeVictor, @ivp-dev, @jrparish, @Juneezee, @LukasTy, @MBilalShafi, @michaldudak, @mnajdova, @oliviertassinari, @ossan-engineer, @sai6855, @siriwatknp, @Vivek-Prajapatii, @ZeeshanTamboli

## 5.11.10



_Feb 20, 2023_

A big thanks to the 11 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.10`

- ​[Avatar] Fix ownerState usage with styleOverrides when fallback is used (#36228) @sai6855
- ​[Badge][material] Replace `BadgeUnstyled` with `useBadge` hook (#36158) @hbjORbj
- ​[Switch] Fix DOM warning when `type` isn't `checkbox` or `radio` (#36170) @dani-mp
- ​[TextareaAutosize] Convert code to TypeScript (#35862) @sai6855
- ​[useMediaQuery] Fix behavior of noSsr with React 18 (#36056) @oliviertassinari

### `@mui/joy@5.0.0-alpha.68`

- ​[Joy] Add `zIndex` to theme (#36236) @siriwatknp
- ​[Joy] Remove transition from all components (#35952) @hbjORbj

### Docs

- ​[docs][base] Fix base Input demos for Safari (#36213) @mj12albert
- ​[docs] Fix 301 links @oliviertassinari
- ​[docs] Fix modal transition demos (#36137) @oliviertassinari
- ​[docs] Update links to pt examples (#36237) @Aleff13
- ​[docs] Update custom Typography variants example (#36185) @mj12albert
- ​[docs] Change markdown numbering syntax (#36187) @mj12albert
- ​[docs] Fix switch alignment in `Disabled tree items` section in Tree View docs (#36217) @PunitSoniME
- ​[docs] Standardize example names (#36112) @samuelsycamore
- ​[docs] Fix typo @oliviertassinari
- ​[docs] Fix markdown table alignments (#36136) @oliviertassinari
- ​[docs] Small color tweaks to the docs search bar (#36160) @danilo-leal
- ​[docs][joy] Update class name prefixes in the `Anatomy` section (#36210) @ZeeshanTamboli

### Core

- ​[core] Migrate nprogress to emotion (#36181) @siriwatknp
- ​[core] Enforce namespace import for ReactDOM (#36208) @mj12albert
- ​[core] Fix deploy preview links (#36203) @siriwatknp

All contributors of this release in alphabetical order: @Aleff13, @dani-mp, @danilo-leal, @hbjORbj, @mj12albert, @oliviertassinari, @PunitSoniME, @sai6855, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.11.9



_Feb 14, 2023_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🐛 @rangoo94, @sai6855, and @michaldudak fixed a couple of bugs in the Autocomplete component (#36116, #35640, #36076, #36088)
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.11.9`

- [AppBar] Fix joinVars() not handling undefined (#36128) @donaldnevermore
- [Autocomplete] Fix tag removal regression (#36116) @michaldudak
- [Autocomplete] Correct padding of filled Autocomplete (#35640) @michaldudak
- [Grid][Stack] classNames prefixed with Mui (#36167) @sai6855

### `@mui/styled-engine@5.11.9`

- [StyledEngineProvider] Fix issue with cache not being defined (#36162) @mnajdova

### `@mui/joy@5.0.0-alpha.67`

- [Joy] Add order dashboard template (#36081) @siriwatknp
- [Joy] Remove classes prop from the components that have it (#36159) @hbjORbj
- [Joy] Miscellaneous fixes (#36163) @siriwatknp

### `@mui/base@5.0.0-alpha.118`

- [base] Override the types of `slotProps` per slot (#35964) @hbjORbj
- [Select][base] Prevent unnecessary rerendering of Select options (#35946) @michaldudak
- [Select][base] Update the generated docs (#36183) @michaldudak
- [useAutocomplete] Pass only valid values for the getOptionLabel prop (#36088) @rangoo94
- [useAutocomplete] Fix `useAutocomplete` disabled prop not disabling the input (#36076) @sai6855
- [useInput] Add return value interface (#36036) @Shorifpatwary
- [UseTabPanel] Add explicit return type (#36053) @Shorifpatwary
- [useTabsList] Add explicit return type (#36048) @sai6855
- [Tab] Add explicit return type to useTab (#36046) @sai6855

### `@mui/material-next@6.0.0-alpha.75`

- [Material You] Use `md` as a CSS var prefix (#36177) @siriwatknp

### Docs

- [docs] Fix the prop type regression on the API pages (#36168) @mnajdova
- [docs] Fix virtualized table column resizing (#36066) @petyosi
- [docs] Fix react-spring demos (#36023) @oliviertassinari
- [docs] Fix classname mismatch on Joy docs (#36127) @siriwatknp
- [docs] Fix typo in the released version of @mui/styled-engine (#36121) @m4theushw
- [docs] Fix demos showing TypeScript instead of JavaScript (#35850) @mj12albert
- [docs] Update release instructions (#36113) @mj12albert
- [docs] Rename `v6-alpha` to `v6-next` in navigation (#36102) @LukasTy
- [docs] Revise Joy UI "Input" page (#35970) @LadyBluenotes
- [docs] Revise Joy UI "Typography" page (#35868) @LadyBluenotes

### Examples

- [examples][vitejs] Load Roboto font (#35678) @oliv37

### Core

- [blog] Fix the look and feel of the media description (#36069) @oliviertassinari
- [core] Add default preview url (#36118) @siriwatknp
- [core] Migrate all the internals exported by `tests/utils/index.js` to TypeScript (#35382) @flaviendelangle
- [core] Convert the waterfall module to an internal package (#35323) @michaldudak
- [website] Fix homepage MD theme demo (#36027) @oliviertassinari
- [website] Revise the Lead Designer role job ad (#35912) @danilo-leal
- [POC] Add deploy preview to PR body (#35995) @siriwatknp

All contributors of this release in alphabetical order: @danilo-leal, @donaldnevermore, @flaviendelangle, @hbjORbj, @LadyBluenotes, @LukasTy, @m4theushw, @michaldudak, @mj12albert, @mnajdova, @oliv37, @oliviertassinari, @petyosi, @rangoo94, @sai6855, @Shorifpatwary, @siriwatknp

## 5.11.8



_Feb 7, 2023_

A big thanks to the 14 contributors who made this release possible. Here are some highlights ✨:

- @siriwatknp added a new [`Sign In` template](https://mui.com/joy-ui/getting-started/templates/sign-in-side/) to Joy UI (#36019)
- 📚 Documentation improvements and 🐛 bug fixes as usual

### `@mui/material@5.11.8`

- ​[FormLabel] Export `FormLabelOwnProps` from `FormLabel` to fix type error (#36057) @yoskeoka

### `@mui/joy@5.0.0-alpha.66`

- ​[Joy] Miscellaneous fixes (#36073) @siriwatknp
- ​[Joy] Add sign-in side template (#36019) @siriwatknp
- ​[Joy] Add missing `Table` export from root (#36010) @sai6855

### `@mui/system@5.11.8`

- ​[System] Fix nested grid v2 (#35994) @siriwatknp

### `@mui/styled-engine@5.11.8`

- ​[styled-engine] Create cache only if `document` is available (#36001) @m4theushw

### Docs

- ​[blog] Fix dark mode support (#35969) @oliviertassinari
- ​[docs] Add banner pointing to "Whats new" in MUI X page (#36074) @joserodolfofreitas
- ​[docs] Revert unintended change @oliviertassinari
- ​[docs] [Joy] Fixed a typo in `customizing theme tokens` (#36067) @badalsaibo
- ​[docs] Improve inline preview's information (#35974) @oliviertassinari
- ​[docs] Fix wrong v5 migration instructions (#36022) @oliviertassinari
- ​[docs] Fix autocomplete render group key warning in the demo (#36025) @chuanyu0201
- ​[docs] Add hooks API pages for Base UI (#35828) @mnajdova
- ​[docs] Fix grammar typo (#36016) @alexownejazayeri
- ​[docs][joy] Add JSDoc for the `AutocompleteProps` type (#36039) @ArthurPedroti

### Core

- ​[core] Make it easier to find who is importing specific files (#35896) @oliviertassinari
- ​[core] Fix SEO redirections issues (#36041) @oliviertassinari
- ​[core] Fix a typo in the comment in setup test files (#36014) @ZeeshanTamboli
- ​[typescript] Explicitly define the component return types (#36013) @michaldudak
- ​[website] Fix layout shift (#36070) @oliviertassinari
- ​[website] Revise the Lead Designer role job ad (v1) (#36068) @oliviertassinari
- ​[website] Add Albert to the about page (#35954) @mj12albert

All contributors of this release in alphabetical order: @alexownejazayeri, @ArthurPedroti, @badalsaibo, @chuanyu0201, @joserodolfofreitas, @m4theushw, @michaldudak, @mj12albert, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @yoskeoka, @ZeeshanTamboli

## 5.11.7



_Jan 31, 2023_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- @siriwatknp added `Table` component to Joy UI (#35872)
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.11.7`

- ​[Autocomplete] Prevent reset scroll position when new options are added (#35735) @sai6855
- ​[CssVarsProvider] Skip `unstable_sxConfig` variables (#35932) @siriwatknp
- ​[InputLabel] Add missing `component` type (#35852) @sai6855
- ​[Tooltip] Fix tooltip position (#35909) @marktoman

### `@mui/base@5.0.0-alpha.116`

- ​[ListboxUnstyled] Fix option state highlighted to prevent unnecessary focus (#35838) @SaidMarar

### `@mui/joy@5.0.0-alpha.65`

#### Breaking changes

- ​[Joy] Replace `Joy[Component]` classname with `Mui[Component]` classname for all slots of components (#35718) @hbjORbj

  - Renames the classname prefix of all Joy UI components from `'Joy'` to `'Mui'`.

  ```diff
   <Button
  -sx={{ '& .JoyButton-root': { '& .JoyButton-button': {} } }}
  +sx={{ '& .MuiButton-root': { '& .MuiButton-button': {} } }}
   />
  ```

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#joy-rename-classname-prefix) to help with the migration.

- ​[Joy] Replace `row` prop with `orientation` prop in all Joy UI components (#35721) @hbjORbj

  - Transforms `row` prop to `orientation` prop across `Card`, `List` and `RadioGroup` components in Joy UI.

  ```diff
   <Card
  -row
  +orientation={"horizontal"}
   />
  ```

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#joy-rename-row-prop) to help with the migration.

#### Changes

- ​[Joy][Checkbox] Display correct icon in checkbox (#35943) @sai6855
- ​[Joy] Add `Table` component (#35872) @siriwatknp
- ​[Joy] Miscellaneous fixes (#35953) @siriwatknp

### Docs

- ​[blog] Add RSS feed (#35777) @gorjiali
- ​[blog] Prevent horizontal scroll on blog posts (#35948) @oliviertassinari
- ​[docs] Add to codemod README about an added script (#35999) @hbjORbj
- ​[docs] Add a warning about to clear the local storage when `defaultMode` changes (#35937) @ArthurPedroti
- ​[docs] Fix Joy UI variables playground (#35950) @siriwatknp
- ​[docs] Fix typos in base components docs (#35985) @HeVictor
- ​[docs] Fix event's label reported to GA (#35930) @oliviertassinari
- ​[docs] Standardize "no longer" / "not documented" callouts in Material UI docs (#35957) @samuelsycamore
- ​[docs] Revise and expand Joy UI Checkbox doc (#35817) @samuelsycamore
- ​[docs] Add docs notification to Date and Time Pickers revamped (#35935) @joserodolfofreitas
- ​[docs] Update community theme builder to forked updated one (#35928) @idebeijer
- ​[docs] Add Joy default theme viewer (#35554) @siriwatknp
- ​[docs][joy] Fixed a typo in `Using icon libraries` page (#35989) @badalsaibo
- ​[docs][joy] Removed Badge info from Chip docs (#35955) @Vivek-Prajapatii
- ​[docs][system] Fix border color of Boxes in demos of `Configure the sx prop` page in dark mode (#35961) @ZeeshanTamboli

### Core

- ​[core] Boolean props always have a default value of `false` in API docs (#35913) @hbjORbj
- ​[core] Improve types for usePreviousProps (#35833) @sai6855
- ​[website] Fix 404 link to store (#35973) @oliviertassinari
- ​[website] Fix 302 of diamond sponsor link @oliviertassinari
- ​[website] Fix outdated YouTube link @oliviertassinari

All contributors of this release in alphabetical order: @ArthurPedroti, @badalsaibo, @gorjiali, @hbjORbj, @HeVictor, @idebeijer, @joserodolfofreitas, @marktoman, @oliviertassinari, @sai6855, @SaidMarar, @samuelsycamore, @siriwatknp, @Vivek-Prajapatii, @ZeeshanTamboli

## 5.11.6



_Jan 23, 2023_

A big thanks to the 13 contributors who made this release possible. Here are some highlights ✨:

- @ZeeshanTamboli improved the logic for handling the value label in the `SliderUnstyled` (#35805)
- many other 🐛 bug fixes and 📚 documentation improvements

### `@mui/material@5.11.6`

- ​[Box] Fix usage of not supported features in TypeScript 3.5 (#35877) @mnajdova
- ​[Button] Fix border color for secondary disabled button (#35866) @SaidMarar
- ​[SwipeableDrawer] Add callback to customise touchstart ignore for swipeable drawer (#30759) @tech-meppem

### `@mui/base@5.0.0-alpha.115`

#### Breaking changes

- ​[SliderUnstyled] Improved logic for displaying the value label (#35805) @ZeeshanTamboli

  - The `valueLabelDisplay` prop is removed from `SliderUnstyled`. The prop was not working as intended in `SliderUnstyled` (See #35398). You can instead provide a `valueLabel` slot with the `slots` prop API to show the value label:

  ```diff
  - <SliderUnstyled valueLabelDisplay="on" />
  + <SliderUnstyled slots={{ valueLabel: SliderValueLabel }} />
  ```

  The following demo shows how to show a value label when it is hovered over with the thumb: https://mui.com/base-ui/react-slider/#value-label

  - The following classes are removed from `sliderUnstyledClasses` since they are not needed for the value label:

  ```diff
  - valueLabel
  - valueLabelOpen
  - valueLabelCircle
  - valueLabelLabel
  ```

  In the custom value label component, you can define your own classNames and target them with CSS.

  - The `SliderValueLabelUnstyled` component is removed from SliderUnstyled. You should provide your own custom component for the value label.

  - To avoid using `React.cloneElement` API in value label, the component hierarchy structure of the value label is changed. The value label is now inside the Thumb slot - `Thumb` -> `Input`, `ValueLabel`.

#### Changes

- ​[InputUnstyled] Fix externally provided `inputRef` is ignored (#35807) @sai6855

### `@mui/joy@5.0.0-alpha.64`

- ​[Avatar][joy] Remove `imgProps` prop and add Codemod script for migration (#35859) @hbjORbj

### Docs

- ​[blog] Date and time pickers revamped (#35486) @joserodolfofreitas
- ​[docs] Fix incorrect breakpoint use (#34948) @rosita-dmello
- ​[docs] Replace react-virtualized with react-virtuoso in Table (#35700) @petyosi
- ​[docs] Fix account menu demo not closing with keyboard. (#35870) @mj12albert
- ​[docs] Fix typos in the docs of Joy UI (#35876) @HeVictor
- ​[docs] Fix wording in `Color` page (#35873) @oliv37

### Core

- ​[core] Fix release changelog to handle commits with empty author field (#35921) @mnajdova
- ​[core] Revert `docs-utilities` migration to TypeScript and fix type (#35881) @ZeeshanTamboli
- ​[core] Migrate internal `docs-utilities` package to TypeScript (#35846) @ZeeshanTamboli
- ​[website] Designer don't spend their time writing code @oliviertassinari
- ​[website] Emphasis the technical background need for this role @oliviertassinari

All contributors of this release in alphabetical order: @HeVictor, @hbjORbj, @joserodolfofreitas, @mj12albert, @mnajdova, @oliv37, @oliviertassinari, @petyosi, @rosita-dmello, @sai6855, @SaidMarar, @tech-meppem, @ZeeshanTamboli

## 5.11.5



_Jan 17, 2023_

A big thanks to the 17 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.5`

- [Material UI] Custom channel token should suppress the warning (#35804) @siriwatknp
- [Autocomplete] Fix value type when `strictNullChecks` is `false` (#35367) @fenghan34
- [Slider] Replace `SliderUnstyled` with `useSlider` hook (#35770) @ZeeshanTamboli
- [l10n] Add Belarusian translation (#35742) @volhalink

### `@mui/system@5.11.5`

- [system] Improve the `createBox` types (#35532) @mnajdova

### `@mui/codemod@5.11.5`

- Add `joy-text-field-to-input` codemod (#35462) @hbjORbj

### `@mui/base@5.0.0-alpha.114`

- [base] Fix typos (#35802) @nnmax
- [Slider] Convert code to TypeScript (#35445) @sai6855

### `@mui/joy@5.0.0-alpha.63`

- [Tabs][joy] Don't apply `:hover, :active` styles when `selected` (#35750) @sai6855
- Remove `TextField` component and replace its usage in docs with `FormControl`/`FormLabel`/`Input` (#35462) @hbjORbj
- [TextField] Throw error with migration message (#35845) @siriwatknp
- Miscellaneous fixes (#35847) @siriwatknp

### Docs

- [docs] Improve pickers lab migration stressing `mui-x` usage (#35740) @LukasTy
- [docs] Fix incorrectly named AccessibleTable demo component (#35832) @HeVictor
- [docs] Clarify where to find docs for Base UI components in Material UI (#35799) @samuelsycamore
- [docs] Fix typos (#35814) @alexfauquette
- [docs] Revise and expand the Joy UI Card page (#35745) @samuelsycamore
- [docs] Fix navigation layout shift (#35679) @oliviertassinari
- [docs] Fix typo in the Composition page (#35774) @msoyka
- [docs][joy] Update Customization section code example to use the correct API (#35765) @pupudu
- [docs][joy] Fix grammar in `Typography` docs (#35796) @atrefonas
- [examples] Remove `next-env.d.ts` from Next.js examples (#35772) @Juneezee

### Core

- [website] Improve pricing page (#35767) @oliviertassinari
- [website] Add Greg in about page (#35816) @oliviertassinari
- [website] Update the Accessibility Engineer role (#35751) @oliviertassinari
- [website] Add docs for MUI for Figma @oliviertassinari

All contributors of this release in alphabetical order: @alexfauquette, @atrefonas, @fenghan34, @hbjORbj, @HeVictor, @Juneezee, @LukasTy, @mnajdova, @msoyka, @nnmax, @oliviertassinari, @pupudu, @sai6855, @samuelsycamore, @siriwatknp, @volhalink, @ZeeshanTamboli

## 5.11.4



_Jan 9, 2023_

A big thanks to the 14 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.4`

- [Autocomplete] Add index to renderOption's AutocompleteRenderOptionState (#35578) @CowDotDev
- [Autocomplete] Fix grammar in console.error in `useAutocomplete` (#35723) @hamirmahal
- [Modal] Fix can't override Backdrop Props using new Slots API (#35140) @ZeeshanTamboli
- [Select] Revert "Update `renderValue` prop's TypeScript type (#34177)" (#35733) @michaldudak
- [Tabs] Throw error only if individual `Tab` is hidden, not the whole `Tabs` (#34026) @Ryczko
- [TextField] Improve WCAG 2.4.7 with error={true} (#35687) @oliviertassinari
- [Tooltip] Remove `data-foo` attribute (#35736) @koolskateguy89

### `@mui/joy@5.0.0-alpha.62`

- [Autocomplete][joy] Specify `type` attribute for popup indicator (#35648) @hbjORbj
- [Joy] Miscellaneous improvements (#35769) @siriwatknp
- [Joy] Improve `onKeyDown` event handler for demo (#35642) @hbjORbj

### `@mui/base@5.0.0-alpha.113`

- [Portal][base] Convert code to TypeScript (#35657) @sai6855

### Docs

- [docs] Revise and expand Joy UI Button doc (#35737) @samuelsycamore
- [docs] Document the workaround for crashing a translated page (#35720) @michaldudak
- [docs] Fix API page for `MenuItem` to list all valid props (#35561) @mnajdova
- [docs] Fix ad exception in Joy UI (#35685) @oliviertassinari
- [docs] Fix content wider than screen regression @oliviertassinari
- [examples] Add `Vite.js with TypeScript` example (#35683) @miha53cevic

### Core

- [core] Close 2022 Developer Survey @oliviertassinari
- [core] Fix the product license reference name (#35703) @oliviertassinari
- [core] Use TypeScript AST instead of TTP for component doc building (#35379) @flaviendelangle
- [test] Always use & for nesting styles (#35702) @oliviertassinari
- [website] Improve Lead Designer role description (#35684) @oliviertassinari

All contributors of this release in alphabetical order: @CowDotDev, @flaviendelangle, @hamirmahal, @hbjORbj, @koolskateguy89, @michaldudak, @miha53cevic, @mnajdova, @oliviertassinari, @Ryczko, @sai6855, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.11.3



_Jan 2, 2023_

A big thanks to the 6 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.11.3`

- ​[Select] Update `renderValue` prop's TypeScript type (#34177) @ZeeshanTamboli

### `@mui/joy@5.0.0-alpha.61`

- ​[Autocomplete][joy] Export component (#35647) @mbranch

### Docs

- ​[blog] Fix handling of markdown links (#35628) @oliviertassinari
- ​[docs] Fix demo code selection through copy shortcut key on Firefox browser (#35670) @ZeeshanTamboli
- ​[docs] Fix layout shift when streaming the page (#35627) @oliviertassinari
- ​[docs] Fix switch name to reflect the color (#35052) @rjhcnf
- ​[docs] Fix anchor link in the card's docs and fix a typo (#35634) @ZeeshanTamboli
- ​[docs] Fix layout shift with modal (#35591) @oliviertassinari
- ​[Joy][docs] Add documentation for `Input` component (#35482) @hbjORbj
- ​[docs][joy] Improved readability on theme tokens page (#35639) @badalsaibo

### Core

- ​[core] Disable prefetch of footer links @oliviertassinari
- ​[core] A few SEO fixes (#35672) @oliviertassinari
- ​[core] Remove need for scopePathnames (#35584) @oliviertassinari
- ​[test] Fix Algolia noisy lvl1 anchor (#35686) @oliviertassinari

All contributors of this release in alphabetical order: @badalsaibo, @hbjORbj, @mbranch, @oliviertassinari, @rjhcnf, @ZeeshanTamboli

## 5.11.2



_Dec 26, 2022_

A big thanks to the 20 contributors who made this release possible. Here are some highlights ✨:

- ⚙️ Several Base UI components were converted to TypeScript by @trizotti, @leventdeniz and @danhuynhdev (#35005, #34793, #34771)
- Many other 🐛 bug fixes abd 📚 documentation improvements.

### `@mui/material@5.11.2`

- ​[l10n] Add displayed rows label to `faIR` locale (#35587) @hootan-rocky
- ​[l10n] Add Kurdish (Kurmanji) locale (#32508) @JagarYousef
- ​[Select] Accept non-component children (#33530) @boutahlilsoufiane
- ​[SelectInput] Update menu to use select wrapper as anchor (#34229) @EduardoSCosta
- ​[TableCell] Fix `scope` prop to be not set when a data cell is rendered within a table head (#35559) @sai6855

### `@mui/utils@5.11.2`

- ​[utils] `mergedeep` deeply clones source key if it's an object (#35364) @sldk-yuri

### `@mui/base@5.0.0-alpha.112`

- ​[FocusTrap][base] Convert code to TypeScript (#35005) @trizotti
- ​[Modal][base] Convert code to TypeScript (#34793) @leventdeniz
- ​[Popper][base] Convert code to TypeScript (#34771) @danhuynhdev
- ​[Slider] Exclude `isRtl` from Material UI's Slider props (#35564) @michaldudak

### `@mui/joy@5.0.0-alpha.60`

- ​[Joy] Fix radius adjustment (#35629) @siriwatknp
- ​[Joy] Apply color inversion to components (#34602) @siriwatknp
- ​[Joy] Improve cursor pointer and add fallback for outlined variant (#35573) @siriwatknp
- ​[Joy] Miscellaneous fixes (#35552) @siriwatknp
- ​[Radio][joy] Use precise dimensions for radio icon (#35548) @hbjORbj

### `@mui/material-next@6.0.0-alpha.68`

- ​[Material You] Update Button test & add active class name (#35497) @mnajdova

### Docs

- ​[docs] Fix GoogleMaps demo (#35545) @hbjORbj
- ​[docs] Remove flow, its legacy (#35624) @oliviertassinari
- ​[docs] Add a guide on using icon libraries with Joy UI (#35377) @siriwatknp
- ​[docs] Clarify comment about `sortStability()` use case (#35570) @frontendlane
- ​[docs] Improve the experimental API demos on the button page (#35560) @mnajdova
- ​[docs] Force `light` theme mode when `activePage` is null (#35575) @LukasTy
- ​[docs] Fix ListItem button deprecated use (#33970) @MickaelAustoni
- ​[docs] Fix typo in `Progress` docs (#35553) @jasonsturges
- ​[docs] Remove empty tags on the TransferList demos (#33127) @ekusiadadus
- ​[docs][joy] Add documentation for `Stack` component (#35373) @hbjORbj
- ​[docs][joy] Add documentation for `Grid` component (#35374) @hbjORbj
- ​[website] Update sponsor grid (#35452) @danilo-leal

### Core

- ​[core] Shorthand notation to remove outline (#35623) @oliviertassinari
- ​[core] Fix header link layout shift and clash (#35626) @oliviertassinari
- ​[core] Hide keyboard shortcut if no hover feature (#35625) @oliviertassinari
- ​[core] Fix confusing duplicated name in the log @oliviertassinari
- ​[core] Fix API demos callout spacing (#35579) @oliviertassinari
- ​[core] Fix a few title case (#35547) @oliviertassinari
- ​[core] Cleanup mention of test-utils (#35577) @oliviertassinari
- ​[core] Remove oudated pickers prop-type logic (#35571) @oliviertassinari
- ​[core] Exclude documentation of Base props not used in styled libraries (#35562) @michaldudak

All contributors of this release in alphabetical order: @boutahlilsoufiane, @danhuynhdev, @danilo-leal, @EduardoSCosta, @ekusiadadus, @frontendlane, @hbjORbj, @hootan-rocky, @JagarYousef, @jasonsturges, @leventdeniz, @LukasTy, @michaldudak, @MickaelAustoni, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @sldk-yuri, @trizotti

## 5.11.1



_Dec 20, 2022_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- 💅 @mnajdova added motion and shape design tokens to Material You package (#35384 and #35393).
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.11.1`

- [Chip] Fix hover and focus style with CSS Variables (#35502) @DimaAbr
- [InputLabel] Enable `size` prop overrides via TypeScript module augmentation (#35460) @MickaelAustoni
- [l10n] Change Kazakh locale name to match ISO-639-1 codes (#34664) @talgautb
- [TextField] Fix error focus style (#35167) @42tte
- [core] Bring `experimental_sx` back with error code (#35528) @siriwatknp

### `@mui/utils@5.11.1`

- [Theme] Merge components and slots props (#35477) @siriwatknp

### `@mui/material-next@6.0.0-alpha.67`

- [Material You] Add motion design tokens (#35384) @mnajdova
- [Material You] Add shape design tokens (#35393) @mnajdova

### `@mui/joy@5.0.0-alpha.59`

- [Tooltip] Fix arrow does not appear (#35473) @siriwatknp
- [Input] Fix autofill styles (#35056) @siriwatknp
- [ChipDelete] Add onDelete prop to ChipDelete (#35412) @sai6855

### `@mui/base@5.0.0-alpha.111`

- [Button][base] Set active class when a subcomponent is clicked (#35410) @michaldudak
- [Popper][base] Fix Tooltip Anchor Element Setter (#35469) @sydneyjodon-wk

### Docs

- [docs] Fixed the `Select` component `onChange` event type in the migration guide (#35509) @tzynwang
- [docs] Add missing comma to `Providing the colors directly` section (#35507) @cassidoo
- [docs] Add `CardMedia` example without `component="img"` prop (#35470) @lucasmfredmark
- [docs] Fix `unstable_sxConfig` typo (#35478) @siriwatknp
- [docs] List component introduction example default code is missing ListItemContent component (#35492) @Miigaarino
- [website] Close our first people role @oliviertassinari
- [website] Update product icons (#35413) @danilo-leal

### Core

- [test] Terminate BrowserStack after 5 minutes (#35454) @oliviertassinari
- [test] Fix broken master branch (#35446) @oliviertassinari

All contributors of this release in alphabetical order: @42tte, @cassidoo, @danilo-leal, @DimaAbr, @lucasmfredmark, @michaldudak, @MickaelAustoni, @Miigaarino, @mnajdova, @oliviertassinari, @sai6855, @siriwatknp, @sydneyjodon-wk, @talgautb, @tzynwang

## 5.11.0



_Dec 13, 2022_

A big thanks to the 19 contributors who made this release possible. Here are some highlights ✨:

- 🔥 @mnajdova enabled configuration of the `sx` prop in the `theme` (#35150)
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.11.0`

- [Alert] Update icon color in all variants (#35414) @danilo-leal
- [Select] Fix `MenuProps.PopoverClasses` being overriden (#35394) @vitorfrs-dev
- [SwipeableDrawer] Fix TypeScript warning "prop open undefined" (#34710) @kraftware

### `@mui/icons-material@5.11.0`

- [icons] Restore the PhoneInTalk icons (#35409) @michaldudak

### `@mui/system@5.11.0`

#### BREAKING CHANGES

- [system] Enable configuring the `sx` prop in the `theme` (#35150) @mnajdova

  The breaking change is regarding an experimental API:

  ```diff
  -import { styled, experimental_sx } from '@mui/material/styles';
  +import { styled } from '@mui/material/styles';

  -const Component = styled('div)(experimental_sx({ p: 1 }});
  +const Component = styled('div)(({ theme }) => theme.unstable_sx({ p: 1 }});
  ```

### `@mui/joy@5.0.0-alpha.58`

- [Joy] Miscellaneous fixes (#35447) @siriwatknp

### `@mui/base@5.0.0-alpha.110`

- [PopperUnstyled] Update PopperTooltip to have correct width when closing with transition (#34714) @EduardoSCosta

### `@mui/material-next@6.0.0-alpha.66`

- [Material You] Add ripple on the button (#35299) @mnajdova

### Docs

- [docs] Simplify state management in Text Field demo page (#35051) @PratikDev
- [docs] Improve `Responsive App bar with Drawer` demo (#35418) @ZeeshanTamboli
- [docs] Improve line-height readability (#35387) @oliviertassinari
- [docs] Improve a bit the Composition docs (#35329) @oliviertassinari
- [docs] Refactor `ToggleButtonSizes` demo (#35375) @Armanio
- [docs] Standardize the usage of callouts in the docs (#35361) @samuelsycamore
- [docs] Format feedback to add a link to the commented section (#35381) @alexfauquette
- [docs] Direct users from Material UI to Base UI for duplicated components (#35293) @samuelsycamore
- [docs] Fix typo in FormControl API docs (#35449) @Spanishiwa
- [docs] Update callouts design (#35390) @danilo-leal
- [website] New wave of open roles (#35240) @mnajdova
- [website] Developer Survey 2022 (#35407) @joserodolfofreitas

### Core

- [core] Fix @mui/material package building (#35324) @timbset
- [core] Fix leaking theme color override (#35444) @oliviertassinari
- [typescript] Add null to return type of OverridableComponent (#35311) @tsollbach
- [website] Migrate X page to use CSS theme variables (#34922) @jesrodri
- [website] Migrate `/core` page to use CSS variables (#35366) @siriwatknp

All contributors of this release in alphabetical order: @alexfauquette, @Armanio, @danilo-leal, @EduardoSCosta, @flaviendelangle, @jesrodri, @joserodolfofreitas, @kraftware, @michaldudak, @mnajdova, @oliviertassinari, @PratikDev, @samuelsycamore, @siriwatknp, @Spanishiwa, @timbset, @tsollbach, @vitorfrs-dev, @ZeeshanTamboli

## 5.10.17



_Dec 6, 2022_

A big thanks to the 15 contributors who made this release possible. Here are some highlights ✨:

- ✨ @mnajdova added a [Material You Button playground](https://mui.com/material-ui/react-button/#material-you-version) (#35222)
- 🔧 @hbjORbj renamed `components` / `componentProps` to `slots` / `slotProps` prop in Joy UI to create consistency across products (#34997)
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.17`

- ​[Slider] Fix `markActive` theme class not getting applied (#35067) @ZeeshanTamboli
- ​[SwipeableDrawer] Fix missing close animation when initial open is true (#35010) @sai6855
- ​[material-ui] Add channel colors if possible (#35178) @siriwatknp
- ​[Fab] Increase disabled styles precedence (#35304) @Uzwername
- ​[Rating] Apply `labelEmptyValueActive` style overrides from theme (#35315) @sai6855

### `@mui/system@5.10.17`

- ​[system] Add support for nested CssVarsProvider (#35277) @siriwatknp

### `@mui/joy@5.0.0-alpha.57`

#### BREAKING CHANGE

- ​[Joy] Add `slots`/`slotProps` props to the typing of all components and apply `useSlot` to all components (#34997) @hbjORbj

  - Change all occurrences of `components` and `componentsProps` props in Joy UI components to `slots` and `slotProps`, respectively.

  ```diff
  -<Autocomplete components={{listbox: CustomListbox}} componentsProps={{listbox: { className: 'custom-listbox' }}} />
  +<Autocomplete slots={{listbox: CustomListbox}} slotProps={{listbox: { className: 'custom-listbox' }}} />
  ```

  You can use this [codemod](https://github.com/mui/material-ui/blob/master/packages/mui-codemod/README.md#joy-rename-components-to-slots) to help with the migration.

#### Changes

- ​[Joy] Miscellaneous fixes (#35345) @siriwatknp
- ​[Joy][textarea] Expose decorator classes (#35247) @zignis

### Docs

- ​[docs] Improve spacing with ul (#35302) @oliviertassinari
- ​[docs] Correct grammatically incorrect sentences in CONTRIBUTING.md (#34949) @Pandey-utkarsh
- ​[docs] Move the demo higher in the API TOC (#35202) @oliviertassinari
- ​[docs] Fix incorrect link in minimizing-bundle-size (#35297) @Juneezee
- ​[docs] Revise and expand Joy UI "Breadcrumbs" page (#35292) @samuelsycamore
- ​[docs] Fix wrong import in the unstyled tabs page (#35310) @guotie
- ​[docs] Disable translations (#34820) @mnajdova
- ​[docs] Fix typo (#35312) @flaviendelangle
- ​[docs] Add Material You Button playground (#35222) @mnajdova
- ​[docs] Fix experimental API page duplication (#35213) @oliviertassinari
- ​[docs] Improve the autogenerated "Unstyled" and "API" text (#35185) @samuelsycamore
- ​[docs] Fix ad margin on API pages (#35201) @oliviertassinari
- ​[docs] Revise and expand the Joy UI "Badge" page (#35199) @samuelsycamore
- ​[docs] Update Base UI docs with latest style conventions (#35034) @samuelsycamore
- ​[l10n] Improve Chinese (Taiwan) zh-TW locale (#35328) @happyincent
- ​[website] Update stats: GitHub stars, Twitter followers, etc. (#35318) @nomandhoni-cs

### Core

- ​[core] Use componentStyles.name over componentName (#35303) @oliviertassinari
- ​[core] Fix warning leak in production (#35313) @oliviertassinari
- ​[core] Move the internal packages from docs/packages (#35305) @michaldudak
- ​[core] Clean up the API docs generation scripts (#35244) @michaldudak
- ​[test] Scope the tests to just Material UI components (#35219) @siriwatknp
- ​[website] Remove BlackFriday notification @oliviertassinari

All contributors of this release in alphabetical order: @flaviendelangle, @guotie, @happyincent, @hbjORbj, @Juneezee, @michaldudak, @mnajdova, @nomandhoni-cs, @oliviertassinari, @Pandey-utkarsh, @sai6855, @samuelsycamore, @siriwatknp, @Uzwername, @zignis

## 5.10.16



_Nov 28, 2022_

A big thanks to the 13 contributors who made this release possible. This release contains various 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.10.16`

- ​[Autocomplete] Fix inferred value type when `multiple` prop is `true` (#35275) @fenghan34
- ​[Chip] Add `skipFocusWhenDisabled` prop to not allow focussing deletable chip if disabled (#35065) @sai6855
- ​[Chip] Remove unnecessary handleKeyDown event handler (#35231) @ZeeshanTamboli
- ​[FormControl] Add missing types in `useFormControl` (#35168) @ZeeshanTamboli
- ​[IconButton] Add missing color classes (#33820) @Zetta56
- ​[SwipeableDrawer] Make paper ref accessible (#35082) @sai6855

### `@mui/system@5.10.16`

- ​[system] Remove unnecessary parsed theme (#35239) @siriwatknp
- ​[theme] Fix TypeScript type for custom variants in responsive font sizes (#35057) @ZeeshanTamboli

### `@mui/base@5.0.0-alpha.108`

- ​[Base] Allow useSlotProps to receive undefined elementType (#35192) @leventdeniz

### Docs

- ​[docs] Improve feedback precision (#34641) @alexfauquette
- ​[docs] Add Black Friday notification @oliviertassinari
- ​[docs] Fix migration feedback (#35232) @alexfauquette
- ​[docs] Improve the useSelect demo styling (#33883) @michaldudak
- ​[docs] Fix layout jump on first mistake (#35215) @oliviertassinari
- ​[docs] Support demos with side effect imports (#35177) @m4theushw
- ​[examples] Fix Next.js errors (#35246) @oliviertassinari
- ​[examples] Updated Remix examples with the lates changes using React 18 (#35092) @58bits

### Core

- ​[core] Remove unused pattern (#35165) @iamxukai
- ​[core] Fix Base version in changelog (#35224) @siriwatknp
- ​[core] Migrate `describeConformance` to TypeScript (#35193) @flaviendelangle
- ​[core] Skip CI for docs and examples paths (#35225) @siriwatknp

All contributors of this release in alphabetical order: @58bits, @alexfauquette, @fenghan34, @flaviendelangle, @iamxukai, @leventdeniz, @m4theushw, @michaldudak, @oliviertassinari, @sai6855, @siriwatknp, @ZeeshanTamboli, @Zetta56

## 5.10.15



_Nov 21, 2022_

A big thanks to the 9 contributors who made this release possible. Here are some highlights ✨:

- 🚀 @mnajdova added the button as the first component that implements [Material You](https://m3.material.io/) design (MD3)
- 🌐 @MBilalShafi added Urdu (Pakistan) localization
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.15`

- [Autocomplete] Fix keyboard navigation when using custom popover (#35160) @sai6855
- [typescript] Add `background.defaultChannel` to `CssVarsPalette` (#35174) @alexfauquette
- [l10n] Add Urdu (ur-PK) locale (#35154) @MBilalShafi

### `@mui/icons-material@5.10.15`

- [icons] Update the Material Design icons (#35194) @michaldudak

### `@mui/material-next@6.0.0-alpha.63`

- [Material You] Add theme structure & Button component (#34650) @mnajdova

### `@mui/base@5.0.0-alpha.107`

- [Select] Add attributes to conform with ARIA 1.2 (#35182) @michaldudak

### Docs

- [docs] Fix a couple documentation errors (#35217) @danilo-leal
- [docs] Change MUI -> Material UI in icons-material's readme (#35220) @michaldudak
- [docs] the pages have no <link rel=canonical so we need to tell Google to not index the staging envs @oliviertassinari
- [docs] Fix confusion in TOCs when reaching scroll bottom (#35214) @oliviertassinari
- [docs] Fix typos in section titles (#35025) @iamxukai
- [docs] Fix typo in legacy date picker migration guide @oliviertassinari
- [docs] Iterating on recent Joy UI Component page updates (#35162) @samuelsycamore
- [docs] Inform that pickers are in X repository (#35189) @alexfauquette
- [docs] Explain how the `error` prop works in the Unstyled Input (#35171) @michaldudak
- [docs] Hotfix missing styles in dark mode (#35179) @siriwatknp
- [docs] Add Joy UI theme typography page (#34811) @siriwatknp
- [docs] Fix undo/redo in live editor (#35163) @oliviertassinari
- [docs] Revise the Joy UI "Avatar" component page (#35152) @samuelsycamore
- [docs] Make navbar backdrop filter consistent with website (#35157) @danilo-leal
- [docs] Host CodeSandbox on MUI org (#35110) @oliviertassinari
- [docs] Uplift introduction demos & make consistent with Base (#34316) @danilo-leal
- [website] Add Security questionnaire in pricing (#35172) @oliviertassinari
- [website] Fix theme mode toggle state (#35216) @siriwatknp
- [website] Exclude experiment pages in production (#35180) @siriwatknp
- [website] Disable SEO for performance pages (#35173) @oliviertassinari

### Core

- [core] Convert icons scripts to ESM (#35101) @Janpot
- [core] Group renovate GitHub Action dependency updates @oliviertassinari
- [core] Upgrade eslint-config-airbnb-typescript (#34642) @Janpot
- [core] Ensure that prettier CI step fails when code is badly formatted (#35170) @michaldudak

All contributors of this release in alphabetical order: @alexfauquette, @danilo-leal, @iamxukai, @Janpot, @MBilalShafi, @michaldudak, @oliviertassinari, @samuelsycamore, @siriwatknp

## 5.10.14



_Nov 14, 2022_

A big thanks to the 17 contributors who made this release possible. Here are some highlights ✨:

- 🚀 @siriwatknp added the Autocomplete component to the Joy UI (#34315)
- ♿ @sfavello improved the accessibility of the Material UI's Autocomplete by adding support for the Delete key (#33822)
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.10.14`

- [Material UI] Add `palette.background.defaultChannel` token (#35061) @siriwatknp
- [Autocomplete] Remove tags with the Delete key (#33822) @sfavello
- [IconButton] custom color causes type error (#34521) @kushagra010

### `@mui/system@5.10.14`

- [Unstable_Gridv2] sorted responsize keys based on breakpoint value (#34987) @sai6855

### `@mui/joy@5.0.0-alpha.54`

- [Joy] Export `FormControl`, `LinearProgress` and `ListSubheader` components from `@mui/joy` (#35003) @Studio384
- [Joy] Miscellaneous fixes (#35044) @siriwatknp
- [Joy] Add `Autocomplete` component (#34315) @siriwatknp
- [Joy] Saturate a bit the gray palette (#35148) @danilo-leal
- [Autocomplete][joy] Fix types (#35153) @siriwatknp

### Docs

- [blog] Fix font size of code blocks on iOS @oliviertassinari
- [docs] Accessibility - increase default contrastThreshold for WCAG AA compliance (#34901) @kennethbigler
- [docs] Correct the keepMounted section on the Drawer page (#35076) @michaldudak
- [docs] Fix code editor styles mismatches (#35108) @oliviertassinari
- [docs] Allows to access the next MUI-X (#34798) @alexfauquette
- [docs] Fix bugs with live edit demos (#35106) @oliviertassinari
- [docs] Fix `MarkdownElement` regression from adding CSS variables (#35096) @siriwatknp
- [docs] Add a new gold sponsor (#35089) @hbjORbj
- [docs] Fix scroll issue on expanded live demos (#35064) @bharatkashyap
- [docs] Improve alignment of the sponsors @oliviertassinari
- [docs] Improve code font family v2 (#35053) @oliviertassinari
- [docs] Upgrade to Next.js 13 (#35001) @mnajdova
- [docs] Fix typo in changelog @oliviertassinari
- [docs] Update Joy UI templates to use latest components (#35058) @siriwatknp
- [website] Fix design kits showcase throwing an error (#35093) @cherniavskii
- [website] Fix margin bug on CTA @oliviertassinari
- [website] Link respective repositories in product pages (#35046) @sidtohan
- [website] Migrate blog pages to use CSS theme variables (#34976) @siriwatknp
- [website] Update DoiT International logo and links with new brand (#35030) @ofir5300
- [website] Improve visual design app bar (#35111) @oliviertassinari

### Core

- [core] Convert scripts to ES modules (#35036) @michaldudak
- [core] Show the whole version to make blame easier @oliviertassinari
- [core] Polish GitHub Action version @oliviertassinari
- [core] Ignore icons to speed up CodeQL @oliviertassinari
- [core] Feedback on branch protection @oliviertassinari
- [core] Revert CI (#35098) @siriwatknp
- [core] Fix job name to match the CI (#35097) @siriwatknp
- [core] ESLint fixes for tests (#34924) @Janpot
- [core] Ignore unrelated folders from github actions (#35028) @siriwatknp
- [core] Use pretty-quick instead of custom script (#34062) @Janpot

All contributors of this release in alphabetical order: @alexfauquette, @bharatkashyap, @cherniavskii, @danilo-leal, @hbjORbj, @Janpot, @kennethbigler, @kushagra010, @michaldudak, @mnajdova, @ofir5300, @oliviertassinari, @sai6855, @sfavello, @sidtohan, @siriwatknp, @Studio384

## 5.10.13



_Nov 7, 2022_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- 🚀 The slots API has been introduced to the Material UI package by @michaldudak (#34873).
- 🔥 Live editing of demos is stabilized by @oliviertassinari (#34870).
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.10.13`

- ​[material-ui] Introduce the slots API (#34873) @michaldudak
- ​[NativeSelectInput] Support CSS theme variables (#34975) @siriwatknp

### `@mui/system@5.10.13`

- ​[system] Add a missing key attribute in getInitColorScheme to fix key issue (#34992) @akshaya-venkatesh8

### `@mui/base@5.0.0-alpha.105`

- ​[base] Avoid calling setState during renders (#34916) @Janpot

### `@mui/joy@5.0.0-alpha.53`

- ​[Select] Fix custom options menu not opening on Avatar click (#34648) @shivam1646

### Docs

- ​[docs] Add a guide for setting dark mode by default (#34839) @siriwatknp
- ​[docs] Improve code font family (#35027) @oliviertassinari
- ​[docs] Revise and expand Joy UI "Alert" page (#34838) @samuelsycamore
- ​[docs] Live demos v2 (#34870) @oliviertassinari
- ​[docs] Fix 301 links in the docs @oliviertassinari
- ​[docs] Fix code display in RTL (#34951) @oliviertassinari
- ​[docs] New API design rule disabled > disable (#34972) @oliviertassinari
- ​[docs] Explain the usage of Select's onOpen/onClose in the uncontrolled mode (#34755) @michaldudak
- ​[docs] Add a new gold sponsor (#34984) @hbjORbj
- ​[docs] Add author and published_time meta tags (#34382) @alexfauquette
- ​[examples] Next.js examples v13 - fonts (#34971) @PetroSilenius
- ​[examples] Next.js examples v13 - links (#34970) @PetroSilenius
- ​[website] Update IPinfo.AI name @oliviertassinari
- ​[website] Remove date-io from the docs dependencies (#34748) @michaldudak
- ​[website] Migrate Design-kits page to use CSS theme variables (#34920) @jesrodri
- ​[website] Migrate Pricing page to use CSS theme variables (#34917) @trizotti

### Core

- ​[core] Remove default access to GitHub action scopes @oliviertassinari
- ​[core] Fix Pinned-Dependencies @oliviertassinari
- ​[core] Fix typos in the component name @oliviertassinari
- ​[core] Fix scorecard regression @oliviertassinari
- ​[core] Create the docs theme once (#34954) @oliviertassinari

All contributors of this release in alphabetical order: @akshaya-venkatesh8, @alexfauquette, @hbjORbj, @Janpot, @jesrodri, @michaldudak, @oliviertassinari, @PetroSilenius, @samuelsycamore, @shivam1646, @siriwatknp, @trizotti

## 5.10.12



_Oct 31, 2022_

A big thanks to the 16 contributors who made this release possible. Here are some highlights ✨:

- 🚀 The LinearProgress component has been added to Joy UI by @hbjORbj (#34514).
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements.

### `@mui/material@5.10.12`

- ​[Chip] Don't override icon color (#34247) @emlai
- ​[Radio] Skip default hover style when disableRipple is set (#34902) @VinceCYLiao
- ​[SwipeableDrawer] Fix React 18 issues (#34505) @mnajdova
- ​[Tooltip] Save a few bytes (#34853) @oliviertassinari

### `@mui/base@5.0.0-alpha.104`

- ​[ButtonUnstyled] Update to render as link when href or to is provided (#34337) @EduardoSCosta

### `@mui/joy@5.0.0-alpha.52`

- ​[Joy][circularprogress] Prevent new styles from being generated when `value` changes (#34897) @hbjORbj
- ​[Joy] Add color inversion feature (#32511) @siriwatknp
- ​[Joy] Add `LinearProgress` component (#34514) @hbjORbj

### Docs

- ​[blog] Add blog post for high-level overview of all MUI products (#34325) @samuelsycamore
- ​[blog] Fix hydration mistmatch (#34857) @oliviertassinari
- ​[docs] Revise the Joy UI "Aspect Ratio" page (#34858) @samuelsycamore
- ​[docs] Fix Safari code font size (#34859) @oliviertassinari
- ​[docs] Fix spelling mistake (#34955) @punithnayak
- ​[docs] Fix 404 link of supported Material UI components @oliviertassinari
- ​[docs] Fix Safari button misalignment (#34861) @oliviertassinari
- ​[docs] Fix typo in docs title (#34926) @PunitSoniME
- ​[docs] Fix missing emotion prefixes (#34958) @oliviertassinari
- ​[docs] Improve UI display for copy code (#34950) @oliviertassinari
- ​[docs] Standardize all "Usage" pages (#34183) @samuelsycamore
- ​[docs] Update templates' readme files to include required dependencies (#34757) @michaldudak
- ​[docs] Fix inconsistent theme colors when applying custom colors in playground (#34866) @cherniavskii
- ​[docs] Fix typo in bottom-navigation.md (#34884) @RoodyCode
- ​[website] Migrate about-us page to use CSS theme variables (#34919) @brianlu2610
- ​[website] Migrate Product-Templates page to use CSS theme variables (#34913) @EduardoSCosta
- ​[website] Migrate career page to use CSS theme variables (#34908) @the-mgi
- ​[website] Update MUI X open and future roles + about page (#34894) @DanailH
- ​[website] Remove one DOM node (#34960) @oliviertassinari
- ​[website] Use `span` for icon image (#34914) @siriwatknp
- ​[website] Fix subscribe input with Safari (#34869) @oliviertassinari

### Core

- ​[core] Ignore compiled icons in CodeQL @oliviertassinari
- ​[core] Add OSSF Scorecard action (#34854) @oliviertassinari
- ​[core] Fix extra GitHub Action permission (#34496) @sashashura
- ​[core] Fix duplicate id @oliviertassinari
- ​[core] Enforce import \* as React (#34878) @da0x
- ​[core] A couple of simply fixes from #34870 (#34953) @oliviertassinari
- ​[core] Migrate outdated pattern to convention @oliviertassinari
- ​[core] Pin GitHub Actions dependencies (#34929) @renovate[bot]
- ​[core] Make the reproduction more important in the bug template (#34875) @oliviertassinari
- ​[core] Fix docs GitHub API rate limit (#34856) @oliviertassinari
- ​[core] Fix eslint issues (#34964) @mnajdova
- ​[core] Pin GitHub Action to digests (#34855) @oliviertassinari
- ​[core] Fix permissions in workflow @oliviertassinari
- ​[core] memoize context values for react/jsx-no-constructed-context-values (#34849) @Janpot
- ​[core] Fix @typescript-eslint/default-param-last issues (#34846) @Janpot
- ​[core] Fix HTML validation error (#34860) @oliviertassinari
- ​[core] Fix duplicate CodeQL build @oliviertassinari
- ​[test] Move Firefox tests to CircleCI (#34764) @oliviertassinari
- ​[test] Use screen when possible for simplicity (#34890) @oliviertassinari

All contributors of this release in alphabetical order: @cherniavskii, @DanailH, @EduardoSCosta, @emlai, @hbjORbj, @Janpot, @michaldudak, @mnajdova, @oliviertassinari, @punithnayak, @PunitSoniME, @renovate[bot], @RoodyCode, @samuelsycamore, @siriwatknp, @VinceCYLiao

## 5.10.11



_Oct 25, 2022_

A big thanks to the 10 contributors who made this release possible. Here are some highlights ✨:

- 🔧 Moved `components` to `slots` prop starting at Base UI to create consistency across products
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.11`

- [InputBase] Fix `onInvalid` to use HTMLInputElement | HTMLTextAreaElement Element type (#33162) @KuSh
- [Alert] Add `components` and `componentsProps` props to allow close action overrides (#33582) @jake-collibra

### `@mui/base@5.0.0-alpha.103`

#### BREAKING CHANGE

- [base] `components` -> `slots` API rename (#34693) @michaldudak

  - Change all occurrences of components and componentsProps props in Base components to slots and slotProps, respectively.
  - Change casing of slots' fields to camelCase

  ```diff
  -<SwitchUnstyled components={{Root: CustomRoot}} componentsProps={{rail: { className: 'custom-rail' }}} />
  +<SwitchUnstyled slots={{root: CustomRoot}} slotProps={{rail: { className: 'custom-rail' }}} />
  ```

- [base] Make CSS class prefixes consistent (#33411) @michaldudak

  **This is a breaking change for anyone who depends on the class names applied to Base components.**
  If you use the `<component>UnstyledClasses` objects, you won't notice a difference. Only if you depend on the resulting class names (for example in CSS stylesheets), you'll have to adjust your code.

  ```diff
  -.ButtonUnstyled-root { ... };
  +.MuiButton-root { ... };
  ```

#### Changes

- [test] Test all Base components with describeConformanceUnstyled (#34825) @michaldudak

### `@mui/joy@5.0.0-alpha.51`

- [CircularProgress][joy] Fix classnames and add test (#34806) @hbjORbj
- [Joy] Allow string type for `size` prop in components (#34805) @hbjORbj

### Docs

- Revert "[docs] Fix search icons in other languages (#34823)" @oliviertassinari
- Revert "[core] Move SearchIcons to docs src folder (#34802)" @oliviertassinari
- Revert "[docs] Live demos (#34454)" @oliviertassinari
- Update the order of operations for pagination example so that slicing takes place after sorting. (#34189) @marceliwac
- [docs] Gatsby Description in Joy dark-mode (#34702) @pixelass
- [docs] Add notification for blogpost MUI X v6 alpha (#34809) @joserodolfofreitas
- [docs] Polish Crowdin config (#34852) @oliviertassinari
- [docs] Fix a few style standard deviations @oliviertassinari
- [docs] Enforce no trailing spaces (#34762) @oliviertassinari
- [docs] Enforce correct git diff format (#34765) @oliviertassinari
- [docs] Fix Toolpad docs 301 route (#34843) @bharatkashyap
- [docs] Replace initial value with theme white (#34822) @siriwatknp
- [docs] Remove localization redirects (#34844) @mnajdova
- [docs] Fix search icons in other languages (#34823) @siriwatknp
- [docs] Fix JavaScript capitalization @oliviertassinari
- [docs] Update new links to MD2 (#34848) @oliviertassinari
- [website] Update future work items on X landing page (#34810) @joserodolfofreitas
- [website] Add Toolpad docs to navigation (#34749) @bharatkashyap

### Core

- [core] Remove dead files (#34850) @oliviertassinari
- [core] Fix revert conflict @oliviertassinari
- [core] Fix a few CodeQL errors (#34766) @oliviertassinari
- [core] Harden GitHub Actions permissions (#34769) @oliviertassinari
- [core] Remove the codeowners file (#34876) @michaldudak

All contributors of this release in alphabetical order: @bharatkashyap, @hbjORbj, @jake-collibra, @joserodolfofreitas, @KuSh, @marceliwac, @michaldudak, @oliviertassinari, @pixelass, @siriwatknp

## 5.10.10



_Oct 18, 2022_

A big thanks to the 21 contributors who made this release possible. Here are some highlights ✨:

- 🖌 Thanks to the efforts of @bharatkashyap and @nihgwu, we now have editable demos across our docs (#34454)!
- 🚀 The Tooltip component has been added to Joy UI by @hbjORbj (#34509).
- ⚙️ We started converting the remaining JS components in Base UI to TypeScript.
  @mbayucot finished the first PR with the conversion of the NoSsr code (#34735).
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.10`

- [Popover] Fix paper position flash on open (#34546) @TheUnlocked
- [SwipeableDrawer] Make component `defaultProps` overridable (#34643) @hbjORbj

### `@mui/system@5.10.10`

- [system] Support CSS `grey` color in `sx` (#34548) @TheUnlocked

### `@mui/styles@5.10.10`

- [styles] Use memoized context in StylesProvider (#34637) @mohd-akram

### `@mui/joy@5.0.0-alpha.50`

- [Select][joy] Added hidden input element (#34657) @zee-bit
- [Slider][joy] Add global variant to slider (#34733) @siriwatknp
- [Tooltip][joy] Add component (#34509) @hbjORbj

### `@mui/base@5.0.0-alpha.102`

- [MultiSelect][base] Prevent the renderValue prop from being propagated to the DOM (#34698) @michaldudak
- [NoSsr] Convert code to TypeScript (#34735) @mbayucot

### Docs

- [docs] Fix the Autocomplete Highlighting example (#34184) @hayawata3626
- [docs] Fix typos in Base (Menu, Tabs) and Joy UI (Chip) (#34803) @rvrvrv
- [docs] Use new editing API in homepage demos (#34220) @m4theushw
- [docs] Live demos (#34454) @bharatkashyap
- [docs] Fix typos in Joy UI Switch (#34728) @ndresx
- [docs] Avoid scrollbar in the code demos (#34741) @oliviertassinari
- [docs] Revise the Joy UI "Automatic adjustment" page (#34614) @samuelsycamore
- [docs] Revise and rename the Joy UI "Perfect dark mode" page (#34613) @samuelsycamore
- [docs] Revise the Joy UI "Global variants" page (#34595) @samuelsycamore
- [docs] Basic link verification at PR level (#34588) @alexfauquette
- [docs] Add a missing comma in the customization example (#34617) @AbayKinayat
- [website] Clarify Pro/Premium support (#34607) @oliviertassinari
- [website] Fix home page dark mode flicker (#33545)
- [website] Update the state of the date pickers on the landing page (#34750) @joserodolfofreitas

### Core

- [core] Clean conditionals (#34772) @pedroprado010
- [core] Temporary remove the authorization (#34796) @siriwatknp
- [core] Avoid slower CI run statues @oliviertassinari
- [core] Improve the playground DX (#34739) @oliviertassinari
- [core] Link Netlify in the danger comment (#34688) @oliviertassinari
- [core] Fix CI after out of sync merge @oliviertassinari
- [core] Enforce straight quote (#34686) @oliviertassinari
- [core] Add code scanning via CodeQL (#34707) @DanailH
- [core] Fix some upcoming eslint issues (#34727) @oliviertassinari
- [core] Auto-fix upcoming eslint issues (#34644) @Janpot
- [core] Move SearchIcons to docs src folder (#34802)
- [test] Enable `react/no-unstable-nested-components` (#34518) @eps1lon

All contributors of this release in alphabetical order: @AbayKinayat, @alexfauquette, @bharatkashyap, @DanailH, @eps1lon, @hayawata3626, @hbjORbj, @Janpot, @joserodolfofreitas, @m4theushw, @mbayucot, @michaldudak, @mohd-akram, @ndresx, @oliviertassinari, @pedroprado010, @rvrvrv, @samuelsycamore, @siriwatknp, @TheUnlocked, @zee-bit

## 5.10.9



_Oct 10, 2022_

A big thanks to the 7 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [Joy] Button loading functionality has been added by @kushagra010 (#34658)
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.9`

- ​[Grid v2][system] Handle direction object prop for responsive design (#34574) @vanyaxk
- ​[Slider] Fix unnecessary accessibility attribute in root element (#34610) @vanyaxk

### `@mui/system@5.10.9`

#### BREAKING CHANGE

- ​[system] Fix color-scheme implementation (#34639) @siriwatknp

  The `enableColorScheme` prop has been removed from `CssVarsProvider` and `getInitColorScheme` (both Material UI and Joy UI).

  Migration:

  - **Material UI**: you can enable the CSS color scheme via `<CssBaseline enableColorScheme />`.
  - **Joy UI**: it is enabled automatically if you use `<CssBaseline />`, [see the docs](https://mui.com/joy-ui/react-css-baseline/).

#### Changes

- ​[system] Fix typo in createCssVarsProvider (#34661) @HexM7

### `@mui/base@5.0.0-alpha.101`

- ​[FocusTrap] Restore the previously exported type from @mui/material (#34601) @michaldudak

### `@mui/joy@5.0.0-alpha.49`

- ​[Joy] Add button loading functionality (#34658) @kushagra010

### Docs

- ​[docs] Revert #34541 (#34700) @michaldudak
- ​[blog] Blog post for MUI X v6 alpha zero (#34424) @joserodolfofreitas
- ​[docs] Improve Joy UI tutorial demo (#34653) @oliviertassinari
- ​[docs] Explain how SelectUnstyled renders a hidden input (#34638) @michaldudak
- ​[docs] Fix Taiwan description (#34611) @oliviertassinari
- ​[docs] Fix codesandbox export with dayjs (#34619) @oliviertassinari
- ​[docs] Explain the purpose of renderGroup prop (#34066) @michaldudak

### Core

- ​[core] Make useForkRef variadic (#27939) @michaldudak
- ​[core] Speedup of yarn install in the CI (#34632) @oliviertassinari
- ​[core] Fix markdown loader on Windows (#34623) @michaldudak
- ​[core] Update changelog for version v5.10.8 (#34593) @mnajdova
- ​[core] Update root package.json version (#34592) @mnajdova

All contributors of this release in alphabetical order: @HexM7, @joserodolfofreitas, @kushagra010, @michaldudak, @mnajdova, @oliviertassinari, @vanyaxk

## 5.10.8



_Oct 3, 2022_

A big thanks to the 18 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [SnackbarUnstyled](https://mui.com/base-ui/react-snackbar/) component & headless hook are added to Base UI (#33227) @ZeeshanTamboli
- 📚 [CSS variables documentation](https://mui.com/material-ui/experimental-api/css-theme-variables/overview/) for Material UI has been added by @siriwatknp (#33958)
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.8`

- ​[Autocomplete] Skip filtering when list of options is loading (#33278) @ndebeiss
- ​[Fab] Add `disabled` class to FAB button (#34245) @meenarama
- ​[l10n] Add Arabic Saudi Arabia (ar-SA) locale (#33340) @rolule
- ​[l10n] zhTW refinement (#33391) @Aporim2051
- ​[Popover] Add `ownerState` on the paper slot (#34445) @kabernardes
- ​[Slider] Fixed incorrect marks displayed due to duplicate keys in range (#33526) @kskd1804
- ​[TextField] Fix typo in FormControlLabel declaration file (#34535) @hghmn

### `@mui/base@5.0.0-alpha.100`

- ​[SnackbarUnstyled] Create component and `useSnackbar` hook (#33227) @ZeeshanTamboli

### `@mui/joy@5.0.0-alpha.48`

- ​[Joy] Fix `variantPlain` classname missing in few components (#34534) @hbjORbj
- ​[Joy] Fix input decorator color and list padding (#34586) @siriwatknp
- ​[Joy] Miscellaneous fixes (#34492) @siriwatknp

### Docs

- ​[blog] Fix 404 link in base introduction @oliviertassinari
- ​[docs] Fix CI build (#34589) @mnajdova
- ​[docs] Temporary remove date picker from home page (#34541) @siriwatknp
- ​[docs] Revise and expand Joy UI "Tutorial" doc (#34569) @samuelsycamore
- ​[docs] Fix SEO issues (#34537) @oliviertassinari
- ​[docs] Add CSS variables documentation for Material UI (#33958) @siriwatknp
- ​[docs] Capitalize Material Design on the Breakpoints page (#34481) @Dustin-Digitar
- ​[docs] Able to load doc components inside markdown files (#34243) @flaviendelangle
- ​[docs] Use mouse pointer on esc button in the search modal (#34485) @minkyngkm
- ​[website] Fix typo in pricing FAQ @oliviertassinari
- ​[website] Move the React Engineer role from open to next (#34494) @mnajdova

### Core

- ​[core] Update root package.json version (#34592) @mnajdova
- ​[core] Remove useless comment in fixtures (#34581) @Garz4
- ​[core] Fix link to CODE_OF_CONDUCT.md (#34543) @peippo
- ​[core] Remove outdated docsearch.js dependency (#34421) @oliviertassinari
- ​[core] Add `newFeature` to the typing of MuiPage (#34511) @flaviendelangle

All contributors of this release in alphabetical order: @Aporim2051, @Dustin-Digitar, @flaviendelangle, @Garz4, @hbjORbj, @hghmn, @kabernardes, @kskd1804, @meenarama, @minkyngkm, @mnajdova, @ndebeiss, @oliviertassinari, @peippo, @rolule, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.10.7



_Sep 26, 2022_

A big thanks to the 21 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [Divider](https://mui.com/joy-ui/react-divider/) component is added to Joy UI (#34403) @siriwatknp

### `@mui/material@5.10.7`

- [CssVarsProvider] Exclude dark mode variables from `:root` stylesheet (#34131) @siriwatknp
- [Chip] Add chip classes (#33801) @pratikkarad
- [Slider] Fix typo in the comments in the source (#34452) @HexM7
- [SvgIcon] Fix passing an ownerState to SvgIcon changes the font size (#34429) @ZeeshanTamboli
- [Stepper] Fix optional label is not centered when `alternativeLabel` is used (#34335) @ZeeshanTamboli
- [Tooltip] Add undefined, null or false in `title` (#34289) @abhinav-22-tech
- Make @emotion/\* fully supported in all Material UI components (#34451) @garronej

### `@mui/system@5.10.7`

- [system] Fix parsing of hsla colors in getLuminance (#34437) @ptrfrncsmrph
- [system] Fix incorrect type of `shape.borderRadius` in theme (#34076) @ZeeshanTamboli
- [system] Replace `enableSystem` with `defaultMode` (#33960) @siriwatknp

### `@mui/material@5.0.0-alpha.101`

- [deps] Move @mui/types to dependencies (#34384) @Methuselah96

### `@mui/base@5.0.0-alpha.99`

#### Breaking changes

- [FocusTrap] Rename TrapFocus to FocusTrap (#34216) @kabernardes

  ```diff
  -import TrapFocus from '@mui/base/TrapFocus';
  +import FocusTrap from '@mui/base/FocusTrap';
  ```

#### Changes

- [MultiSelect] Require a single tap to select an item on mobile Chrome (#33932) @michaldudak

### `@mui/joy@5.0.0-alpha.47`

- [Checkbox] spread `value`, `required`, and `readOnly` to input (#34477) @siriwatknp
- [Chip] Fix unbinded `onClick` prop (#34455) @HexM7
- [Divider] Add `Divider` component (#34403) @siriwatknp
- [Radio] spread `readOnly` and `required` to input (#34478) @siriwatknp

### Docs

- [blog] Base UI announcement typo fixed (#34409) @prakhargupta1
- [blog] Fix typo in date-pickers v5 stable (#34386) @alexfauquette
- [blog] Update date on date pickers v5 release blog post (#34406) @joserodolfofreitas
- [docs] Update `useMenu` and `useMenuItem` hooks demo (#34166) @ZeeshanTamboli
- [docs] Update the guide for migrating to TSS (#34417) @garronej
- [docs] Fix typo in `Grid` docs (#34475) @Dustin-Digitar
- [docs] Fix typo in `Back to top` section in AppBar docs (#34479) @Dustin-Digitar
- [docs] Standardize all "Installation" pages (#34168) @samuelsycamore
- [docs] Fix Webpack file name to the standard: `webpack.config.js` (#34446) @CodingItWrong
- [docs] Fix Select `onChange` call (#34408) @siriwatknp
- [docs] Notification for pickers blog - v5 stable (#34400) @joserodolfofreitas
- [docs] Improve social sharing of docs pages (#34346) @oliviertassinari
- [docs] Refine the use of MUI vs. Material UI (#34345) @oliviertassinari
- [docs] Send feedback directly to a dedicated slack channel (#34196) @alexfauquette
- [website] Adds Bilal to about page (#34412) @MBilalShafi
- [website] Add date range picker to pricing table (#34399) @joserodolfofreitas

### Core

- [core] Document some types in @mui/styled-engine-sc (#34413) @mnajdova
- [core] Add yml support to prettier (#33980) @Janpot

All contributors of this release in alphabetical order: @abhinav-22-tech, @alexfauquette, @CodingItWrong, @Dustin-Digitar, @garronej, @HexM7, @howlettt, @Janpot, @joserodolfofreitas, @kabernardes, @MBilalShafi, @Methuselah96, @michaldudak, @mnajdova, @oliviertassinari, @prakhargupta1, @pratikkarad, @ptrfrncsmrph, @samuelsycamore, @siriwatknp, @ZeeshanTamboli

## 5.10.6



_Sep 19, 2022_

A big thanks to the 11 contributors who made this release possible.
This release was mostly about 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.6`

- [TextField] Fix conflict with `Bootstrap` even when label is not defined (#34343) @ZeeshanTamboli

### `@mui/joy@5.0.0-alpha.46`

#### Breaking changes

- [button][joy] Replace `start/endIcon` prop with `start/endDecorator` (#34288) @hbjORbj

  **BREAKING CHANGE**: replace `start/endIcon` with `start/endDecorator`.

  ```jsx
  // before
  <Button startIcon={...} endIcon={...} />

  // after
  <Button startDecorator={...} endDecorator={...} />
  ```

#### Changes

- [Joy] Adjust the `Input` and `Textarea` styles (#34281) @siriwatknp
- [menu][joy] Set disablePortal default to false (#34283) @tomasz-sodzawiczny

### `@mui/base@5.0.0-alpha.98`

#### Breaking changes

- [Select][base] Add event parameter to the onChange callback (#34158) @michaldudak

  The SelectUnstyled and MultiSelectUnstyled `onChange` callbacks did not have event as the first parameter, leading to inconsistency with other components and native HTML elements.
  This PR adds the event parameter as the first one and moves the newly selected value to the second position. Because of this, it's a breaking change.
  This also affects Select from Joy UI.

  ```jsx
  // before
  <SelectUnstyled onChange={(newValue) => { /* ... */ }} />

  // after
  <SelectUnstyled onChange={(event, newValue) => { /* ... */ }} />
  ```

### Docs

- [blog] The Date Pickers gets a stable v5 release (#34152) @alexfauquette
- [blog] Improve image handling (#34222) @oliviertassinari
- [blog] Correct 2021 survey data interpretation (#34291) @samuelsycamore
- [docs] Remove expired AospExtended showcase @oliviertassinari
- [docs] Link the OpenSSF Best Practices card (#34331) @oliviertassinari
- [docs] Fix 301 link to external projects @oliviertassinari
- [docs] Move 12 component names to Title Case (#34188) @oliviertassinari
- [docs] Fix broken links (#34320) @alexfauquette
- [docs] Add notification for Base UI announcement post (#34295) @samuelsycamore
- [website] Fix MUI X subscribe email border style (#34330) @oliviertassinari
- [website] Improve security header @oliviertassinari

### Core

- [core] Lock file maintenance (#34161) @renovate[bot]
- [core] Issue template: move reproduction steps to the top (#34279) @Janpot
- [core] Create shared Next.js baseline config (#34259) @oliviertassinari
- [core] In `typescript-to-proptypes`, respect the value pass to the generic (#34311) @flaviendelangle

All contributors of this release in alphabetical order: @alexfauquette, @flaviendelangle, @hbjORbj, @Janpot, @michaldudak, @oliviertassinari, @renovate[bot], @samuelsycamore, @siriwatknp, @tomasz-sodzawiczny, @ZeeshanTamboli

## 5.10.5



_Sep 12, 2022_

A big thanks to the 12 contributors who made this release possible. Here are some highlights ✨:

- 🚀 [Blog post](https://mui.com/blog/introducing-base-ui/) for announcing the release of the Base UI package is out thanks to @michaldudak.
- 🚀 Added [`Alert`](https://mui.com/joy-ui/react-alert/), [`Modal`](https://mui.com/joy-ui/react-modal/), [`ListSubheader`](https://mui.com/joy-ui/react-list-subheader/), [`FormControl`](https://mui.com/joy-ui/react-form-control/), [`CircularProgress`](https://mui.com/joy-ui/react-circular-progress/) components to Joy UI (#33859) @hbjORbj @siriwatknp
- And more 🐛 bug fixes and 📚 documentation improvements.

### `@mui/material@5.10.5`

- ​[ListItemText] Fix variant mapping in `primaryTypography` (#33880) @iamxukai
- ​[Timeline] Add left and right aligned timeline demos in docs (#34156) @ZeeshanTamboli

### `@mui/joy@5.0.0-alpha.45`

- ​[Joy UI] Add `CircularProgress` component (#33869) @hbjORbj
- ​[Joy UI] Add `FormControl` component (#34187) @siriwatknp
- ​[Joy UI] Add `ListSubheader` component (#34191) @siriwatknp
- ​[Joy UI] Add `Modal` component (#34043) @siriwatknp
- ​[Joy] Fix list value of false or 0 (zero) text is incorrectly grey (#34255) @kushagra010
- ​[Joy] Adjust typography decorator margin (#34257) @siriwatknp
- ​[Joy] Miscellaneous fixes (#34193) @siriwatknp
- ​[Radio][joy] Integrate with form control (#34277) @siriwatknp
- ​[Joy][textarea] Pass `textarea` props from `componentsProps` (#34223) @HexM7

### Docs

- ​[blog] Introducing Base UI (#33778) @michaldudak
- ​[docs] Fix spelling error (#34209) @ChrystianDeMatos
- ​[docs] Improve link to the security policy (#34219) @oliviertassinari
- ​[docs] Fix typo in Joy UI's `Usage` docs (#34200) @zillion504
- ​[website] Add Lukas to the about page (#34284) @LukasTy
- ​[website] Update diamond sponsor URL (#34256) @oliviertassinari

### Core

- ​[test] Replace argos-cli with @argos-ci/core (#34178) @michaldudak
- ​[core] Create a script to generate codeowners (#34175) @michaldudak
- ​[core] Add RFC GH issue template (#33871) @bytasv

All contributors of this release in alphabetical order: @bytasv, @ChrystianDeMatos, @hbjORbj, @HexM7, @iamxukai, @kushagra010, @LukasTy, @michaldudak, @oliviertassinari, @siriwatknp, @ZeeshanTamboli, @zillion504

## 5.10.4



_Sep 5, 2022_

A big thanks to the 11 contributors who made this release possible. Here are some highlights ✨:

- 🚀 Added [`Alert`](https://mui.com/joy-ui/react-alert/) component to Joy UI (#33859) @hbjORbj
- Many other 🐛 bug fixes, 📚 documentation, and ⚙️ infrastructure improvements

### `@mui/material@5.10.4`

- ​[Avatar] Use structured / semantic markup for avatars and avatar groups (#33994) @paulschreiber
- ​[Steps] Use structured / semantic markup for steps and steppers (#34138) @paulschreiber

### `@mui/joy@5.0.0-alpha.44`

- ​[Alert][joy] Add `Alert` component (#33859) @hbjORbj
- ​[Joy] Make the description of `componentsProps` generic (#34140) @hbjORbj
- ​[Joy] Add tests / classes for `Breadcrumbs` component (#33860) @hbjORbj
- ​[Select][joy] Fix forwarding listbox `component` prop (#34172) @siriwatknp

### `@mui/base@5.0.0-alpha.96`

- ​[Select][base] Fix type issues that appeared with TS 4.8 (#34132) @michaldudak

### Docs

- ​[docs] Add `mui-color-input`, `mui-chips-input` and `mui-tel-input` into the related projects page (#34123) @viclafouch
- ​[docs] Update sponsors (#34157) @hbjORbj
- ​[docs] Move 5 component names to Title Case (#34118) @oliviertassinari
- ​[docs] Fix the color contrast on optional API methods (#34127) @oliviertassinari
- ​[docs] Fix crash due to using wrong variable (#34171) @siriwatknp
- ​[docs] Fix a few Base typos (#33986) @ropereraLK
- ​[docs] Revise Joy UI "Overview" page copy (#34087) @samuelsycamore
- ​[blog] Fix social cards (#34160) @oliviertassinari
- ​[website] Allow deep linking to sponsors @oliviertassinari
- ​[website] Update job descriptions (#34134) @DanailH
- ​[website] Link Toolpad landing page @oliviertassinari

### Core

- ​[core] Move renovate config to the repository root (#34180) @oliviertassinari
- ​[core] Reinstate react/no-unused-prop-types eslint rule (#34125) @Janpot
- ​[core] Do not append `types` field to packages without index.d.ts (#33952) @michaldudak
- ​[core] Sanitize input in icon synonyms update script (#33989) @michaldudak
- ​[test] Allow to pass options to `mousePress` function (#34124) @cherniavskii

